Movement of Unity launcher

Reported by 6205 on 2010-10-29
This bug affects 273 people
Affects Status Importance Assigned to Milestone
Ayatana Design
Undecided
Unassigned
Unity
Undecided
Unassigned
Ubuntu
Undecided
Unassigned

Bug Description

Please consider this a possible feature request or wishlist.

Now when Unity will be default desktop for 11.04 could you please consider to add option to configure Unity launcher placement. Add simple option to lock/unlock through right-click menu and drag launcher to desired location like left/right and bottom.

Didier Roche (didrocks) wrote :

Thanks for your bug report and help to make ubuntu better.

This is indeed possible, you just have to drag out the launcher item (to the right), and put it somewhere else. We discovered that there are some usability issues there, which will be fixed in Natty to make it more discoverable.

Changed in unity:
status: New → Invalid

I think the report actually meant that the launcher should be movable to
other edges of the screen. I'm afraid that won't work with our broader
design goals, so we won't implement that. We want the launcher always
close to the Ubuntu button.

 status wontfix

Mark

Changed in unity:
status: Invalid → Won't Fix

Mmm... i was hoping for dock on bottom :( but i respect that...

Btw: maybe you could add into launcher some unity icon(like Docky have first dock icon) and that Unity icon could take some of the ubuntu button functions. This way would not matter where launcher is (left/right/bottom) :)

Jeremy Nickurak (nickurak) wrote :

Among other things, it would be important to be able to move the launcher on portrait-oriented screens, as when a monitor is rotated (which is otherwise well supported).

Miguelángel León (migueleonm) wrote :

Mmm... I lked unity since the beggining but never liked the left fixed dock, I was hoping a panel-position customization, using another dock at the same time with unity is just not good. Fortunately I can disable unity and use another option and in fact that is what I'm going to do.

diego (marcodiegomesquita) wrote :

Intellihide and on bottom are important options for a desktop dock. I want to be able to set it.

Omer Akram (om26er) on 2010-12-05
affects: unity-asset-pool → null
Changed in null:
status: New → Invalid
ddez (ddez) wrote :

Why coudn't this just be an option? Mark Shuttleworth, you don't have to agree with it, but it could still be an option of the launcher. I understand that you wants it near the Ubuntu buttom, but the launcher at the buttom isn't that far away, and the fact that you wants it at the left side shouldn't mean that you don't give people the possibility to move it to the buttom.

I also liked unity since the beginning, but I, and many other people, wants to be able to move it to the buttom. the launcher at the right is indeed too far away of the Ubuntu buttom, but having it on the buttom isn't that far. Please give them the possibility to move it to the buttom.

uhm... locking unity launcher movement will propably have unwanted consequencies in some users.
they will simply not use the unity shell, they will logon to classic desktop and use docky instead...

Jonas Diaz (jonasdiaz) wrote :

I'll be one of those that will change to gnome...if Unity wants to be the default desktop it has to include features for personalize it. That's one of the advantages and promises we have in Linux in general. The ability to customize our distro. And of course a user may need to change the launcher, maybe due to the nature of its work or the use he gives to its OS.

------Mensaje original------
De: 6205
Remitente: <email address hidden>
Para: Jonás Carmelo Díaz Gómez
Responder a: Bug 668415
Asunto: [Bug 668415] Re: Movement of Unity launcher
Enviado: 5 de dic, 2010 3:35 PM

uhm... locking unity launcher movement will propably have unwanted consequencies in some users.
they will simply not use the unity shell, they will logon to classic desktop and use docky instead...

--
You received this bug notification because you are subscribed to Unity.
https://bugs.launchpad.net/bugs/668415

Title:
  Movement of Unity launcher

Status in NULL Project:
  Invalid
Status in Unity:
  Won't Fix

Bug description:
  Please consider this a possible feature request or wishlist.

Now when Unity will be default desktop for 11.04 could you please consider to add option to configure Unity launcher placement. Add simple option to lock/unlock through right-click menu and drag launcher to desired location like left/right and bottom.

Este mensaje ha sido enviado gracias al servicio BlackBerry de Movilnet

SRoesgen (s-roesgen) wrote :

Saying that the reason not to make the Unity Launcher moveable is simply a design decision appears in my opinion invalid.

Why? Simply because it is not an OEM solution anymore if you want to spread Unity to the desktop of every day users. You want to appeal to normal people? Then do so. If you take away the choice to modify the desktop the way one is used to do, will actually drive back many normal users.
Normal users are used to have the launcher at the bottom of the screen. And though this might sound stupid it still is a a point to be made: appeal to normal users by presenting them something that is not too alien to them. Certainly you want a design that is unique and special. But that is not the right way. Making it possible to move the launcher should definitively be a small thing to implement and denying this option to other users appears more erratic and unreasonable that logical.

It should not be any problem to put the launcher at the left edge of the screen. Why not? But also, one should consider making it possible to adjust the placement of the launcher (be it the right or the bottom of the screen). We are not all equal and some are more individualistic than other users. Make it possible for them to modify such a simple thing as the launcher.

And by the way: what about those users that come from Arabia or Isreal? Or where ever else in the world the read from right to the left side? These people are usually fixated on the upper right corner of the screen and not the upper left one. At least for them it should be possible to put icons AND launcher on the right side of the screen.

martincasc (martincasco) wrote :

Well Hi everyone, I've been reeding what Mark said in one comments here.. And he said that they "want to have Ubuntu button near the launcher"..

Well, first of all, which is the difference between de Dash (ubuntu's button on gnome's panel) and the apps menu button on launcher? I think that there is no differences.. Dash seems to work like an app filter that can be improved (or better improve) in apps menu launcher button..

In that way we can have one button (like Mac OS) on gnome panel (or not) where we can access to the system information and things like "About me" and so on...

And then Ubuntu's button can be placed on launcher, unifying dash button and apps menu button.. and, naturally, launcher can be moved to the right or, even, the down of screen and win an importan pixels on screen and a gorgeous desktop..

I know, it's look to close to the Launchpad button on the upcoming Mac OS; but I believe that is more useful and gorgeous desktop..

manny (estelar57) wrote :

I think everyone should calm down a bit.

Design is a constant evolution.

while a feature like this may not be a high priority for the upcoming version, it doesn't mean it cant be considered in the future.

Anyway am confident they'll make some good decisions, and if not enough then back to the drawing board.

Mark Shuttleworth (sabdfl) wrote :

On 05/12/10 20:47, SRoesgen wrote:
> And by the way: what about those users that come from Arabia or Isreal?
> Or where ever else in the world the read from right to the left side?
> These people are usually fixated on the upper right corner of the screen
> and not the upper left one. At least for them it should be possible to
> put icons AND launcher on the right side of the screen.

We will explore an RTL option, with mirroring of the entire experience,
for this case. That's documented in a separate bug.

Mark

Darxus (darxus) wrote :

Please try using this with a widescreen display in portrait orientation, which I love. It looks terrible. For the same reason this launcher was created - a waste of space along a long edge. Just move the ubuntu button with the launcher.

Louis (louis-louis) wrote :

@Mark Shuttleworth

Mark wake up!

Don't forget Ubuntu's philosophy about being open and community-based.
It's fair that you want a standard Ubuntu-look, but you need to listen to the community.
If the users want to move the launcher why just let them? Why don't you you bind the Ubuntu-logo to the top panel?
Even in the often criticized Mac OS X it's possible to decide if the dock should be either at the bottom or at the right or left side of the screen.

Anyway, I guess that Unity is going to be open source, so people either can make a hack or a fork that supports movement of the launcher.

Is this a bad sign that tells that Ubuntu is going to be a locked-in OS that only supports the kind of customization that it's company allows?

Mark Shuttleworth (sabdfl) wrote :

Louis, it's open source! If you want to change it please do. Or use
Docky. Or AWN. Or any number of alternatives. But please recognise that
we've got the right to build Unity the way we think it's going to be
best for folks, and that explicitly precludes trying to fit everything
that everyone wants into it.

Mark

It's simple, Mr. Shuttleworth. Just have the launcher on the left by default. If the user wants to move it somewhere else then they can open up the Appearance settings and change it.

SRoesgen (s-roesgen) wrote :

@UncleNinja
I suppose that is what nearly everybody wants and to me your few sentences are the most cogent and reasonable proposal I have heard up to now.
At least there appears to be no logical argument against your suggestion.

I am now rather thrilled to hear any counterargument.

@all
btw.: It certainly has nothing to do with design decision to prevent somebody from moving the launcher from its default position (left edge of the screen) to another position. What will happen next? Are there any additional proposals concerning design questions? Will the next step be to decide that people do not need the minimize/maximize function of a browser window or their office application just because by design it was decided that browsing the web and writing a text with a maximized windows is per se the best way to use a software?
And yes, there is always the possibility to fork something because it is open source and one simply can add additional features to the fork. But I personally hear this answer much to often in the open source world. I myself am a linguist and not a software programmer. I do not have the time to fork something everytime I do not like how it is designed.
I love Ubuntu it is the best Linux distribution I know and with every new release I am excited to have a look at the new features. But I suppose one should at least sometimes listen to some voices of the community if it comes to such simple design questions like the one being discussed here.

Mark Shuttleworth (sabdfl) wrote :

On 16/12/10 10:11, SRoesgen wrote:
> But I suppose one should at least sometimes listen to some voices of the community if it comes to such simple design questions like the one being discussed here.

Just because I disagree with this point doesn't mean we don't listen.
There is ample evidence of responsiveness to questions and ideas raised
in bugs and on the Ayatana design list. When you make a comment like
this, you come across as petulant because YOUR preferred idea is not
being pursued - take the trouble to participate for a while, and you'll
have a more balanced view.

SRoesgen (s-roesgen) wrote :

@Mark
Point taken. If I came across too impolite, I hereby apologize.

Though, I think that I voiced not only my idea, but those of many, I accept your premise of trying to participate (as limited as my means may be) and will follow the discussions of the design/development of the next releases.
Let's see what happens. And believe me I am a fan of you and your work. Thus posting this comment was to point out that there are other people, beside the original poster. (When the news that Unity is coming to the desktop were released there were internet fora in which they discussed the inability of the launcher being movable.)
Still, I accept your final decision and lets see how Natty works out. I am looking forward to it.

Mark Shuttleworth (sabdfl) wrote :

On 16/12/10 13:00, SRoesgen wrote:
> @Mark
> Point taken. If I came across too impolite, I hereby apologize.

Thank you, accepted!

> Thus posting this comment was to point out that there are other people, beside the original poster. (When the news that Unity is coming to the desktop were released there were internet fora in which they discussed the inability of the launcher being movable.)

A good way to reflect interest in the bug, without spamming everyone
subscribed, is to use the "affects me too" link on the bug page.

Mark

Dear Mr Mark.
Why? WHY? Why? You said that there are design goals which prohibit this little improvement. Can we, humble users, know the reason of this denial? Maybe we just don't know about something great to come. Many of human crimes come from misunderstandings. Many of those could have been prevented. Please - enlighten us at least: WHY won't we be able to customize Unity? One simple question. Is it that hard? Also, I would like to point out, that scientists proved that low ceilings have bad impact on human creativity. Here this applies as well. The effect is especially oppressive on small wide screen displays.
Yes. I speak about "new bug". But it is something similar and I don't want to ignite another bug procedure. What I want is healthy discussion of "Unity customization" topic. I do understand that there are many goals and designs. But have you ever considered subconsciousness impact in user interfaces? For example: I removed from my FullHD display the upper panel. Just that. When my computer illiterate sister glanced on the screen, she asked, whether I changed my distro. It was a matter of a split second. Also, I made an experiment on myself. I used "top only" set for about a month. Now I switched the panel to bottom. It was great relief for me. Similar to someone's having put a weight off my spine. Please consider this. Again, what I ultimately want is healthy conversation, which will lead to understanding of both sides and agreement.
Don't be inexorable, Mr Mark.
By the way, I never had occasion to thank you for the Ubuntu fonts. I fell in love with them the day the new logo emerged. Now I use them everywhere. Because of that, I have faith in your vision. Just don't be adamant. When you make new font, you don't force people to use it. When you make new shell, you should leave the possibility to customize it. As can be seen in the net, almost every Ubuntu user leaves the default set-up. But there is a huge group of customizers who love to tinker with their interfaces. Let them to have fun with Unity too.
Thank you for your attention.
Hirager.

kfsone (oliver-kfs) wrote :

Mark;

I can envision a number of settings in which it would be desirable to ensure the placement of the launcher etc: Hopefully hardware vendors will choose Ubuntu/Unity over Android etc for various devices, and want control over where the launch bar etc is for screen fitting etc, screen management, etc.

However, I'm very concerned that you are citing design considerations as a reason for fixing the location in general - especially with a view to Natty/Desktop - but equally with a view to vendor attraction for netbooks, because it /assumes/ physical device layout. You just lost any vendor planning a Kindle format device.

In the desktop arena, I would implore you attempt to reconcile any such design decisions with the root of Ubuntu's success, which is the quality of desktop experience it delivers out of the box. "It's open source, fix it yourself" is what I expect to hear from Gentoo, not Ubuntu. "Switch to a different desktop experience" is something I expect to hear from a Ubuntu derivative or a lesser Linux entirely.

I don't have a problem with accepting that the launcher be limited to left, right or bottom edge of the screen. Just take the Ubuntu icon with the launcher bar. Bar on the right, Ubuntu on the right. Bar at the bottom, Ubuntu at the bottom with a choice of right-or-left edge. Will it be a bigger button when they do that? Yes, but "OMG the start button is huge" just isn't something I hear people say.

Imposing netbook aesthetics on desktop experience will deflate much of the trust, enthusiasm even, that Ubuntu has stirred amongst folks with whom you had begun to [re-]build faith that Linux could really be a viable desktop alternative to Windows.

Let me close with some practical use cases:

1. RTL countries,
2. Portrait displays (where the vertical launch bar has the opposite of it's intended effect),
3. Left-handed mousers,
4. Accessibility conflicts with left-of-window controls in applications (esp web-browsing where navigation is frequently on the left-side, whereas the scroll bar serves as a buffer for them between pages with right-hand navigation and a right-handed launch bar).
5. Accessibility issues where the user's primary use of the computer is centered around the right hand side of the screen,
6. Multi-screen displays where the left-most display is the minor display, and having the launch bar on the left side of the primary screen is a bloody nuisance.

If I wanted design decisions that trump ease of use, I'd go back to Windows XP, thanks :)

Mark Shuttleworth (sabdfl) wrote :
Download full text (4.1 KiB)

On 30/12/10 01:53, kfsone wrote:
> In the desktop arena, I would implore you attempt to reconcile any such
> design decisions with the root of Ubuntu's success, which is the quality
> of desktop experience it delivers out of the box. "It's open source, fix
> it yourself" is what I expect to hear from Gentoo, not Ubuntu. "Switch
> to a different desktop experience" is something I expect to hear from a
> Ubuntu derivative or a lesser Linux entirely.

A willingness to limit the set of supported options is a large part of
the quality of the out-of-box desktop experience. For example, the old
Gnome Panel was designed with the goal of making many, many things
possible. you could put them on any edge of the screen, you could write
any sort of app, that supported any sort of interface pattern. And the
result was very, very hard to use well. All of that customization made
it impossible to provide an "overall feeling" to the old Gnome Panel.

And this is similar.

Now, I know full well that the argument for being "on rails" can be
taken too far. It boils down to a judgement call, which has to be made
in the knowledge that wherever one draws the line (or *I* draw the line,
if you want to be personal about it) there will be some folks who never
use the flexibility offered, for whom it's confusing, and others for
whom it's not enough and who resent the line having been drawn there.

In all cases, it's not unreasonable to ask folks who want something
badly to implement at least a hacked up version of that capability. I
don't think it's needed, and I think it could in fact be detrimental
both to the user experience and the code itself, so I'm simply not going
to ask Canonical folks to spend any time on it. But I can't stop, and
have no interest in stopping, someone from working up a patch which
implements the capability, which can then be tested and discussed.
Bleating or sulking don't inspire me to spend time and money helping out ;-)

So, "work up a patch" is a reasonable statement. "Use a different
interface" is also a reasonable statement. That's not "we don't care
about you" it's "we are busy implementing a particular vision". We may
be wrong, the best way to learn is to have others show that a better way
is possible. If so, we'll adapt quickly, we're not too proud to embrace
great work done elsewhere.

> Let me close with some practical use cases:
>
> 1. RTL countries,

Yes. But this involves mirroring everything: launcher, panel,
indicators, window controls. It's not an argument for being able to
place the launcher anywhere, it's an argument for a proper RTL
perspective on the shell. That is being tracked in a separate bug, iirc.

> 2. Portrait displays (where the vertical launch bar has the opposite of it's intended effect),

At this stage, our view is that intellihide makes the launcher position
acceptable on portrait interfaces.

> 3. Left-handed mousers,

There's no strong argument that a left-handed mouser benefits from the
launcher being anywhere different. One needs to be able to get to any
point of the screen with a mouse for it to be useful :-) And touch
interfaces, arguably, are better for lefties with the launcher in its
current position.
...

Read more...

So it boils down to "Make it yourselves"?

Paul Sladen (sladen) wrote :

Marek: "A developer scratching an itch" is the starting point of most Free/open source software, and still the most effective way to make things happen. There a finite number of people and a finite amount of time; at the moment people are busy working on pulling other parts of the stack together. Once the essential stuff is done, the "nice to have"s can be looked at, if you want to focus on a particular area and expand the number of people that are able to work on Unity then please join us, and please propose and make a patch.

It's a complex problem to solve so I would not expect the patch to be as simple as just changing the X coordinate! There is interaction with the dash button (top-left) to consider, there is the interaction of application indicators and window indicators when toggling between, autohide direction, right-to-left languages and layout, ...

I finally took the glance at available bug statuses. Now I am competent to suggest, that this sort of bugs should be "confirmed" and "assigned to community". This way is clear (wontfix suggests it is not even allowed) and most communicating to the community. Pardon my harsh words before, but I was under impression that customization will not be even allowed in Unity. It turns out to be out of reach for the Canonical. It makes big difference. I strongly advise to use (or create) "assigned to community" Launchpad status. If it was clearly stated at the very beginning of Unity development, that its up to community to solve this issue, we would probably have working solution by now.

Andy C. Candet (andycandet) wrote :

> > 2. Portrait displays (where the vertical launch bar has the opposite of it's intended effect),
> At this stage, our view is that intellihide makes the launcher position
> acceptable on portrait interfaces.

I might be late to the party, but how exactly is intellihide supposed to work for portrait touchscreens? And if a maximized app hides the dock, how is the Dash supposed to integrate?

+1 for the "assigned to community" idea.

I totally agree with Mr. Mark.

A fixed interface makes life easier for developers to integrate better the program with the interface...
And they(devs) know that they make it one way and it will look the same for all users.

yman (s-y-schwarz) wrote :

I don't think that being able to move the dock to a different edge of the screen is just another nice to have feature. Every dock I've ever heard of has this feature, and moreover, the most common setup is to have it on the bottom edge. Therefore, the ability to have the dock on the bottom is basic functionality. If we were talking about regular panels this might be different, but the design of the dock and the items in it make it far more suitable for switching between horizontal and vertical layouts. If you will accept patches that add this basic functionality then this shouldn't be marked Won't Fix.

kfsone (oliver-kfs) wrote :

Linux UIs have always been too customizable; but the dock defines the shape of the display. So it's location is going to have a bearing on Ubuntu's suitability to a number of device formats -- and more importantly, dynamic display formats.

Questions:

- Are there cases where a display will call for a fixed application launcher bar (dock)?
Yes: Hardware vendors selecting an OS are occasionally going to want the ability to coordinate dock and physical decoration and/or controls.

- What advantages do fix UI meta-decoration (menu bar, app bar) offer?
* Fixed screen space,
* Deterministic display dimensions,
* Simplification of support,
* Clear UI guidelines on user-attention areas of the display,
* Clear UI guidelines on user-blindspot areas of the display

- Are there cases where a fixed application launcher bar will be detrimental to user experience?
Yes: Rotatable displays (such as cell phones, tablets); Multi-display devices; Non-standard sized displays (a fixed bottom/top bar on a tripple-head screen is going to waste a lot of screen real-estate); Dynamic sized displays (e.g. where an on-screen keyboard is replaced by a slide out), etc.

Rajeev Nair (rajeev) wrote :

I dont care about which side the launcher is, but a nice shiny looking launcher connected to a plain ugly top panel with a flimsy looking ubuntu menu logo is a big disaster.

Either make the panel on left and top seem to flow in a smooth manner or detach the left launcher or panel a bit down away from the logo.

This way you stick to your design goals and make the desktop look more in 'unity'.Not many people might have pointed this out cos they trust you blindly maybe.You i mean the UI team.

Magnes (magnesus2) wrote :

I afree with Rajeev Nair. And I think the whole look & feel of Unity right now is a disaster. You paid people to do it? You lost your money. Sorry, thats what I think. I hope it will be better one day.

Ben Wright (bwright) wrote :

The best solution to this problem is to write the patch and package it and offer it in a ppa. Mark is trying to provide a consistent vision for his implementation of unity that doesn't stop me writing a patch and testing the alternative implementation. Any maybe we could call the alternate implementation community :) I might start on the patch tomorrow if someone doesn't beat me to it.

Mark Shuttleworth (sabdfl) wrote :

Sounds good!

Jason Todd (jtodd929) wrote :

Mr. Shuttleworth, have you considered providing the option of moving the BFB (button) to the right side with the Launcher? That is, if the Launcher is moved, the BFB is placed in the top right corner above it? This would keep the Launcher next to the BFB.

Ubuntu is a great OS. I appreciate all your hard work and the awesome work of the developers in its creation. Thank you!

Bilal Akhtar (bilalakhtar) wrote :

As for those people who are searching for the bug about mirroring of the interface for RTL locales, its bug #654988 .

Mark Shuttleworth (sabdfl) wrote :

Hi Jason

Thanks for the comments

Yes, we've considered consolidating the BFB and indicators all on the
right. In the end, we settled on the current arrangement because it
keeps those two functions distinct. I imagine other designs would be
more accommodating of the option, for example, in Gnome Shell they have
indicator-type capabilities more widely spread on the top bar.

Mark

Ben Wright (bwright) wrote :

A proof of concept I believe has already been created, http://habreffect.ru/files/5fc/a970a188f/%D0%A1%D0%BD%D0%B8%D0%BC%D0%BE%D0%BA-4.png I don't have additional information on it.

Darxus (darxus) wrote :

For other people who hate when people post links without any description:

"there is a patched launcher package (Unity-df) that gives you options to change launcher's color and transparency AND it lets you place launcher at any place you want it.

http://habreffect.ru/files/5fc/a970a188f/%D0%A1%D0%BD%D0%B8%D0%BC%D0%BE%D0%BA-4.png

Package:
i386: http://dl.dropbox.com/u/566323/temp/unity-df_0.2.47-0ubuntu5_i386.deb
amd64: http://dl.dropbox.com/u/566323/temp/unity-df_0.2.47-0ubuntu5_amd64.deb"
- _artem_

Darxus (darxus) wrote :

Source of the unity package that allows moving the launcher (in Russian): http://tehnoblog.net/2011/04/kak-pomenyat-raspolozhenie-paneli-unity-v-ubuntu-11-04/

Darxus (darxus) wrote :

Looks like the movable launcher was an April Fools' joke.

Sam (smickson) wrote :

Mr. Shuttleworth and team,

Unity is awesome!

It is fast, responsive, I love the design and the global menus and merged title bars. Gnome-shell is nice but wastes enormous space by always showing title bars and menu bars. You guys are getting everything right with Unity. When the dust settles, I'm confident Unity will be a big success. I commend you on holding to your design goals during the development process.

I am so thankful that the Unity launcher can be set to autohide and only activated when the cursor goes to the left upper corner. Great design! Before trying Unity I was worried the cursor touching anywhere on the left margin would unhide the launcher.

Thank you for creating Unity. It incorporates all the principles I've been looking for in a desktop. And of course, thanks for Ubuntu!

Jason Todd (jtodd929) wrote :

What purpose does the "Fade on bfb and Slide" setting serve?

There's a lot going on in Unity's top-left corner. New windows spawn there. Window controls are laid immediately to the right of the bfb. There's the Application Menus. My cursor is constantly over and around the bfb in these situations while I have no intention of activating the Launcher. Yet the Launcher keeps partially sliding out/fading over what I'm trying to work on (especially when working with newly spawned windows or when trying to close a maximized window). I'm curious as to why there is no setting to turn off the Slide/Fade feature all together and what exactly this function is intended to serve?

Bryan Seigneur (anderlan) wrote :

None of my users are technical enough to have a login on this site, but they are ALL going to tell me that Narwhaal with Unity is unacceptable because of this. I'm not in a position to DICTATE MINOR GUI NUANCES, that should be as configurable as left- or right-handedness options. Neither is Ubuntu. I know users can fallback, but there are a lot of good innovations I'd like my users to see in Unity, and the fallback will be phased out in 11.10. This is a mass emigration (away from Ubuntu) bomb waiting to happen.

Darxus (darxus) wrote :

Bryan, why do you say "fallback will be phased out in 11.10"?

IKT (ikt) wrote :

Because Ubuntu 11.10 will not ship with 'classic' GNOME desktop, so saying use the fallback is moot.

Darxus (darxus) wrote :

Wow.

"...we have the Classic desktop fallback in Natty, but will not in Oneiric." - Mark Shuttleworth, 2011-03-31 - https://bugs.launchpad.net/ubuntu/+source/unity/+bug/739812/

Dr Grischa Meyer (grischa) wrote :

Imagine this:
I have a laptop and a larger second monitor which I mainly work on when at my desk.
The laptop screen is still useful for IM windows etc, but it is not my primary screen.
Now, for any given desk the secondary laptop has a preferred position on either side of the main screen.
Unfortunately, Unity only works when the laptop is on the right side, because if it is on the left side the launcher bar cuts the desktop in half and is really hard to hit because the mouse just moves onto the secondary screen.

So, Mark, you are saying that your design goal is to have no simple way to put the secondary screen on the left.
Does the canonical office have this desk layout policy?
Sure, I can install my own launcher alternatives, but then why do I bother with Ubuntu, might as well go back to Debian...
Did you know that even OS X allows you to move the Dock?

I guess there is always Fedora and Kubuntu. However, I quite liked Ubuntu pre-unity, so here is my feedback, so that hopefully I can keep liking it.

"A willingness to limit the set of supported options is a large part of
the quality of the out-of-box desktop experience." -Mark Shuttleworth, quoted from above.

I am sorry, but I beg to differ.
A willingness to limit the set of supported options is why I switched from KDE to Gnome a year ago, as KDE Plasma removed configurability from it's wallpaper plugin that earlier allowed me to use multiple compiz wallpapers together with KDE, and removing this configurability made the UI lose it's appeal over gnome that it had earlier.

I am actually a little worried that the current design mentality for ubuntu seems to be "give the user one interface and don't let them change it as not to be confused". I can live with the fact that an additional plugin needs to be installed to configure unity, but any ui designer knows that configurability options can be grouped into various "levels of complexity", as not to bewilder the end user. As Mark brings it up, so will I... the old Gnome panel is a great example of how something is easy to use, configurable and is highly complex and customisable... I know of many non-linux-experts who have no problem using the gnome panel, and who, in fact, have no problem with the fact that it may not be "consistent" if one does strange things to it. As for the "consistency" argument, most linux users will agree that the diversity of linux allows each person to personalise their desktop, and this general lack of the potential for personalisation in unity may well create a lack of diversity and creativity that was present earlier. Many a windows-user places their panel on a different part of the screen simply to be different from the rest. I would go so far as to say that a lack of personalisation makes the desktop boring, not easier to use.

The "go write a patch yourself" view expressed above is somewhat sensible if it were to get included in the trunk or in some repo, but as a programmer myself I know that it is not too difficult to code in more configuration options, so I doubt that lack of resources is too much of a problem, considering the "100 papercuts" initiative, and this, I would say, may qualify for something like this.

Lastly, I would like to ask those who design unity to consider adding more configuration options, as the adoption of ubuntu of those who know computers well, and would therefore be willing to configure unity more, is crucial for the more widespread adoption of ubuntu as those are the people who install ubuntu on their friends' computers. Thinking back to KDE 4, I see that history does seem to repeat itself - KDE 4.0 had barely any configuration options in the panel, whilst the current KDE has many... probably as a result to user feedback.

IKT (ikt) wrote :

* I personally just encourage people to switch to KDE.

This "users are idiots, and are confused by functionality" mentality of Gnome is a disease. If you think your users are idiots, only idiots will use it. I don't use Gnome, because in striving to be simple, it has long since reached the point where it simply doesn't do what I need it to do.

Please, just tell people to use KDE.
         - Torvalds, Linus (2005-12-12). Message to <email address hidden> mailing list. Retrieved on 2006-08-28.

----

Interesting that you say KDE has limited options as well now...

Maarten Kossen (mpkossen) wrote :

And Torvalds switchted back to Gnome when KDE4 was released. Not because of
a lack of funtionality, but:

"*Another open-source project that underwent a big change was KDE with
Version 4.0. They released a lot of fundamental architectural changes with
4.0, and it received some negative reviews. As a KDE user, how has this
impacted you?* I used to be a KDE user. I thought KDE 4.0 was such a
disaster, I switched to GNOME. I hate the fact that my right button doesn't
do what I want it to do. But the whole "break everything" model is painful
for users, and they can choose to use something else.

I realize the reason for the 4.0 release, but I think they did it badly.
They did so may changes, it was a half-baked release. It may turn out to be
the right decision in the end, and I will retry KDE, but I suspect I'm not
the only person they lost.

I got the update through Fedora, and there was a mismatch from KDE 3 to KDE
4.0. The desktop was not as functional, and it was just a bad experience for
me. I'll revisit it when I reinstall the next machine, which tends to be
every six to eight months.

The GNOME people are talking about doing major surgery, so it could also go
the other way."
Source:
http://www.computerworld.com/s/article/9126619/Q_A_Linux_founder_Linus_Torvalds_talks_about_open_source_identity?taxonomyId=18&pageNumber=5&taxonomyName=Software

On Sat, Apr 16, 2011 at 6:13 AM, IKT <email address hidden> wrote:

> * I personally just encourage people to switch to KDE.
>
> This "users are idiots, and are confused by functionality" mentality of
> Gnome is a disease. If you think your users are idiots, only idiots will
> use it. I don't use Gnome, because in striving to be simple, it has long
> since reached the point where it simply doesn't do what I need it to do.
>
> Please, just tell people to use KDE.
> - Torvalds, Linus (2005-12-12). Message to <email address hidden> list. Retrieved on 2006-08-28.
>
> ----
>
> Interesting that you say KDE has limited options as well now...
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/null/+bug/668415/+subscribe
>

SRoesgen (s-roesgen) wrote :
Download full text (3.8 KiB)

Just to point it out:

On 2010-12-16, Mark Shuttleworth wrote:
> When you make a comment like
this, you come across as petulant because YOUR preferred idea is not
being pursued - take the trouble to participate for a while, and you'll
have a more balanced view.

I am not quite sure, but according to the 43 votes one might point out that this all is not just only MY "preferred idea". According to 43 votes it might be not time to reconsider the "movement of the launcher" idea in its entirety. It might be time for some official statement to tell us (users) if there is now at least the discussion to make a moveable launcher a standard feature for Oneiric.

To quote now Bryan Seigneur's post (2011-04-14):
>None of my users are technical enough to have a login on this site, but they are ALL going to tell me that Narwhaal with Unity is unacceptable because of this.

That is the point. Exactly that is the point. If you get 43 votes for a feature change, or rather for a wish/suggestion to change something, the number of votes might not sound to be very high. But it is actually a high number: most users who would wish the launcher to be positioned at the bottom or the right will not have a Launchpad account. And they will not create an account. They are not technically versed enough or interested enough. 43 votes represents a high number of people if it comes to the putting forward proposals or suggestions or wishes for a technical change (or at least a reevaluation of policy) .

I always said it is good that Ubuntu/Canonical has a Benevolent Dictator like Apple has its Steve Jobs; a project needs a visionary to make progress. And I still think that it is better to have one person to make a final decision; many people that make decisions might appear democratic but a production process is nothing that should be decided in democratic ways and means; there is the need for one man to make the final decisions. BUT this one man should at least listen to other people and if there is a high representation of voters that unanimously vote for one feature, then one should reconsider the own opinion and should show the character strength to admit that there is a strong opposition against a decision that one has made.

Unity became better every single day. I really started to love it -- despite the fact that I still cannot install it on my Dell Precision 4500 without the nomodeset option. But on my other two systems it works perfectly. And I love the feature set and the way it has developed. But those changes during the last week, that convinced me the most, thatUnity is -- according to my opinion -- heading towards the right direction, those changes were the simple ones that gave some control back to the user: the gnome-controlcenter is easily reachable for everyone, the sitze of the launcher can be configureable, there is again a possibility to launcher several instances of one application (if it makes sense for the given application), there is a method to configure the way how to hide/reveal the launcher etc...
These features, though small, are the important ones. This is not too much freedom for the user to make the unity experience wholly inconsistent ...

Read more...

Julien Olivier (julo) wrote :

It is totally obvious that - if you don't want to make it an option - the position of the launcher should - at least - depend on the orientation on the screen. It is totally unacceptable to have a locker launcher on the left side of a protrait screen. No argument could ever justify that...

Édgar Alfonso (edgar-alfonso) wrote :

Even when all the arguments have already been presented here, I would like to say that I like the way Ubuntu 11.04 looks, but it is completely absurd that even Windows and OSX let you move the taskbar/dock however you want, and its main "open-source" counterpart does not. From the point of view of a normal user like me, the whole Unity concept is an improvement, but the restrictions are more reasonable for netbooks or mobile devices, not for desktops.
Please let us know when there is a community-based alternative for this rather simple customization request.

First of all let me say that I really like a lot of the features of Natty, especially the global menu, the dashboard, the Windows+S and Windows+W functions.

But I really hate the way that the launcher is stuck on the left hand of the screen. My aesthetic instincts are crying out for symmetry! I want the damn thing at the bottom. And I want it to be re-sizable so it doesn't have to take up the whole side of the screen.

I know I can add AWN or Docky or something like that, but what's the use of essentially having two docks doing the same thing just to make up for an inflexible desktop environment?

I know that I'm only one person, but I just want to add my voice to the others who are saying the same thing.

Robin van Ee (robin-vanee) wrote :

Hi, I'm a Mac user and I would prefer to get it on the bottom. While I am a programmer, I do not feel like putting countless hours in learning how to compile a Linux distribution just to get a bar on the proper side of my screen.
It's even blocking the hack someone suggested!

Mark, it's kind of clear that this is YOUR preference. You're forcing us to use YOUR preference. Lots of people would like to put it somewhere else and it would be so easy to just put the option there. Apple has it, and the option isn't even hidden in OS-X.
Is it really so important for you that everyone uses the product however you want it to? You haven't given any proper argument against it.

So please, let's just get this over with and include this very basic option.

Changed in null:
status: Invalid → Confirmed
status: Confirmed → New
liamo (liamoshan) wrote :

If you have two monitors, and have the right one as the primary, it is extremely difficult to mouseover the correct area to get the launcher to appear fully, as it's on the edge between two screens.

If it's impossible to move the launcher to the right of screen, it's impossible to use dual monitors with the right one as primary.

Setting the left monitor as primary is not always an option, surely moving the launcher should be?

Tal Liron (emblem-parade) wrote :

I'm writing to support Liamo comment #60.

I have that exact setup: two monitors, where my right monitor is primary. Because of the way my desk is arranged, the left monitor is not in front of me, and having the Launcher there would be a pain -- literally, to my neck.

The "best" option I have now is the Launcher on the left of my right screen. It's a rather sad option.

I've tried to make the launcher to never hide, which would be better, but that creates another bug, which I've reported separately: https://bugs.launchpad.net/unity/+bug/772889

It seems that this rather common use case has been overlooked! The design concept is perfect on my single-screen laptop, but for my desktop environment Unity is frustrating. While it's possible for me to use other shells or desktops, as Mark suggests, it would require me to use an entirely different workflow for my desktop and my laptop, not to mention the 5 other Ubuntu computers I use. Not a lot of "unity" in that experience. ;)

A comment to Mark: your very terse "won't fix" response here is not one of your finest moments of engaging the community. Some people may be clamoring for customization for its own sake, which doesn't make sense to me and may try your patience, but some of us are pointing out a serious usability problem. Mark, perhaps the design "vision" for this particular issue could use some rethinking?

To add insult to my injury: my native language is written right-to-left. But, I'm not even going to try it with Unity, and stick to English. (Even if Unity worked nicely, other parts of the desktop would surely break from my experience!) So, is part of Unity's "vision" to enforce a left-to-right world?

I'll just add that I happen to love Unity's vision generally. It's a refreshing pleasure to use on my (English) laptop, and I would love to have the same on my desktop. I just don't see this happening without the Launcher being movable to the right, but would happy to hear a different solution (other than to rebuild my office!).

SRoesgen (s-roesgen) wrote :
Download full text (3.8 KiB)

I am glad to see that we see here an increase in voices that call for a change of the Launcher.

Just to comment on one statement that I read here:

Some here are not postulating the idea that one should be able to change the position of the Launcher for its own sake. This is different.
Some time ago mobile-phones did not allow any customization at all. But the more these little devices became part of everyday life the more the became configurable. A new Android smartphone now makes it possible to configure several aspects that were not configurable before. Certainly these options are not as vast as on a desktop but they are perceivable and usable.

Now, we have a desktop operating system (Linux/Ubuntu) which has emphasized simplicity since its creation. And, basically, this was a well rounded idea. A normal user does not need many customizable aspects in his operating system. But a normal user calls this system, on which he is working, not "Desktop" without a cause. The user interface of the computer's operating system has replaced the normal desktop on a working desk that one has used for decades.
I want to be able to control my own workflow and when I want to put the launcher on the bottom of the computer screen this is like being able to place some pencils (or a pencil-box) on the right or the left of my old desk. Or to place the desk lamp on the right or the left of the desk. You cannot control everything in the user's behaviour. Give them, the users, at least some freedom.

If somebody says that the decision to make the Launcher movable is solely based on his wish to make it more "compatible" with his behaviours as a native speaker of a right to left language this is not in any way different from my wish to keep my own workflow. I can only speak for me: this is my reason, I have a workflow which I have acquired in 22 years of using a computer and I am alway open for change. But I dislike the idea that essential parts of my behaviour will/should be changed by a design decision which deviated from every computer (desktop) interface that we have seen for the last 15 years.

Btw: I now use Unity since the beta 1 and while I do like the Launcher (and Unity) in general, I honestly detest the fixed position of the launcher. I use docky as an addition to my desktop, though it should not be necessary to do so. I can place docky wherever I want. I have more features in docky. And: with docky I can launch several instances of one application if I like to do so (especially I can launch several instances of Nautilus which certainly is a very odd behaviour: who the heck wants to use more than one nautilus winow at once??? Yeah, I must be a real moron!).

To become serious again: I cannot undestand what is so strange about the idea to make the launcher movable? To have a launcher at the bottom is MY design decision. And possibly that of many other people. To have the launcher at the right is the design decision of many other people. And to have the launcher at the left side is also the design decision of many other people. Heavens! This is my desktop. My desktop is quasi my virtual home. How can anybody be so rude to command me how to design my ...

Read more...

Ron (ronlawrence3) wrote :

I have major ergonomic issues with the launcher being pinned to the far left side of my multiple monitor setup. I primarily work on the right screen and travelling all the way over to the left to click an icon is not very usable. Making it appear on the left of my other monitor would help, but is not ideal as it interrupts the movement of windows from screen to screen.

In addition, with wide-aspect becoming the standard monitor configuration, there is MUCH more space for icons running horizontally rather than vertically.

Please consider changing this!

IKT (ikt) on 2011-05-09
Changed in ubuntu:
status: New → Invalid
Omer Akram (om26er) on 2011-05-09
Changed in ubuntu:
status: Invalid → Won't Fix

I think we need to accept it. I see disadvantages, but also the benefits. However as long as they really don't want to change this due to design goals we are doomed. Some fanatic developer(s) can try to implement this feature request within a custom package or something similar....

And otherwise I think we have to get used to it.

Tal Liron (emblem-parade) wrote :

Melroy,

If they refuse to fix this, then it should be seen as a different kind of bug:

If Unity detects that it's in a multi-monitor setup and that the primary monitor is not the leftmost, then it should display a warning to the user that this is not a fully supported setup, perhaps helpfully offering to automatically switch the primary monitor to the leftmost for the user. (Though this may be difficult to do with proprietary drivers that have their own monitor setup tools.)

The current situation is very clearly broken, because everything seems to be OK (no warnings) and yet this setup is not properly supported. This has nothing to do with design goals: this is objectively a bug.

Tamale (uictamale) wrote :

Does no one else use multi-monitor setups with one monitor on top of the other?

I just gave unity a 'real try' on my primary work desktop, where I have two matched landscape-oriented monitors, one directly above the other, and not only is it pretty much impossible to click the ubuntu button (since it's hovering right on the border between my monitors), I also have TWO top menu bars duplicating the time and notification area buttons.

This is extremely confusing and a usability nightmare compared to simply letting me put the ubuntu button / launcher on the bottom or top.

Worse yet, any new window in this setup is created with the window decorator completely hidden beneath the menu bar on the bottom screen and resized to just 20-50 pixels tall.

Mark, I respect your design goals but they are simply not in line with the desktop PC experience. I think unity is fine for touch pads but for a significant portion of your userbase (everyone where I work has AT LEAST 2 monitors.. many have 3 or 4), these goals are NOT being well-realized.

I truly believe you're either going to have to allow these configuration choices or you'll have to create a separate ubuntu-desktop-pc package again.

Tamale (uictamale) wrote :

I think it'd be helpful for this practical-usefulness of this bug to highlight cases where moving the launcher is critical, and either get suggested workarounds or hard answers from Mark (or other people representing the decisions) on 'expected behavior':

1. Synergy setups with a computer to the left of the primary display
 - this is the most arguable case for needing to move the launcher, imo. You cannot click on anything along the left edge of the screen OR make the panel appear since your 'left edge' spills off to the next monitor.
2. Dual-monitor setups with one screen to the left of the other
 - if the right monitor is your primary, the button and apps are all hard to click on quickly
3. Dual-monitor setups with one screen above the other
 - problems would match those described here: https://bugs.launchpad.net/unity/+bug/668415/comments/66
4. Triple-monitor setups with one portrait screen and two landscape (or more monitors)
 - problems would match those described here: https://bugs.launchpad.net/unity/+bug/668415/comments/66
5. Triple-monitor setups with three portrait-mode displays next to each other
 - problems similar to #1
6. Single-monitor setups in portrait mode
 - I don't think auto-hide is acceptable here.. the problem is the lost screen space

Mark or someone authoritative, I look forward to hearing your responses to each of these problematic conditions.

Roasted (roastedtiresx) wrote :

Dear Mark Shuttleworth, I humbly respect all you have done for the Ubuntu community. You have been the core of an extremely solid Linux based platform that to say is amazing is simply an understatement. But I have a problem. I run dual monitors. My main monitor is on the right. My monitors are also wide screen. What this means is my Unity bar defaults itself to the far left. If you had any idea of what my setup is like, you would understand the royal pain in the rear this is to use Unity in that situation. I use my 2nd monitor for displaying several things, such as email, a video surveillance feed, and often times a 2nd document that I'm working from on my 1st monitor. That being said, the amount of "mouse traffic" my 2nd monitor sees is very minimal since that monitor is basically a not-heavily-used display tool, however I HAVE to use it a lot because of Unity's stubbornness with defaulting to the far left and only the far left.

I would like to highlight what the user Tamale had to say above:

*******
Mark, I respect your design goals but they are simply not in line with the desktop PC experience. I think unity is fine for touch pads but for a significant portion of your userbase (everyone where I work has AT LEAST 2 monitors.. many have 3 or 4), these goals are NOT being well-realized.

I truly believe you're either going to have to allow these configuration choices or you'll have to create a separate ubuntu-desktop-pc package again.
*******

I cannot stress this enough. Mark. You truly need to open your eyes in this situation. There are lots of faithful users, like myself, running alternative desktop environments and/or Linux based distributions. Unity is a gorgeous, gorgeous desktop environment. But in its current state, it is only usable to a very sincere small amount of users.

Things. Must. Be. Changed. I hate to sound like this, but Tamale is dead-on. If Unity cannot be customized even to the simplest degree of moving the Unity bar to another monitor to suit that user's desktop, Unity will not fly nearly as high as the Ubuntu teams insists it will. I hate to see such a rock solid project not hit maximum potential because of "long term design goals" not fitting.

You and your team have done so much for this project, and I truly love Unity. But as far as I'm concerned, it's only usable on my laptop. Please listen to your users. Put the "long term design goal" argument to the side for now. We've listened, and we heard your case on why things won't change. But here's the catch... The users drive the product, and right now, the users are talking. But no listening is being done, as far as I can tell.

We all appreciate your time, and we all anticipate an uplifting answer.

hawthornso23 (hawthorn) wrote :

Nothing is more annoying than an itch you cannot scratch.

IKT (ikt) wrote :

I thought this itch was scatchable, just no one has taken the initiative to start to scratch it, what is preventing the fix?

Tal Liron (emblem-parade) wrote :

This bug has been closed as "Won't Fix" and is unassigned. Nobody is working on it. Not only that, Mark Shuttleworth has said that it's not a bug, and that it's part of Unity's vision, and so it seems unlikely that any patches that do enable this behavior will be accepted.

A possible option is for the community to fork Unity and create a different version that is more customizable, but it's not something I would personally do, because it would mean constantly chasing and merging fixes from the official version.

My conclusion is that Unity is and will continue being a frustrating choice for multi-monitor desktop setups and for users of right-to-left languages. I do enjoy it on my English laptop, but it's frustrating to have to keep switching paradigms when I move to working on my desktop. I really hope to be able to run Unity everywhere.

IKT (ikt) wrote :

"A possible option is for the community to fork Unity and create a different version that is more customizable, but it's not something I would personally do, because it would mean constantly chasing and merging fixes from the official version."

So the itch is scratchable, we just need to find someone who is dedicated enough.

Paul Sladen (sladen) wrote :

Tal Liron: The lack of proper Right-to-Left full mirroring is a bug, it's bug #654988 ("Unity doesn't mirror its interface for RTL locales.") should really have been designed in from the start but didn't get done I think because of time constraints … there are RtL users in the design team.

IKT: Indeed; the lack of full RtL is a bug, whereas having a movable Launcher is a Wishlist request—there's nothing to prevent anyone from doing the design, R&D, the implementation or making it work in order to scratch an itch. *However*, designing and supporting a movable Launcher is beyond what the Canonical Unity Design Team, Desktop Experience team or testers can do within the next Ubuntu 11.10 cycle. The limited and valuable time that is available needs to be spent on firming up those elements that are part of the *default* experience first.

SRoesgen (s-roesgen) wrote :

Ok, hoping that some are still reading answers to this bug I will drop a few lines here:

Two days ago I started a discussion on the Power User mailinglist (<email address hidden>). I hope that together we can come up with some solutions to the problem that Ubuntu Unity lacks anything like configurability. I want Unity to be more configurable and I want Canonical to listen to the users if they come up with such an issue.

Concerning, for instance, bug 733349, we got a user who wrote a patch which should -- in my opinion -- be integrated into Ubuntu by default. If it is against their design decision then ok: but one can still keep the default settings of the system to work according to their design decisions and on the other hand one can try to offer options to configure the system easily. This both can be done.

On the Power User List I am trying to convince the people that we need a trimmed down version of Ubuntu Tweak (or something like that) which will be integrated into the default installation as a part of the Gnome Control Panel. Thus one can integrate those options to configure Unity, which are currently found in CCSM, into the default installation (and one can thus include them in the Gnome Control Panel). In anyway I cannot understand why these options are only available via CCSM. The tool easily breaks Unity and additionally it makes no sense to offer options, which decide if the launcher "dodges windows" or "stays visible" all the time are only accessible by installing additional software.

So please join the discussion there. It seems that the larges part of the members of that list are on the side of those who want to make Unity more configurable. But the more voices the better. I want a real discussion and I hope we can thus convince the Unity developers to listen more to the users.

frankster (wtfrank) wrote :

"I think the report actually meant that the launcher should be movable to
other edges of the screen. I'm afraid that won't work with our broader
design goals, so we won't implement that. We want the launcher always
close to the Ubuntu button.

 status wontfix

Mark"

This 100% makes sense as you would have to move the mouse to the left screen to enable the launcher then move the mouse to the right to click things on the menu.

Thus we need functionality to move the ubuntu button AND the launcher to the right side of the screen. The specific use case where this is required is if you have a screen to the left of your main screen. You are unable to move the mouse to the left screen to bring out the launcher, as the mouse goes onto the left screen.

The other alternative is to prevent any screen other than the default screen from being on the left side of the desktop.

max (maxozilla) wrote :

+1, there should be an option to move the launcher.

I'm all for simplicity. But this is a pretty simple thing the user should be allowed to configure.

Also, sometimes when hitting the back button in Firefox, the launcher appears and you find yourself clicking on it instead. So I'm not sure it even makes sense to have it on the left by default.

irgendwer (irgendwer) wrote :

>We want the launcher always
>close to the Ubuntu button.

Who is "we"? Apparently not Ubuntu's users, since there is apparently a huge numer of users asking for this feature - as the various comments and bugs marked duplicate shows.

Wasn't Ubuntu all about the users?

This really reminds me of Pidgin's stupid "We won't make the input text-field resizable, since it does not fit into our broader design goals" or Gnome's "We won't give you a GUI option to switch of the blinking cursor in a terminal, since non-blinking cursors confuse the user and does not fit into our broader design goals"

Changed in null:
status: New → Incomplete
status: Incomplete → New

@Robin van Ee
Changing back to Invalid in NULL Project, since a non-Invalid status in NULL Project is not (ever) meaningful; see https://launchpad.net/null. (Please note that this has no bearing on the issues being discussed.)

Changed in null:
status: New → Invalid
jtarin (jtarin) wrote :

Natty.......Is this a singular vision or a shared vision? The reason I ask is it appears more as a secret vision.

At least, there should be a way to select Ubuntu Classic as the default in the installation process, so people could be free to reject Unity.

IKT (ikt) wrote :

Fernando, does Kubuntu offer KDE 3.5 as an option during the installation process? Do any major KDE distro's offer KDE 3.5 support anymore?

Most software venders will move on to newer software they have made unless there is a drastic reason why not to, this is the nature of the software business.

In the open source business you are free to continue to use the older software as long as you like, and if you don't like that it isn't supported anymore you are free to move to another distro which does support the software you want or even to go further and pay someone to support and update that older software.

I have had many issues with Unity, however many of those issues have been fixed in the next version simply because people like you and me put in requests with our issues.

My best advice in relation to your feature request is to please do submit bug reports and get involved in the community, that way we can continue to improve Unity and make it so you don't want to reject it.

thanks

SRoesgen (s-roesgen) wrote :

@IKT
Let me ask this questions in a very special way: "Hello? Is someone there?"

Did you actually read the discussion on this launchpad page? This, here, is a filed bug which includes a request (or wish).

Being part of a open source community means to contribute? Well, then everybody IS contributing here. The moment they state their opinion they are contributing. The opinion should be important
When 112 users complain about a behaviour in the system it is very important that they state their opinion because normally developers should react to these complaints. Thus, everybody who states his opinion is important solely for the fact that (usually) his opinion, or his vote, should be an indicator for how critical a bug or requested feature is.
The problem is that this is not done here. There is no reaction to this (possibly because the most developers do not receive any notifications about this bug anymore).

There are two bugs/feature requests with a huge group of "affects me" voters. Both are completely ignored. Do not dare to tell anybody on this page to tell them that they should submit a bug report. If the content of the report is not to the liking of the Canonical design team or whichever Canonical team it will not be debated. That is the bitter truth in here. Do not dare to tell me something about a community.

I use now Unity simply as a normal user. I will not defend it anymore. I will not explain its behaviour to anyone anymore. And especially: I will not file bug reports. They do not want to hear different opinions coming from the community? Well, then seemingly they do not need the help of the community. They can pay some people now, to search for bugs.

Magnes (magnesus2) wrote :

Well, I filed a ton of bug reports for Unity not one of them was fixed (but many got confirmation from others). I believe Unity team is overworked - maybe there is to few of them. If this is the problem, maybe the solution would be to stop for a while and consider the future, ask for help or sth.

I have an idea how to solve this mess: KDE Plasma. I am starting my education on "Applied Informatics" this year. I need a pastime other than computer games. My thought: Why not to try to port Unity to KDE environment? The plasma interface has a very nice feature - lock-down of interface, so it cannot be customized, until unlocked. This single feature divides the interface into two very different modes: complete and zero customizability. When locked by default, the UX team can assume the "noob users" (no disrespect meant - just a quick phrase) won't destroy the plasma desktop by accident, yet the "power users" will have tools not available for traditional GNOME/Compiz desktop. But for this to happen, I would need to have support in form of all the "art and design". I don't want to make the stuff from scratch - I want to do a port, which means I would need to have all the stuff like proper gradients for panels, how thick the panels should be, etc. It would take a lot of time, I would need to learn a lot of stuff, but the effect is worthy. The KDE desktop is the single thing I miss in the "vanilla" Ubuntu.

IKT (ikt) wrote :

s-roesgen, the comment I was responding to was a request to have gnome 2 added to the installation options, nothing to do with what you are suggesting.

Tal Liron (emblem-parade) wrote :

This bug has been made "don't fix" and is ignored by the Unity team. However, it has been an important discussion forum for the (often frustrated) community of users!

And so, I'd like to point everyone to a relevant change in Unity coming for Oneiric: the "BFB" in the top left corner is moving into the launcher. More on this here:

http://www.omgubuntu.co.uk/2011/08/revamped-dash-lands-unity-2d/

This has lots of advantages in my view (no more clicking it by mistake when you are trying to click on the "File" menu of an app). But, the most important one for this "won't fix" bug is that it now makes more sense to be able to move the launcher other parts of the screen without breaking the association with the BFB. The whole shell structure could exist anywhere while staying 'unified'.

I don't know if there are plans to allow for this, but it's a move in the right direction for us.

I also want to point out that apparently Unity's "vision" is not so much a unified idea sprouting from Mark Shuttleworth's brain, but instead a product of ongoing usability research by hired 3rd party teams. This is good because it allows for evolution, but bad because it seems arbitrary. Our "won't fix" bug might end up getting fixed because some research intern point out the obvious issues that have been filling these 84 comments, not because a leader steps up and says "these guys are right."

Maarten Kossen (mpkossen) wrote :

The new design, as it appears on OMG!Ubuntu, makes it even harder to place the launcher elsewhere. In the current situation, you can make the launcher appear via the top left corner of a screen. In the new situation, the trigger point must have been removed. Otherwise you would get the launcher when you try to close an application, which is probably undesirable behavior.

Mark, and/or everyone at the UI team.

Imagine that I am a new home pc user, told by my friends that Ubuntu is great.

Most likely I am a current Windows user, and am used to the button being on the bottom.

I might be able to get behind the useability or feel of the Gnome 2 environment, if simply because I can put the button on the bottom.

Now I am using Unity. Nothing moves to where I want it. I can't make any changes to how I want it.

Also because I am not a programmer, I can't make a patch or change it by changing the code.

I am now alienated, and frustrated. The next person who asks about Ubuntu is going to here that I went back to Windows because of how awful the experience was.

The desktop experience MUST be flexible, or you will see a dramatic loss of users to Ubuntu...

I am only one voice, but I myself am writing this from Xubuntu, simply because of Unity.

My personal feelings aside (I absolutely hate Unity)...

It has always been the job of the designer to fit the wants and needs of the user, NOT the other way around.

If it where the other way around we would all be running terminal emulators, and there wouldn't be a gui... (most likely)

I am able to make changes to my linux world because I am an avid linux user, to the point that I could do everything I need to do in the cli. But the majority can not, and I feel a responsibility to speak up for the masses.

Anyone reading the posts on the net knows there are now a multitude (a vast one IMO) of users who are so frustrated with this "god aweful" user interface (not my description) that they are looking elsewhere.

If it is your intent to make Unity the desktop environment for everyone, and not just for netbooks and other unique devices, then Unity has sorely missed the mark, and should be seriously reworked.

I own a 10" netbook. I actually much prefer xfce or gnome 2, and even gnome 3 to Unity. Currently I am using XFCE4 on it, without problem.

In closing, I just want to say that we all need to look at other's points of view, and saying "you fix it" is never the answer.

And that's basically what you did Mark, you basically said, "you fix it, I won't..." (summed up ofcoarse)
-Dennis Andrew Gutowski Jr.
Owner/Operator Denny's Computers
http://www.dennypc.com

лист (leaf-2) wrote :

OK, practical problem: Lots of applications have a slender panel down the left hand side, e.g. Nautilus (the panel containing drives and shortcuts) and Epiphany (the panel containing folders). Dragging files or mail respectively towards that panel causes the unity launcher bar to pop out, obscuring the panel and severely degrading the useability of said apps in fullscreen mode. If the launcher bar must be on the left, for the sake of compatibility with said apps it must not pop out when dragging files, at least not as readily as it does now.

Personally I don't see why keeping the launcher bar and the ubuntu button close together means that the bar cannot be moved. Just move the button with the bar. However I'd understand it if you wanted to concentrate on getting core functionality working first. Unity is quite flaky at the moment, to put it mildly. Not a good time to be working on options. But sometime the option would be nice.

лист (leaf-2) wrote :

There are differences of opinion over this. To call the bug invalid is unconstitutional.

Changed in null:
status: Invalid → Opinion
Tal Liron (emblem-parade) wrote :

@leaf-2:

See my comment above re: the movement of the BFB from the Panel into the Launcher. It seems to me that the main reason the Launcher had to be stuck on the left was that the BFB was on the beginning of the Panel (which is also why flipping *everything* to the right seemed to be the only choice for right-to-left languages). That means that the Launcher was always locked in a 90-degree angle to the Panel, with the BFB as axis. A very severe limitation!

Now that the BFB is *in* the panel (on Oneiric), this limitation seems to have disappeared.

This whole discussion seems to be about folks expecting every one of their 'needs' or 'wishes' being fulfilled. No system, open source or otherwise, is going to meet the wishes of everyone.

Someone has to make a decision and it appears that Mark Shuttleworth(?) has made that decision. Get over it and either make a patch or get used to it, that's my opinion/feeling.

The designers of Ubuntu aren't stupid, they understand the laws of supply and demand, I am sure. If enough people don't like the position of the unity tool-bar and it becomes a problem with users leaving Ubuntu then they will change it back...just like when coke brought out "new coke" and everyone stopped buying it, forcing coke to bring back the "old coke". Market rules will dictate in the long run.

Also, for crying out loud folks, Ubuntu is free, you don't get all you want in paid software either, and you don't have to pay for this, so what's the whining for?

Personally, I don't like the Unity desktop, so I use the classic one....problem solved for me....I love Ubuntu...thanks to all the developers and community for making it.

@Mark....thanks for leading the ship, you're doing a great job.

Magnes (magnesus2) wrote :

Right now it looks like there are no designers. Just programmers making user interfaces blindly.

Tal Liron (emblem-parade) wrote :

@magnes:

For what seems to be the first time ever in open source, Unity is actually being designed in conjunction with "usability studies," which involve a close look at the habits of a sampling of users interacting with the desktop. Statistics are gathered on things like where their mouse pointer moves and where they click, where they pause and where they spend time. This is a more scientific approach to usability than the community is used to. It doesn't mean there's no overall vision, but it does mean that the weight of a lot of design decisions ends up being external to any one person's opinion. Of course, you also look at statistics and not just the average: if you seem that half of the test sample exhibits one habit and the other exhibits the opposite habit, you need to take that into account in your design.

I don't think this is "blind," I think it's actually perceptive. The limitations of this approach are that you need to present the test sample users with an actually running desktop to play with. So, it takes a few iteration until things are perfected.

I definitely applaud the Unity team for this innovation, and hope other open source projects learn from it.

@paul:

Market rules and leadership notwithstanding, Launchpad is an integral part of the process of improving Ubuntu. Some of the complaints here are indeed over-the-top (people "threatening" to move to XFCE, oh noes!) but there are a few reasonable arguments, too. Everyone here wants Ubuntu to succeed.

The irony is that you are whining about our whining. If you don't agree with this effort, just get over it. :)

@Tal...yeah mate, you called me on that one! :)

When I marked this bug Invalid in NULL Project, I explained why that was correct. See https://bugs.launchpad.net/unity/+bug/668415/comments/78.

It is meaningless for a bug in NULL Project to have non-Invalid status. Please click on "NULL Project" and read what it means before making changes to bugs assigned to it. If this bug is to be reopened, it should also be assigned to a project that corresponds to some real application or software development effort. This bug's Invalid status in NULL Project is *not* incorrect, because the statuses that represent this bug's real state are the statuses in unity and in Ubuntu, *not* the statuses in NULL Project.

This bug's current Won't Fix statuses in unity and in Ubuntu reflect that there is a difference of opinion; they are correct as well. (However, it is not *universally* the case that bugs where there is a difference of opinion should not be marked Invalid. Different projects use Won't Fix a bit differently from one another. In some projects, if there is a difference of opinion that the developers agree is reasonable, but they have nonetheless decided not just to make the requested change but also that the issue raised is *not* a bug, they may correctly mark the bug Invalid. See https://help.launchpad.net/Bugs/Statuses.)

Changed in null:
status: Opinion → Invalid

Since the Ubuntu button is now contained in the physical launcher, are there any plans to revisit this bug? Moving the launcher to other portions of the screen without disconnecting the launcher and the Ubuntu button is now possible. I feel that locking the launcher to the left side of the screen is a bit restrictive and I think that users should be allowed to move the launcher. While I think that Unity has some rough spots that could use quite a bit of polish, I see great potential for it.

Mark, don't you think that it's quite ridicolous that Mac OS and Windows are less restrictive than Ubuntu Unity?

I agree with Alexander Wilms that I have more freedom on Mac OS and Windows user interface that I have on Unity.
The way that Unity developers are treating their users, is the same way that Apple and Microsoft do to their.
All my friends that uses Ubuntu, claims about Unity.

Jason Todd (jtodd929) wrote :

@ Dennyboot
If you hate Unity and have switched to Xubuntu, how is moving the Launcher going to do anything for you? Pick the distro/desktop enviro you like best. I'm assuming Xubuntu isn't perfect or you wouldn't be posting here. Nothing's perfect. So just accept the decision for now. =)

To everyone else: Mr. Shuttleworth has acknowledged that he has heard this request and said it's a Won't Fix. Maybe he'll change his mind in the future, maybe not. But if he does it will probably be based on Research that shows a reason to change it.

I originally wished for the Launcher to be moveable. But after using it on the left for a while I've found the intelligent hide behavior has made it a non-issue. I actually prefer it on the left now as long as it can dodge windows.

Make a choice, use Unity how it is or switch distros. But my advice is give the current status quo a chance with an open mind. Don't judge, just use. Maybe you'll change your mind, maybe you won't. I changed my mind.

I have trust that Shuttleworth is making good decisions based on research. So yield and try to give an honest chance and give it some time to mature.

Based on use, I have come to the realization that I like Unity better than any other desktop UI (Windows, Mac, or Linux). I'm sure others will develop the same affinity. But you got to let some preconceptions go and accept things for how they are. Your voice has been registered and acknowledged. So I suggest putting your energy in exploring the new desktop enviros that Linux is offering with an open mind and finding what you like and trying to use things in the new way. Although maybe an adjustment at first you might find you like it pretty well. This was my realization.

Magnes (magnesus2) wrote :

Sorry, but right now Windows 7 UI is much better than Unity (look at the launcher behavior in Windows 7 - it's perfect) and it looks like the "Research" is not worth much based by the reactions of users. Maybe Mr. Shuttleworth should change his designers or researchers because right now I (and probably many others - even on distrowatch Ubuntu is very close to losing it's first position) find Unity the worst enviroment (Android HC being the first to me, Windows 7 second, OSX third). It's also cacaphony of colours - like it was done by a kid without style - look how it's done in other enviroments. That is my opinion. I still use Ubuntu and Unity for now hoping for the best - and because I dislike the old style desktop (like Windows XP or Xubuntu) even more. But I think you are close to making even the most patient fans who WANT to like Unity very close to abandoning ship. How will it fix the bug #1?

I, personally, don't a single human being on the Earth that thinks that Unity is the best think they had found until now.
If there is any research about user interfaces, please, share with us the results, papers and every other artifact of this research.
Please Unity developers, don't be as ignorant as developers of Microsoft and Apple, please, hear us, it is for the sake of the Ubuntu Linux project that we are asking such a thing.
I know that from time to time new user's interface must be developed, but sometimes their concepts don't match user's expectations. As I can see, Unity is not the right direction in it's current form.

Maarten Kossen (mpkossen) wrote :

Well, Fernando, then let me be the first then. I heavily prefer Unity
over the Mac OS X and Windows 7 UIs, despite both having a movable
"launcher". I agree that the Unity Launcher sticking to the right isn't
always perfect (like with RTL languages or with a dual screen setup with
the left screen being the primary), but that's really secondary. For
most users, the current launcher covers it. It's fantastic!

If everything would happen based on what users would expect, there would
not be much innovation...

On 09/08/2011 03:05 PM, Fernando wrote:
> I, personally, don't a single human being on the Earth that thinks that Unity is the best think they had found until now.
> If there is any research about user interfaces, please, share with us the results, papers and every other artifact of this research.
> Please Unity developers, don't be as ignorant as developers of Microsoft and Apple, please, hear us, it is for the sake of the Ubuntu Linux project that we are asking such a thing.
> I know that from time to time new user's interface must be developed, but sometimes their concepts don't match user's expectations. As I can see, Unity is not the right direction in it's current form.
>

Maarten, I don't know you personally, that is what I was talking about.
And another thing that wish to remember is that here, we are not ordinary
users. Many people here are Computer Science students, application
developers and all other sort of technical expertise. So don't think that
there are only dumb people complaining. Even Linus Torvalds is unhappy with
the current situation of Linux desktop.
We are not here to TROLL Unity, but trying to make it better. The fact that
the launcher is fixed in the left side of the screen is only a single
complaint in middle of many that I hear.

On Thu, Sep 8, 2011 at 10:16 AM, Maarten Kossen <<email address hidden>
> wrote:

> Well, Fernando, then let me be the first then. I heavily prefer Unity
> over the Mac OS X and Windows 7 UIs, despite both having a movable
> "launcher". I agree that the Unity Launcher sticking to the right isn't
> always perfect (like with RTL languages or with a dual screen setup with
> the left screen being the primary), but that's really secondary. For
> most users, the current launcher covers it. It's fantastic!
>
> If everything would happen based on what users would expect, there would
> not be much innovation...
>
> On 09/08/2011 03:05 PM, Fernando wrote:
> > I, personally, don't a single human being on the Earth that thinks that
> Unity is the best think they had found until now.
> > If there is any research about user interfaces, please, share with us the
> results, papers and every other artifact of this research.
> > Please Unity developers, don't be as ignorant as developers of Microsoft
> and Apple, please, hear us, it is for the sake of the Ubuntu Linux project
> that we are asking such a thing.
> > I know that from time to time new user's interface must be developed, but
> sometimes their concepts don't match user's expectations. As I can see,
> Unity is not the right direction in it's current form.
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/null/+bug/668415/+subscriptions
>

--
Fernando

Maarten Kossen (mpkossen) wrote :
Download full text (3.2 KiB)

First of all, let me correct my previous post: with 'sticking to the
right' I naturally meant 'sticking to the left'.

Fernando: you are right, most Ubuntu users are power users. However,
what I think Canonical is trying to do is make Ubuntu more appealing to
non-technical users. I really think for this purpose Unity is way better
than the old Gnome2 desktop or the new Gnome shell. It's more appealing
to the eye, if offers a more streamlined experience and it's easy to get
started with.

On 09/08/2011 04:39 PM, Fernando wrote:
> Maarten, I don't know you personally, that is what I was talking about.
> And another thing that wish to remember is that here, we are not ordinary
> users. Many people here are Computer Science students, application
> developers and all other sort of technical expertise. So don't think that
> there are only dumb people complaining. Even Linus Torvalds is unhappy with
> the current situation of Linux desktop.
> We are not here to TROLL Unity, but trying to make it better. The fact that
> the launcher is fixed in the left side of the screen is only a single
> complaint in middle of many that I hear.
>
> On Thu, Sep 8, 2011 at 10:16 AM, Maarten Kossen<<email address hidden>
>> wrote:
>> Well, Fernando, then let me be the first then. I heavily prefer Unity
>> over the Mac OS X and Windows 7 UIs, despite both having a movable
>> "launcher". I agree that the Unity Launcher sticking to the right isn't
>> always perfect (like with RTL languages or with a dual screen setup with
>> the left screen being the primary), but that's really secondary. For
>> most users, the current launcher covers it. It's fantastic!
>>
>> If everything would happen based on what users would expect, there would
>> not be much innovation...
>>
>> On 09/08/2011 03:05 PM, Fernando wrote:
>>> I, personally, don't a single human being on the Earth that thinks that
>> Unity is the best think they had found until now.
>>> If there is any research about user interfaces, please, share with us the
>> results, papers and every other artifact of this research.
>>> Please Unity developers, don't be as ignorant as developers of Microsoft
>> and Apple, please, hear us, it is for the sake of the Ubuntu Linux project
>> that we are asking such a thing.
>>> I know that from time to time new user's interface must be developed, but
>> sometimes their concepts don't match user's expectations. As I can see,
>> Unity is not the right direction in it's current form.
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (821156).
>> https://bugs.launchpad.net/bugs/668415
>>
>> Title:
>> Movement of Unity launcher
>>
>> Status in NULL Project:
>> Invalid
>> Status in Unity:
>> Won't Fix
>> Status in Ubuntu:
>> Won't Fix
>>
>> Bug description:
>> Please consider this a possible feature request or wishlist.
>>
>> Now when Unity will be default desktop for 11.04 could you please
>> consider to add option to configure Unity launcher placement. Add
>> simple option to lock/unlock through right-click menu and drag
>> launcher to desired location like left/right and bottom.
>>
>> To manage notifications abou...

Read more...

Magnes (magnesus2) wrote :

What people are trying to tell - here and on Mark Shuttleworth blog, I recommend reading the comments there - is that Ubuntu is very bad for non-technical users. I can confirm it after trying to teach three non-technical people using it. They were lost, while they done things without problem (and without me having to explain simple tasks for them) with old Ubuntu.
"It's more appealing to the eye" - is it, really? The cacaphony of colours on the launcher hurts my eyes, the dash has insanely huge icons, in my opinion it's very far from appealing. And like I said the main problem is that is very hard to get started with.

Magnes (magnesus2) wrote :

*In the first paragraph I meant that Unity not Ubuntu is very bad for non-technical users.

Make the words of Magnes mines. Non-technical users (and even technical)
have lots of trouble with Unity. I can say it by my own personal experience.
As I can see, here this Unity adventure is a personal desire of someone and
people should avoid putting their nose on it. It seems that no one will hear
us and things will continue to get worst. I'm really tired about this
situation. Every research of satisfaction around Unity that I have read
points many design failures.
I actually don't think that people in their majority are so dumb to need a
complete revamp of their user interface to be able to use it properly. Until
now, everybody has learned how to use Windows, MacOS, Gnome2, KDE3 and none
of these users interfaces are so strange to users as Gnome3 and Unity.
Ubuntu have lots of other problems that need to be adressed with top
priority (like device driver support, open source applications that don't
match it's proprietary counterparts, etc.). Don't think that an appealing
user interface is the main reason to address bug #1. In all my years of
experience with Linux, no single human being has complained with me that
they had problems to use Gnome2. That is not the case here with Unity:
everybody that I personally know, complains about it.
A Desktop manager in it's conception is only an application to help people
open windows and manage them, it is not the Enterprise Spaceship to be
commanded.

On Fri, Sep 9, 2011 at 3:34 AM, Magnes <email address hidden> wrote:

> *In the first paragraph I meant that Unity not Ubuntu is very bad for
> non-technical users.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/null/+bug/668415/+subscriptions
>

--
Fernando

Nick Vincent (nick-xrva) wrote :

As was stated earlier there is a particular problem in the multi monitor arrangement with the secondary monitor to the left. Mark identified that this is a case that actually needs consideration, and with the removal of the classic theme as a login option in the next version this should be given some serious consideration..

I still think that there is no reason to deny users the freedom to customize
their desktop.
For now, I suggest to allow users to put the launcher at any border of the
screen and to be able to enable/disable the auto-hide function.
I haven't tested Unity with multiple monitors, but I think that the global
menu will also be an issue.

On Tue, Sep 13, 2011 at 11:35 AM, Nick Vincent <email address hidden>wrote:

> As was stated earlier there is a particular problem in the multi monitor
> arrangement with the secondary monitor to the left. Mark identified
> that this is a case that actually needs consideration, and with the
> removal of the classic theme as a login option in the next version this
> should be given some serious consideration..
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/null/+bug/668415/+subscriptions
>

--
Fernando

Tal Liron (emblem-parade) wrote :

@nick-xrva

A GNOME2-like desktop *is* available in Oneiric, if you install the package "gnome-panel". This comes from the GNOME project, as they're also trying to give users an easier transition. However, from what I've seen so far, this "GNOME Classic" is very limited. The panels only mimic the GNOME2 look, and do not support panel applets.

So, if you install that and "gnome-shell" in Oneiric, you have the following login options:

* Unity
* Unity 2D
* GNOME Shell
* GNOME "Classic"

I think 4 options for is not bad! And this list is just for GNOME; you also have KDE, XFCE and LXDE desktops, which are also fully supported and easy to install in Ubuntu. All the people threatening to switch to other operating systems because of a few limitations in Unity really need to chill.

I should note that both "gnome-shell" and "gnome-panel" are very small installations! Since Ubuntu already is based on GNOME 3, the vast majority of the desktop is already there. The desktop shell is really a very small component compared to other parts of the desktop. Still, it's obviously very important and emotional. ;)

SRoesgen (s-roesgen) wrote :

@Tal Liron
I currently imagine myself going to buy a new car and ask if they have got the model in black colour instead of white colour and if they have got different seats and perhaps even a more sophisticated navigation system.

I wonder what exactly I would say if they told me that they only have got white colour, one type of seats and one type of navigation system. I wonder how exactly I would react if they told me that they won't sell me any car without navigation system and that I can only buy this model. It would be really nice, even hilarious, if they even told me that I can go to a car mechanic to remove the navigation system but that they definitively will not sell me the car without the system.

If you now find this situation awkward, I really hope it makes you ponder the whole situation a little bit more thoroughly.

Most people here want more customization. When people go to buy a car nobody expects them to be car mechanics themselves or to visit a car mechanic after they bought a car just that they are able to make some personal customizations to their car. Everybody expects that the product offers some flexibility so that it can be fitted to the needs of the customer.

Now, can anybody tell me what exactly is different in the wold of computer technology? Why is the answer always to go and install some add-ons if the demand was for some simple flexibility and customization? The "go and fix it yourself" mentality does not belong in the 21st century, it did not even belong in the second half of the 20th century. The time that all cars have to be black and have the same set of features is over. So it is with computers. Even my old Grandpa would second this opinion, he prefers his Microsoft Windows bar to autohide and that though the default setting of Windows Vista is that the bad is always visible....

SRoesgen (s-roesgen) wrote :

Addition: I am sorry, it should read
"... that the bar is always visible..."

Without adding more fuel to the flames, I will just say I would also appreciate if a placement option for the launcher and ubuntu button were available, even if the top-left remains the default.

realn (realn-hotmail) wrote :

I would like to say a few things:
1) There is a difference between "limiting" the options and "not having" them. We don't want to do as some other people, who say that the users don't know what they want, we have to tell them.

2) I suggest the following iteration:
 2.1.) take any OOTB experience - not a random one, though :-) (within realistic limits, of course - GUI design guidelines, dev resources, etc.)
 2.2.) implement it
 2.2.) synthesize(save) the experience in a configuration file (all the Unity configuration can be saved in a /some files, right?)
 2.3.) a poll is made where the users post their configuration file. A merge is made, the most common configurations are identified by name and proposed as a mainstream OOTF experience (I propose "Sparta" as the most widely used one - there can be such a thing as a GUI Democracy, right?)

 This can be repeated a number of times, until the "real" mainstream is attained.

3) My opinion on DE in general:
  3.1.) Component interaction as straightforward as possible - drag&drop, right click, etc.;

  3.2.) Component customization - there are so many common-sense things so difficult/impossible to get. Examples:
  - windows titlebar text font/size/color;
  - icon sizes/text/appearance in general - systray, taskbar, quicklaunch icons are so hard to customize, sometimes impossible;

 3.3.) Component integration - the most overlooked and missed one. Examples: wheel scroll on a power manager icon SHOULD do something (change the brightness, or the current power scheme, etc.); wheel scroll on a mixer icon SHOULD do something (change volume, change default output device, etc.). Anything that is on the screen SHOULD interact in some way with the user. Not the other way around.

 3.4.) DE INTEGRATED apps - system monitor, time/date/weather applet, taskbars, systrays should be part of the DE and not "just another app".
Stand-alone system monitors, time/date applets where you cannot change anything, taskbars with no possibility to change the colour of the text, or display only the text/only the icon should not be thought of as part of the DE itself. They're just "some apps".

There are so many things in current DEs that I think are not treated synergistically that I cannot stop asking myself every time I turn on my computer: why, oh why?

PS When can we see a systray where the size of EACH icon can be set independently?
PPS As long as we stick to current paradigm, a DE is incomplete without some gesture functionalities. Please see easystroke.

Please note that all these comments are my personal views and thought that I try to live with, it might be 100% irrelevant to current topic; I just felt I needed to say it and it seemed that here there was a good place.

Nico Krebs (nicokrebs-spm) wrote :

This is very irritating.

In the time that this discussion already goes on, the position-freedom-feature could already have been implemented. twice.

even if it just would be a very sable hack, just doable for highly experienced 1337 users.

that's not the ubuntu style of listening-to-their-users i love(d) so much.

It's a shame.

Nico

nqzero (nqzero) wrote :

for portrait mode on a widescreen (eg, 1080x1920) locking the panel to the left-hand side is a problem. IDEs, office suites and most apps steal pixels for scroll bars, notifications, docks, etc - at least 100 pixels, maybe 200, leaving you with 900ish pixels. the 50 that the side-panel requires means you're giving up 5% of your width, maybe 5 characters

the difference between 85 and 90 characters of width is huge

obviously, this isn't just ubuntu's problem. it's modern aspect ratios, it's apps that waste space on the display, it's our insistence on making everything a rectangle even if it means 90% of the space is wasted, it's developers and authors making their documents wide (i'm a guilty party here), it's facebook using a fixed width display. but getting religious about the panel location is particularly egregious - it effects every app, every web page, every document

fwiw, i'm actually 1200x1920, which is about the best that you can do these days (and it's getting harder and harder to find) and i had to sacrifice viewing angle to get it. i have gnome panel on the bottom of the screen, and have configured most of my apps to not use horizontal space for anything but the document. and i still run out of horizontal pixels regularly, eg 120 char width code, facebook, many web sites, some pdfs. if i was 1080 with unity's panel, i don't think i could do it - i'd have to switch to landscape mode and i'd be getting 45 or 50 lines of code on the screen instead of 90

nsamedjeu (cristmalock) wrote :

Well, I installed Ubuntu 11.4 and my first reaction was "Ok, let me move this launcher down so that i can reach it easily" . Hell it can't move? this is ubuntu or what? why in the hell someone has to decide what is better and more convenient for me? I can bet 90% of users will want the Launcher down. not everyone will have the time to create a profile here to disagree with Mark to whom i am very thankful for the great job but shock he deliberately prevent people from choosing what they really want.

People shall be able to chose and how I dispose items on my screen shouldn't be a design decision but my preference.

nsamedjeu (cristmalock) wrote :

@Mark Shuttleworth
My brain just don't support having the utility function on the left of my screen. It is 4 am here, I can't sleep, I'm having headache looking at my desktop, I'm obsessed about moving the launcher on the button or on the top.

Our brain isn't wired the same way, this is like forcing a right-handed guy to write with his left-hand and being confident that he will get used to it ... or make water the only legal drink since pops and beers can harm our health.
WHO TOOK THESE DECISION IN AN UBUNTU(=people's allegiances and relations with each others..) WORLD?

There is no way this is gonna work for me. Even windows (the whore) give you the option of placing object where you want

I agree with all you that this decision to force people accept unity
launcher at the left of the screen is an arbitrary decision and have no
argument that makes me believe it was a good choice.
They say that there were a research for finding the best position to the
launcher, but no one has shown me this research.
Let's start asking Unity developers, what is the difference between the
unity launcher at the left and right corners of the screen for example?
They consume the same amount of space.

On Fri, Oct 14, 2011 at 7:11 AM, nsamedjeu <email address hidden>wrote:

> @Mark Shuttleworth
> My brain just don't support having the utility function on the left of my
> screen. It is 4 am here, I can't sleep, I'm having headache looking at my
> desktop, I'm obsessed about moving the launcher on the button or on the
> top.
>
> Our brain isn't wired the same way, this is like forcing a right-handed
> guy to write with his left-hand and being confident that he will get used to
> it ... or make water the only legal drink since pops and beers can harm our
> health.
> WHO TOOK THESE DECISION IN AN UBUNTU(=people's allegiances and relations
> with each others..) WORLD?
>
> There is no way this is gonna work for me. Even windows (the whore)
> give you the option of placing object where you want
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/null/+bug/668415/+subscriptions
>

--
Fernando

realn (realn-hotmail) wrote :

Currently I am using a vertical auto-hide panel (as a quicklauncher) on the left side and a vertical panel (that includes the systray, taskmanager, and a few applets - kima, weather, clock, etc.) on the right side. I am actually using KDE3. Why ? Not because it looks better (it's a matter of taste) or because I "hate" gnome. It's simply because it lets me configure it according to most of my needs (ergonomical & aesthetical) in a very simple way.
For instance, try to change the orientation of the gnome panel from horizontal to vertical - big trouble. Why wouldn't I want to use the panel in vertical mode (especially nowadays when there are resolutions down to 700 and smth pixels on the vertical)? Why the gnome panel was not designed to support the vertical orientation? Total mistery to me.
 As long as the requirements I mentioned above in the post are not met, I stick to my opinion - it's not a DE, it's just a collection of apps.

Tal Liron (emblem-parade) wrote :

Sigh! Oneiric made things worse for me -- the Launcher and Dash are now pushed always to the far left, no matter which monitor is primary. I guess this "fixes" some issues, but it makes it quite unusable in my multi-monitor setup.

Because I don't want to abandon Unity entirely (there's a lot to love about it), I'd like to suggest these workarounds for the Launcher/Dash, which are good enough for me, kinda.

Use DockbarX instead of the Launcher (and set the Launcher to autohide). DockbarX supports Unity quicklists! And of course is very configurable. The folk at WebUpd8 keep an up-to-date PPA for it:

https://launchpad.net/~nilarimogard/+archive/webupd8

Note that you want to launch "dockx" for the standalone dock (DockbarX can also work inside the AWN dock). Also, BigRZA made a nice Unity theme for it:

http://bigrza.deviantart.com/art/unite-11-04-theme-197980167

There are a few alternatives for the Dash, and all are available in the Ubuntu repositories: GNOME Do, Kupfer, Synapse, Launchy. My favorite is Synapse: it's minimal and looks good. Unfortunately, none of these support the Unity Lens feature.

elian (jestevens-nospam) wrote :
Download full text (4.8 KiB)

I am posting this here because I know Mark is reading..

I have always been interested in linux ever since I downloaded root and boot floppies for kernel version 0.97 in the 90's. I have tried linux on and off over the years and always found it to be unstable, lacking support - at least until i found Ubuntu. I have been a Ubuntu supporter since version 7 because it was the first distro I loaded that no matter what kind of desktop I threw at it, it ALWAYS seemed to load no problem and it offered a great set of featured applications right out of the box (ever try that with Windows installs?). Versions up through 8 or 9 I could even load on older PC's..I had 8.04 running on a P-II 450MHZ machine and a 233Mhz bondi blue iMac Rev A - avoided having to throw that hardware in the trash. I also appreciated the corporate philosophy of wanting to make software freely available to all people.

Lately however, I have come to realize that with every new release support for older hardware is going away, increased graphic requirements and processing power are now a prerequisite..that's a sad thing to me because a lot of the software you are running like "openoffice" really doesn't need compositing and more advanced features. I've tried Xbuntu but I think a lot of users prefer a more polished interface..and gnome was just right..not too much..not too little...if you happened to have a GPU with good OpenGL support then you could have the eye candy, but otherwise it defaulted back to a usable generic system and that was great.

I have more than one netbook and I thought that the netbook remix launcher was really cool for that platform, big ol' clunky "fisher price" icons, great for people not used to a desktop too - and there, on such a small screen playing with the window controls makes sense. However I'm afraid that I just don't care for Unity on the desktop.

You are trying to simplify the desktop interface? How is Unity "simpler" than having three simple drop down menus at the top of the screen that say "Applications", "Places" and "Settings" ? How is hiding the standard close, minimize, maximize buttons until you mouse over them "simpler" ? How is replacing the application menu with a composited, compartmentalized display with a ton of expand/collapse/close window controls "simpler" ?

You are combining like the worst features of the windows vista start menu with the worst features of the OS X dock, and somehow the team believes that is an improvement? I used to recommend Ubuntu to ALL of my windows friends because it was RELIABLE (compared to windows) and the gnome desktop really WAS simpler than windows, very little learning curve. Now I can't really imagine anyone who is used to MS Windows being able to pick up how to navigate in Ubuntu without some serious tutoring help. You've just created the need to prompt first time users to go through an online training course.

Actually that's not a bad idea, if you want people to feel comfortable then be the first distro that offers to walk people through the application interface (ala - remote control style) when they log on for the first time.

I like unity on my netbook, but I am ...

Read more...

Download full text (5.9 KiB)

What they did on Ubuntu with Unity is what here in Brazil peoples say that
someone had "defecate and sit on top".

On Sat, Oct 15, 2011 at 10:10 AM, elian <email address hidden> wrote:

> I am posting this here because I know Mark is reading..
>
> I have always been interested in linux ever since I downloaded root and
> boot floppies for kernel version 0.97 in the 90's. I have tried linux
> on and off over the years and always found it to be unstable, lacking
> support - at least until i found Ubuntu. I have been a Ubuntu supporter
> since version 7 because it was the first distro I loaded that no matter
> what kind of desktop I threw at it, it ALWAYS seemed to load no problem
> and it offered a great set of featured applications right out of the box
> (ever try that with Windows installs?). Versions up through 8 or 9 I
> could even load on older PC's..I had 8.04 running on a P-II 450MHZ
> machine and a 233Mhz bondi blue iMac Rev A - avoided having to throw
> that hardware in the trash. I also appreciated the corporate philosophy
> of wanting to make software freely available to all people.
>
> Lately however, I have come to realize that with every new release
> support for older hardware is going away, increased graphic requirements
> and processing power are now a prerequisite..that's a sad thing to me
> because a lot of the software you are running like "openoffice" really
> doesn't need compositing and more advanced features. I've tried Xbuntu
> but I think a lot of users prefer a more polished interface..and gnome
> was just right..not too much..not too little...if you happened to have a
> GPU with good OpenGL support then you could have the eye candy, but
> otherwise it defaulted back to a usable generic system and that was
> great.
>
> I have more than one netbook and I thought that the netbook remix
> launcher was really cool for that platform, big ol' clunky "fisher
> price" icons, great for people not used to a desktop too - and there,
> on such a small screen playing with the window controls makes sense.
> However I'm afraid that I just don't care for Unity on the desktop.
>
> You are trying to simplify the desktop interface? How is Unity
> "simpler" than having three simple drop down menus at the top of the
> screen that say "Applications", "Places" and "Settings" ? How is
> hiding the standard close, minimize, maximize buttons until you mouse
> over them "simpler" ? How is replacing the application menu with a
> composited, compartmentalized display with a ton of
> expand/collapse/close window controls "simpler" ?
>
> You are combining like the worst features of the windows vista start
> menu with the worst features of the OS X dock, and somehow the team
> believes that is an improvement? I used to recommend Ubuntu to ALL of
> my windows friends because it was RELIABLE (compared to windows) and the
> gnome desktop really WAS simpler than windows, very little learning
> curve. Now I can't really imagine anyone who is used to MS Windows
> being able to pick up how to navigate in Ubuntu without some serious
> tutoring help. You've just created the need to prompt first time users
> to go through an online trai...

Read more...

Matt White (mattw922) wrote :

This argument of keeping the launcher near the Ubuntu button is nonsense. The Ubuntu button already appears to be part of the launcher, so if I want to move the launcher to the bottom of the screen, I would *expect* the Ubuntu button to move down there with it, thus making a win-win. Having the launcher on the left side is annoying if you're using Autohide or Dodge settings because when you move your mouse to the left side of the screen, you often cause the launcher to pop up when you didn't want it to. It seems to me that the bottom is more ideal than the left. It gets in the way much less often and is the expected place to find it if you're moving from Windows.

maletin (maletin) wrote :

is there a 'pro & contra' list?
i can't find my argument:
i've got a monitor on the left of the Ubuntu-VirtualMachine.
i can't move the mouse to the left, because i loose focus.

There is no pro & contra list, and Unity developers seems to be ignorant
about this problem.
They thought about a single use case and designed Unity to solve that single
use case.
People with other use cases and needs, must seek other desktop manager, like
KDE, Gnome2, XFCE or LXDE.

On Tue, Oct 18, 2011 at 7:31 AM, maletin <email address hidden> wrote:

> is there a 'pro & contra' list?
> i can't find my argument:
> i've got a monitor on the left of the Ubuntu-VirtualMachine.
> i can't move the mouse to the left, because i loose focus.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/null/+bug/668415/+subscriptions
>

--
Fernando

Magnes (magnesus2) wrote :

As a programmer I think it was a project error - if they didn't make the launcher with ability to move in the beginning now they will have a lot of work to do to fix it. As a programmer I prefer adding as many configurable options as I can in the very beginning of making a new project - I can hide most of them from the user if I think he/she won't need them. But they - maybe because of overwork or time limits - decided to not make it configurable practically making themselves much more work know (If they decide to fix it).

Tal Liron (emblem-parade) wrote :

Hi all you complainers! ;)

I've created a detailed guide on how to achieve a decent workaround for this problem, by using DockbarX, Synapse and Unity's 2D Panel in Compiz:

http://ubuntuforums.org/showthread.php?p=11368937

reduz (reduzio) wrote :

Now that It's been a year since i started using unity...
I got completely used to the launcher on the left.
I can use it fine, and i recognize the advantage of more usable screen space.
In contrast, I couldn't get used to Gnome 3 at all.

But I still don't like it and wish it was horizontal and on the bottom.

Everybody wants it to be customizable. Only Canonical developers are unable
to see it. That is very sad.

On Thu, Oct 20, 2011 at 1:50 PM, reduz <email address hidden> wrote:

> Now that It's been a year since i started using unity...
> I got completely used to the launcher on the left.
> I can use it fine, and i recognize the advantage of more usable screen
> space.
> In contrast, I couldn't get used to Gnome 3 at all.
>
> But I still don't like it and wish it was horizontal and on the bottom.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/null/+bug/668415/+subscriptions
>

--
Fernando

reduz (reduzio) wrote :

@Fernando:

I'd rather they get rid of the bugs first, but honestly.. Canonical devs needs to learn that 20 years of habit takes effort to change, specially when it makes you comfortable and productive, and even Apple keeps a sane level of customization on such aspects on OSX.

Zero configuration only really works well for new products..

What drives me crazy in this situation is that now, I'm forced to hear from
people that Ubuntu is a dirty shit since the introduction of Unity. It is
resource hungry, makes many PC that I won very slow and that is a very sad
situation.
Everything that I had done to promote Ubuntu in the last 2 years, I'm now
seeing go to the trash can.

On Fri, Oct 21, 2011 at 5:52 PM, reduz <email address hidden> wrote:

> @Fernando:
>
> I'd rather they get rid of the bugs first, but honestly.. Canonical devs
> needs to learn that 20 years of habit takes effort to change, specially
> when it makes you comfortable and productive, and even Apple keeps a
> sane level of customization on such aspects on OSX.
>
> Zero configuration only really works well for new products..
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/null/+bug/668415/+subscriptions
>

--
Fernando

c h-salage (chafemei) wrote :

It seems to me if Mark, or Canonical, is unwilling to make changes that users request, the he and the company will find him(it)self with happy OEM's and no users

My left-side monitor is an HDTV. I normally keep it (a) set to a different input and (b) turned off.

So, with 11.10, in order to launch an application I have to:

Turn on the HDTV
Select the computer as input source on the HDTV
Open the launcher and launch the application
Change the input back on the HDTV
Turn off the HDTV

For the love of all that is sane in user interface design, PLEASE RE-OPEN THIS BUG.

There is a fine line between "providing user-friendly defaults" and "taking away user control". This decision crosses over that line. Way, way over.

I have been using Ubutnu since Dapper. It would take a lot to force me to change distributions. But this will do it.

realn (realn-hotmail) wrote :

Sad, ain't it ? I have more and more the feeling that I'm heading straight to the wall with Ubuntu (and with Linux, in general, since Ubuntu is the best Linux distro, right?). Well, at least as a desktop environment.
Power consumption and management, version updates, driver integration, etc. these are important issues, too. As for the DE GUI, as long as we're stuck with this kind of issues and not taking a wholistic approach, I am very much afraid that Ubuntu's days are numbered.
 Please, Mark, don't do this to us, Ubuntu fans and users. Please, don't do this to yourself. Just steal some GUI designers from Microsoft, and make something new, something great. Or at least something that works.
I see the internet full of rants about this issue and about some other Ubuntu issues.
http://www.zdnet.com/blog/perlow/why-ubuntu-1110-fills-me-with-rage/19103?tag=content;siu-container

Tim Penhey (thumper) wrote :

Right now the launcher is tied to the left-bottom most monitor.

This was a design decision which had no real good answer. This is
something that we are looking at now with design for better
multi-monitor support.

Right now, if you have a monitor set to the left of your primary
display and you want the launcher on your primary, the only real
solution is to move the other monitor to the right. Sorry about that,
but we are working on it.

Tal Liron (emblem-parade) wrote :

Hello everyone. I've opened a separate bug on this, in hopes of addressing the underlying issue:

Community engagement is broken: https://bugs.launchpad.net/unity/+bug/882274

Tayroni Alves (tayroni-alves) wrote :

I want to point out there exists a non-official patch that makes the desired result of place the unity launcher on bottom of the screen.

http://www.webupd8.org/2011/10/how-to-move-unity-launcher-to-bottom-of.html

There are minor bugs. One of them is the dash has to be always maximized.

Changed in ayatana-design:
status: New → Won't Fix

It seems that Mark is putting Ubuntu community aside with this Unity.
The majority of users was comfortable with the older interface.
I don't know why they are so ignorant with us.

On Fri, Oct 28, 2011 at 8:14 AM, Mark Shuttleworth <
<email address hidden>> wrote:

> ** Changed in: ayatana-design
> Status: New => Won't Fix
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in Ayatana Design:
> Won't Fix
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/668415/+subscriptions
>

--
Fernando

Mark Shuttleworth (sabdfl) wrote :

On 28/10/11 12:01, Fernando wrote:
> It seems that Mark is putting Ubuntu community aside with this Unity.

There are many community members who have contributed to Unity. There
are many who have said they love it, and some who have said it does not
work as well for them. There are lots of developers and lots of
designers working to improve it. Instead of complaining, please find a
constructive way to engage, or leave.

> The majority of users was comfortable with the older interface.

Change is coming regardless, best we be ahead of that curve, don't you
think?

> I don't know why they are so ignorant with us.

Disagreeing with you is not being ignorant of your needs or thoughts.

Mark

Have you counted how many requests to change Unity launcher position we have
here?
Have you read the following articles?
http://www.phoronix.com/scan.php?page=news_item&px=OTczOQ
http://www.technewsworld.com/story/73026.html

I can't find all the articles that I have read this year about how people
are feeling bad with this desktop changes, in time to answer you quickly.
But these are few of them, that I have found here.

Unity and Gnome 3 are in the same path, so I think that this issue should
apply to the second article.

I wish only to remember Mark, that I'm acting on the behalf of the Ubuntu
users that I represent here in my neighborhood, college and friends. They
are all unhappy with Unity. It is resource hungry, inflexible and brings me
many problem maintaining that.
When you say, " Instead of complaining, please find a constructive way to
engage, or leave." you are not considering that criticizing is a way to show
what is wrong. With this thought you leave us, with few options other than
"leave".
When you write "Status: New => Won't Fix" this makes me think that even that
I write a patch that fixes these issues and send them to you, it won't be
merged, because it's not your interest to change the look and feel that you
previously imagined.
It is a very sad situation.
Please read carefully the posts above, so you can get a better idea of what
is going on.

On Fri, Oct 28, 2011 at 9:24 AM, Mark Shuttleworth <
<email address hidden>> wrote:

> On 28/10/11 12:01, Fernando wrote:
> > It seems that Mark is putting Ubuntu community aside with this Unity.
>
> There are many community members who have contributed to Unity. There
> are many who have said they love it, and some who have said it does not
> work as well for them. There are lots of developers and lots of
> designers working to improve it. Instead of complaining, please find a
> constructive way to engage, or leave.
>
> > The majority of users was comfortable with the older interface.
>
> Change is coming regardless, best we be ahead of that curve, don't you
> think?
>
> > I don't know why they are so ignorant with us.
>
> Disagreeing with you is not being ignorant of your needs or thoughts.
>
> Mark
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in Ayatana Design:
> Won't Fix
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/668415/+subscriptions
>

--
Fernando

Julien Olivier (julo) wrote :

@Mark

> Instead of complaining, please find a constructive way to engage, or leave.

This kind of attitude is not going to help you fix bug #1. A *lot* of users *are* leaving right now because of your recent discutable choices (forking GNOME mainly).

There were quite a few very constructive comments on this bug report, and they were all ignored, which, in turn, generated more non-construcitve comments (mine included).

Please open your eyes: you're making a big mistake with this whole close-minded attitude, not just with locking the movement of the unity launcher.

I hope my comment is not too harsh as i'm just trying to help Ubuntu go back on the right track, with all the respect I have for all you did to help the linux community in general.

manuhalo (edipascale) wrote :

Adding a comment here IS a way of getting engaged. I had to perform a clean Ubuntu install the other day and the last screen of the slideshow says something on the lines of "With thousands of customization options Ubuntu can be tailored to suit everybody's needs". Here people are asking for an added OPTION, remember, nobody is trying to force people to go back to bottom-screen bars if they don't want it. Some people have vertical screens, some have a second monitor on their left side, some other just prefer the old regular look. This is the kind ofthings Ubuntu should be about - providing a usable enviroment for everyone. We shouldn't even be explaining this! Please, please, please reconsider your stance on this.

Em 28-10-2011 10:09, Fernando escreveu:
> When you write "Status: New => Won't Fix" this makes me think that even that
> I write a patch that fixes these issues and send them to you, it won't be
> merged, because it's not your interest to change the look and feel that you
> previously imagined.
This is exactly what happened in bug #733349 (I've added a new option,
the bug was marked as "won't fix" and the merge proposal was rejected).

Download full text (3.1 KiB)

Very sad this.
I would recommend Mark to get a laptop with Ubuntu installed, and start
walking through the street of some capital of the world (like London, New
York, São Paulo, Tokio ...) and ask people to do basic things in this and
get their opinions about their experience. I'm pretty sure that people will
not be comfortable with Unity, specially people that usually uses Windows.
Recently I've read that Ubuntu laptops will be offered in China (
http://www.theregister.co.uk/2011/10/28/dell_canonical_ubuntu_china_pcs/).
Given the current situation, I'm pretty sure that it won't go further, like
the past initiatives around this. The reason for that is that people gets
scared about the user interface.
I have lots of experience about this. I had installed Linux for many people
and they, at some point accepted gnome 2 interface. When Ubuntu updated to
11.04 and Unity came as the default desktop environment, many called me that
they were confused, they could find their applications menus, that bar that
riding and showing is very annoying and every other sort of complaints that
many of us already heard in our daily lives.
What I'm saying above is not my personal opinion, because I personally can
use only Open Box with a terminal and a browser and it is enough to me. But
people normal people (Lawyers, Teachers, Secretaries, Doctors, Nurses,
Salesman ...) can't interact with the computer in the same way as I
(Computer science student).
If Mark want us all to go to hell and leave him in peace, then we should
consider our options.
It is pretty sad this, because at some point, we all had contributed a
little to bring Ubuntu to it's current stage.
Now, we receive that: top down decisions that don't matches the needs of
many of us.
I really can't understand the advantages of Unity. I had really tried that,
but I couldn't.

On Fri, Oct 28, 2011 at 12:14 PM, Marco Biscaro
<email address hidden>wrote:

> Em 28-10-2011 10:09, Fernando escreveu:
> > When you write "Status: New => Won't Fix" this makes me think that even
> that
> > I write a patch that fixes these issues and send them to you, it won't be
> > merged, because it's not your interest to change the look and feel that
> you
> > previously imagined.
> This is exactly what happened in bug #733349 (I've added a new option,
> the bug was marked as "won't fix" and the merge proposal was rejected).
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in Ayatana Design:
> Won't Fix
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/668415/+subscriptions
>

--...

Read more...

I have marked this bug as "also affects me", because of the cited annoyances in Unity.
Therefore, I have been receiving notifications of the comments here.
And man, it's been truly painful to watch the "get the hell out leave my vision alone" atitude from Mark, hence people here are not asking for "change", but rather for "options".
That's really really really sad. =(

I think that this article from ZDnet summarizes our feelings:
http://www.zdnet.com/blog/perlow/why-ubuntu-1110-fills-me-with-rage/19103

On Fri, Oct 28, 2011 at 1:30 PM, DIego Ponciano
<email address hidden>wrote:

> I have marked this bug as "also affects me", because of the cited
> annoyances in Unity.
> Therefore, I have been receiving notifications of the comments here.
> And man, it's been truly painful to watch the "get the hell out leave my
> vision alone" atitude from Mark, hence people here are not asking for
> "change", but rather for "options".
> That's really really really sad. =(
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in Ayatana Design:
> Won't Fix
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/668415/+subscriptions
>

--
Fernando

> Instead of complaining, please find a constructive way to engage, or leave.

... I'm sorry, but how many more constructive opinions are needed to you understand what power users, the ones that made Ubuntu popular (recommending to friends, etc) really want?

People are already porting Launcher's behavior to go to the bottom ( http://www.webupd8.org/2011/10/how-to-move-unity-launcher-to-bottom-of.html ), why this can't just be official?

This kind of reaction reminds me when SONY removed Linux support from all PS3s. The same thing is happening: nobody will listen users and we will be left trying to hack and port things to what we want (just what happened to the PS3).

:(

On the particular issue of not having the option to move the Unity launcher to some other part of the screen, I believe there is some sort of cognitive dissonance from everybody.

For users complaining about not being able to move the launcher, I believe that if you like Unity (like myself) this is not such a big issue, the whole Unity experience cannot depend on just one single feature, the position of the launcher. And if you don't like the Unity experience as a whole you will move away despite the launcher being movable, to any of the excellent options that we have within Ubuntu or somewhere else to the free software world.

On the Unity design team, I also see stubbornness. Every other application dock mechanism that I know (avant, docky, the one in MAC OS, the ones in Windows) can be placed anywhere in the screen that the user wants, and it does not seem such a difficult to implement feature that will increase development so much as to discard it, as all the other docks seem to show.

What we are complaining is more than Unity launcher problem.
Maybe the topic could have reached out its bounds, but I think that all the
complaints here are valid and marks the feelings that Unity introduction put
in the hearts of it's users.
There are many issues that must be addressed in order to Unity be
acceptable.
I wish so much that everybody read this article:
http://www.zdnet.com/blog/perlow/why-ubuntu-1110-fills-me-with-rage/19103
I've just found it to be my own words. You can also consider that it I that
wrote that.

On Fri, Oct 28, 2011 at 2:20 PM, Walter Garcia-Fontes <<email address hidden>
> wrote:

> On the particular issue of not having the option to move the Unity
> launcher to some other part of the screen, I believe there is some sort
> of cognitive dissonance from everybody.
>
> For users complaining about not being able to move the launcher, I
> believe that if you like Unity (like myself) this is not such a big
> issue, the whole Unity experience cannot depend on just one single
> feature, the position of the launcher. And if you don't like the Unity
> experience as a whole you will move away despite the launcher being
> movable, to any of the excellent options that we have within Ubuntu or
> somewhere else to the free software world.
>
> On the Unity design team, I also see stubbornness. Every other
> application dock mechanism that I know (avant, docky, the one in MAC OS,
> the ones in Windows) can be placed anywhere in the screen that the user
> wants, and it does not seem such a difficult to implement feature that
> will increase development so much as to discard it, as all the other
> docks seem to show.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in Ayatana Design:
> Won't Fix
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/668415/+subscriptions
>

--
Fernando

SRoesgen (s-roesgen) wrote :

After reading the first lines of the article I nearly skipped it and thought it was only written from a much too narrow, geeky perspective. But I am glad I continued reading because all the things the author writes are really, really true. He definitively hits the mark. So thanks for mentioning the article. I can recommend it to everybody else, too.

Nevertheless, concerning the way how the whole discussed has developed so far, I suppose we will again hear that the opinions of other people are wrong and that the decisions made in the ayatana team are right and that nothing will change at all.

Mark Shuttleworth (sabdfl) wrote :

On 28/10/11 16:10, Fernando wrote:
> I would recommend Mark to get a laptop with Ubuntu installed, and start
> walking through the street of some capital of the world (like London, New
> York, São Paulo, Tokio ...) and ask people to do basic things in this and
> get their opinions about their experience. I'm pretty sure that people will
> not be comfortable with Unity, specially people that usually uses Windows.

This is exactly what we do, every month. We have 10 people who don't
know Ubuntu sit down and try to achieve some key tasks. The sessions are
usually videotaped, and we observe and ask a lot of questions. So I can
definitively tell you that people are more successful on those tasks
with 11.10 than they were with 11.04, and that was better than 10.10.

I don't get everything I want with Ubuntu. Neither will you, or anybody
else. That's the nature of it. To make this into a celebrity issue is
simply wasteful. It really isn't worth it.

This is not a contest of wills. This is not about forcing one persons
idea over another. This is about measuring what works for people off the
street, just as you describe, and deciding to focus on those things done
that way. For every option we add, we add a burden for every single
user. The bar is high, and this issue simply does not get over the bar.

There is a substantial constructive community that is actively building
ubuntu and unity every day. You can choose whether you want to be part
of that, or to shoot from the sidelines. What you choose says a lot more
about you than it does about me or anybody else in the project.

Mark

Mark Shuttleworth (sabdfl) wrote :

On 28/10/11 17:18, Vitor Lamas Gatti wrote:
> ... I'm sorry, but how many more constructive opinions are needed to
> you understand what power users, the ones that made Ubuntu popular
> (recommending to friends, etc) really want?

As it happens, we have a concrete program of review of what power users
try to do, and how we can make all of those things smoother. It turns
out that power users are much more concerned about keyboard shortcuts
than the position of the launcher. My favourite comment was from one
person who said 'I'm a power user, I do everything with the mouse', and
then turned out to know nothing at all about Linux.

So.

Rather than claim that *your* preference is reflective of all power
users, figure out:

 * how you would define power user
 * how you would find an unbiased sample of them
 * how you would test whether they have natural preferences or natural
aversions
 * how best to present those findings

That's hard work, but it would turn your personal preference into a
matter of substantive evidence, and thus make a far more compelling case.

This is a slow, painful process, but it's how we make decisions -
evidence based design. Showing up here and voting for your preference is
not the right way to make these decisions, period. Think about that, and
if you want to make a difference, start doing it properly.

> People are already porting Launcher's behavior to go to the bottom (
> http://www.webupd8.org/2011/10/how-to-move-unity-launcher-to-bottom-
> of.html ), why this can't just be official?

Because every option comes at a cost, and the cost of this one is too high.

> This kind of reaction reminds me when SONY removed Linux support from
> all PS3s. The same thing is happening: nobody will listen users and we
> will be left trying to hack and port things to what we want (just what
> happened to the PS3). :(

Be my guest. I admire and respect the fact that you can make free
software do exactly what you want - that's precisely what I set out to
support in founding Ubuntu. What I did not set out to found was a
project which pandered to the needs of a few, at the cost to the many.
Especially when the few can perfectly well help themselves, and the many
cannot.

Mark

Mark Shuttleworth (sabdfl) wrote :

On 28/10/11 17:20, Walter Garcia-Fontes wrote:
> On the Unity design team, I also see stubbornness. Every other
> application dock mechanism that I know (avant, docky, the one in MAC OS,
> the ones in Windows) can be placed anywhere in the screen that the user
> wants,

Is that true of the iPad springboard and the Android favourites? I don't
believe it is. Change is coming to the desktop whether we like it or
not. Better for us, and for free software, to be ahead of the curve on
those changes, than behind. This is an opportunity, not a threat.

Mark

> This is not a contest of wills. This is not about forcing one persons
> idea over another.
This is what it looks like. Every operating system except ubuntu lets
you change the position of the launcher, dock or task bar. This is a
very basic option. There is no good reason to take this decision away
from users. Originally you said that it was to keep the launcher near
the ubuntu button. Now the button is on the launcher, and you still
refuse to budge an inch.
> This is about measuring what works for people off the
> street, just as you describe, and deciding to focus on those things done
> that way. For every option we add, we add a burden for every single
> user.
No. Most options aren't even accessible without installing CCSM. The
sort of user who finds options 'burdensome' need not install CCSM -
probably doesn't even know about it! How will adding one more very
standard and reasonable option to the CCSM unity plugin burden anyone?

> What I did not set out to found was a
> project which pandered to the needs of a few, at the cost to the many.
> Especially when the few can perfectly well help themselves, and the many
> cannot.

If you think everyone commenting on this bug is a 'power user' or programmer etc., you are very much mistaken. I can't 'help myself' by writing a patch or anything like this. I can just about switch to another distro, as long as the installer doesn't ask me too many difficult questions. I am a normal user who got a launchpad account specifically to register my feelings about this matter. Looking back, I can see this was pointless. Still, I hear that Mint has a nice easy installer.

This is a very disastrous situation, because everyone is complaining that
Unity have serious usability issues.
I wish so much that Mark read the Jason Perlow wrote about Unity (
http://www.zdnet.com/blog/perlow/why-ubuntu-1110-fills-me-with-rage/19103).
It summarizes everything we are complaining about.
It is not that we are trying to destroy Ubuntu. It is the other side of the
thing: we are here, investing our time to try make Ubuntu better and makes
it shine once more, as the best Linux distro ever released.
But if irritating little things are present on the desktop experience,
people will hate Ubuntu.
Think of this as if you are going to date Catherine Zeta-Jones and she is
bed smelling. Despite she is a pretty beautiful woman, many people would
prefer another girl that at least don't kill his nose.

On Fri, Oct 28, 2011 at 11:38 PM, Sam Frances <email address hidden>wrote:

> > What I did not set out to found was a
> > project which pandered to the needs of a few, at the cost to the many.
> > Especially when the few can perfectly well help themselves, and the many
> > cannot.
>
> If you think everyone commenting on this bug is a 'power user' or
> programmer etc., you are very much mistaken. I can't 'help myself' by
> writing a patch or anything like this. I can just about switch to
> another distro, as long as the installer doesn't ask me too many
> difficult questions. I am a normal user who got a launchpad account
> specifically to register my feelings about this matter. Looking back, I
> can see this was pointless. Still, I hear that Mint has a nice easy
> installer.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in Ayatana Design:
> Won't Fix
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/668415/+subscriptions
>

--
Fernando

Tal Liron (emblem-parade) wrote :

@Fernando

I nominate your statement as Quote of the Year in free software:

"Think of this as if you are going to date Catherine Zeta-Jones and she is bed smelling. Despite she is a pretty beautiful woman, many people would prefer another girl that at least don't kill his nose."

Thank you for making my day bright. :)

On 28/10/11 17:20, Mark Shuttleworth (sabdfl) wrote:
>Is that true of the iPad springboard and the Android favourites? I don't
>believe it is. Change is coming to the desktop whether we like it or
>not. Better for us, and for free software, to be ahead of the curve on
>hose changes, than behind. This is an opportunity, not a threat.

I don't know about the iPad, but for Android for sure people are
doing a lot of alternative configurations of the desktop. In any case,
do you really believe change will be stopped because the desktop is
made more configurable?

I insist, I believe the position of the launcher is a very minor point, both
from the point of view of users, none of the new Unity users that I met
have asked me to change the position, but this is just my experience,
and from the Unity design team, the default position can be on the left,
but the Unity design will not be broken if there is a tweak to move it.
The autohide feature makes the launcher invisible and the Unity experience
and design is not broken without it, as the transparency makes the top
bar also almost invisible, but there is much more in Unity than the launcher
and the top bar.

SRoesgen (s-roesgen) wrote :
Download full text (7.8 KiB)

If you all do not mind, I want to answer to the request of Mr Shuttleworth to define the term "power user" and will then elaborate on my perspective on the term Power User.

Wikipedia:
A power user is a user of a personal computer who has the ability to use advanced features of programs which are beyond the abilities of "normal" users, but is not necessarily capable of programming and system administration. In enterprise software systems such as Oracle or SAP, this title may go to an individual who is not a programmer, but who is a specialist in a transaction or a business process. The "Super User" in enterprise programs (SAP, Oracle) often refers to an individual who is an expert in a module or process within the enterprise system.

http://www.webopedia.com:
A sophisticated user of personal computers. A power user is typically someone who has considerable experience with computers and utilizes the most advanced features of applications.

http://www.techterms.com (excerpt)
"Power users [...] require top-of-the-line machines that are optimized for their work purposes. Power users include video-editing professionals, high-end graphic designers, audio producers, and those who use their computers for scientific research. Professional gamers (yes, there is such a thing) also fall under this category. [...]"

So now that we have some definitions I suppose we can go on, can't we?

All in all, these definitions state that one does not necessarily need to have programming skills or be a system administrator. But one knows how to use special software and how to use the more advanced features of the operating system and of an application. This then would mean that a Power User is anybody who does not use his PC only for "checking e-mails", "writing text documents" and "searching/browsing the internet". A power user is somebody who uses advanced and/or special applications, who knows where to find certain options in the operating system, who knows how to modify the actions triggered by a left or right mouseclick, who knew (in Widnows or Gnome 2) how to modify the taskbar so that it does autohide etc.... A power user is somebody who has a certain workflow and knows what he want and expects from an operating system. Somebody with experience, somebody who has modified his workflow over many years so that he knows now exactly what he wants. (Or what she wants)

What Unity does: it breaks with old paradigms of the operating systems known. This is certainly not always bad. But even Windows 8 will have a legacy mode to get back to the old desktop one knows.

That is the special issue here. Being a Power User is simply being able to customize the system, so that the OS can be fitted to your expectations, to your daily workflow. Currently Ubuntu is NOT for Power Users. Because Ubuntu/Unity makes the user fit to Unity's workflow, not vice versa.

Your favourite, Mr Shuttleworth, was the user who preferred the mouse? Maybe this user was indeed no Power User, especially if he did not know anything about the options of the operating system.
Still, being a Power User is not being somebody who uses the Keyboard and preferring the keyboard over the mouse. I cons...

Read more...

Download full text (9.4 KiB)

I think that for now, since Mr Shuttleworth is trying to make our lives
miserable, we should consider doing a "sudo apt-get install xfce4" and make
that our default desktop. This follows what our dear Linus Torvalds is doing
on his own desktop: he gave up to use KDE and Gnome3 because their bad taste
of what a desktop should be. Since Unity and Gnome3 follows the same
orientation (to think that users are dumb enough to use a regular desktop
manager) we could consider them the same.

On Sat, Oct 29, 2011 at 10:46 AM, SRoesgen <email address hidden>wrote:

> If you all do not mind, I want to answer to the request of Mr
> Shuttleworth to define the term "power user" and will then elaborate on
> my perspective on the term Power User.
>
> Wikipedia:
> A power user is a user of a personal computer who has the ability to use
> advanced features of programs which are beyond the abilities of "normal"
> users, but is not necessarily capable of programming and system
> administration. In enterprise software systems such as Oracle or SAP, this
> title may go to an individual who is not a programmer, but who is a
> specialist in a transaction or a business process. The "Super User" in
> enterprise programs (SAP, Oracle) often refers to an individual who is an
> expert in a module or process within the enterprise system.
>
> http://www.webopedia.com:
> A sophisticated user of personal computers. A power user is typically
> someone who has considerable experience with computers and utilizes the most
> advanced features of applications.
>
> http://www.techterms.com (excerpt)
> "Power users [...] require top-of-the-line machines that are optimized for
> their work purposes. Power users include video-editing professionals,
> high-end graphic designers, audio producers, and those who use their
> computers for scientific research. Professional gamers (yes, there is such a
> thing) also fall under this category. [...]"
>
>
> So now that we have some definitions I suppose we can go on, can't we?
>
> All in all, these definitions state that one does not necessarily need
> to have programming skills or be a system administrator. But one knows
> how to use special software and how to use the more advanced features of
> the operating system and of an application. This then would mean that a
> Power User is anybody who does not use his PC only for "checking
> e-mails", "writing text documents" and "searching/browsing the
> internet". A power user is somebody who uses advanced and/or special
> applications, who knows where to find certain options in the operating
> system, who knows how to modify the actions triggered by a left or right
> mouseclick, who knew (in Widnows or Gnome 2) how to modify the taskbar
> so that it does autohide etc.... A power user is somebody who has a
> certain workflow and knows what he want and expects from an operating
> system. Somebody with experience, somebody who has modified his workflow
> over many years so that he knows now exactly what he wants. (Or what she
> wants)
>
> What Unity does: it breaks with old paradigms of the operating systems
> known. This is certainly not always bad. But even Windows 8 will have a
> legacy mode t...

Read more...

@Fernando and others interested in migrating to Xfce4
Generally speaking, "sudo apt-get install xubuntu-desktop" is a preferable way to get the Xfce4 desktop environment on an Ubuntu system.

I just want to point out, that decision to go for XFCE without checking out current (4.7) KDE is not a most sensible one. Linus gave up KDE 4 because the development 4.0 version was picked up as a stable one by so many distributions. 4.0 was never supposed to be released "into the wild". This situation pictures two problems:
1. Give every complex software time to mature and let it grow all planned features before giving it a deciding tryout.
2. Even if the software was lost for you, give it another chance once in a while.
Seriously - KDE SC is an amazing piece of software now. I wish Ubuntu adopted KDE as its main desktop environment. I know its much work, but I wish it nevertheless.

Jim Wyatt (jimwyatt) wrote :

Just install the 'gnome-shell' package for a 'Gnome' option at login. It has a far superior user experience compared to Unity in my opinion and it has the added benefit of being community driven as opposed to ego driven. I don't know where Canonical is getting their usability testers, but there is no way anyone can claim positive productivity results by limiting choice and flexibility. Every organization makes mistakes and when compared to how much good Canonical has done with Linux this is inconsequential. I only hope that it realizes the mistake before too much effort is wasted and the "changes" coming that Mark is talking about are past. Tablets are all fun and well, but I thought Ubuntu was about changing the computing experience. Instead it appears Canonical is chasing the latest fad in gadgetry.

Jim, GNOME is ego driven, too, I am afraid to say. They limit choice and flexibility as well. Power user really should go for KDE right now, as no other environment gives them as much power.

I think that after this all, I'm going back to the good and old terminal.

2011/10/31 Marek Paśnikowski <email address hidden>

> Jim, GNOME is ego driven, too, I am afraid to say. They limit choice and
> flexibility as well. Power user really should go for KDE right now, as
> no other environment gives them as much power.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (821156).
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in Ayatana Design:
> Won't Fix
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/668415/+subscriptions
>

--
Fernando

Magnes (magnesus2) wrote :

Since Unity I use terminal to launch application because it's faster than clicking the Ubuntu logo and waiting for it to display the confusing panel where I have to write down the name of the app anyway.

Mathijs de Meijer (mdemeijer) wrote :

Ubuntu has been a force for Good in my life: installation is a breeze,
usage is a joy and how to's are a plenty. Unity, in my opinion, is a step
in the right direction for the Linux desktop. Yes it frustrates me that I
cannot move the Unity bar in my two-screen setup. But the Unity team has
chosen different priorities, based on user research and what they think
will have the best cost/benefit ratio for all current and potential users.
So be it, they build, they invest, they decide. A feature request is just
that, a request. Preferably a polite request and definitely not a
demand! If your life has become a dark pit filled suffering and frustration
because of the unity bar issue then why not invest some time and effort in
fixing it yourself? I choose to accept this minor annoyance because at the
bottom line Ubuntu works great for me and Unity shows a lot of promise,
stick with this people, it's not finished nor perfect but it's going the
right way!

@Mark Thank you, the people at Canonical and of course the upstream folks
for putting together such a great desktop system that I use with pleasure
everyday!

Mathijs

On 1 November 2011 08:48, Magnes <email address hidden> wrote:

> Since Unity I use terminal to launch application because it's faster
> than clicking the Ubuntu logo and waiting for it to display the
> confusing panel where I have to write down the name of the app anyway.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in Ayatana Design:
> Won't Fix
> Status in NULL Project:
> Invalid
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/668415/+subscriptions
>

elian (jestevens-nospam) wrote :

OK, so I tried MINT for a while, and it was okay but still not perfect, and then I tried Kubuntu, KDE sure has changed a lot in the last 10 years...neat but I don't want to have to relearn the WHOLE interface. In the end I reloaded the mainline distro of "orrnery ocelot" - even with Unity it seems to have the most polished interface. I WILL tell you though that without the nVidia binary drivers my system would've been dead in the water..I installed the 173 post-install version and things seem to be better. nouveau team has worked very hard but that driver just wasn't very responsive at all for 3D.

I am SLOWLY starting to use Unity, THREE clicks is still waay too much to start an installed app. You should have a link to all of the installed apps on the favorites tab to make it more apparent. Even when you find the apps in the next tab over it still only shows five big icons and a little tiny blurb that says "(Read More)".

Since I (unfortunately) have to use windows every day at work I am still looking for the panel with the list of running tasks at the bottom of the screen. It took a while to figure out that the system settings have ALL been moved to the far right drop down menu - it was really irritating searching for the settings panels through the menu before I figured that out.

Is there any way to pin the menu open? I tried searching for "Pidgin" and nothing appeared for a long time - then I had a desire to go look something up in firefox..the panel slid away and of course when I opened it back up my search was cancelled. Like the person who started this thread I have noticed that when you right click on the bar you get no choices for options..

Any way to get nautilus to show up in an actual window, with a real frame? What if people want to drag and drop files between two windows? As an A+ certified IT support specialist for more than 15 years I will tell you that there were some people who I trained - drag and drop is the only way they figured out copying files.

I really, really wish that you guys would consider forking GNOME2 and continuing to develop a low power version of the interface for old hardware - a stated goal of this distro is making software available to all people right? it's a shame that all of those used P-III PC's nobody wants anymore can't still be used for a few more years in schools and non-profits. I say P-III because I'm pretty sure the majority of P4 systems I've seen are power hungry RAMBUS based designs...okay for their time but maybe better to retire those..I dunno.

Any UI testing groups I can be a part of - is there a link for that? It isn't hard to see that you're pushing the distro toward an app store but hey, I guess it costs money to keep development in business so I can't say I blame you.

My only other complaint right now is that shutdown is still slow - need to either speed it up or offer better feedback than things just sort of hanging there.

Mark Shuttleworth (sabdfl) wrote :

Try tapping the Super key, then typing the name of the app, rather than
going via the terminal.

Mark Shuttleworth (sabdfl) wrote :

On 01/11/11 08:44, imdm wrote:
> @Mark Thank you, the people at Canonical and of course the upstream folks
> for putting together such a great desktop system that I use with pleasure
> everyday!

Thank you Mathijs, the sentiment is very much appreciated.

David Gómez (dabisu) wrote :

Ok, so you say you won't fix this.

Then, help me with this, please. 8 out 10 ten times i click on the back button on chrome, dash shows. When the window is maximized (i always use chrome maximized, and i guess a lot of users just do the same) the back button is too close to the left side. Honestly, i'm losing my fucking nerves with this situation. So i need A)A fix. or B)Stop using unity. Any ideas?

Constantine (theaspect) wrote :

Re: David Gómez (dabisu)

Here my workaround:
run "ccsm" in terminal > unity plugin > reveal mode set "Top left" and hide launcher to "dodge active window"

so unity launcher will never open at least you move mouse pixel perfetly to left upper corner beneath top bar. Constanly opened launcher very annoying.

Em 01-11-2011 06:44, imdm escreveu:
> If your life has become a dark pit filled suffering and frustration
> because of the unity bar issue then why not invest some time and effort in
> fixing it yourself?
Because it wouldn't be accepted. Won't fix means "we don't want to carry
this on code", and not "we have other priorities to work on, but you can
do it yourself".

Mark Shuttleworth (sabdfl) wrote :

Originally, we used a corner invocation of the launcher. Testing showed
that users expected to find the launcher where they saw it go - on the
edge. That lead to us using edge invocation (this was a change late in
11.04). We knew at the time that false-positive invocations would be
greater on the left edge, but wanted to see if we could minimise that by
using some careful heuristics, for example, the extent to which it
looked like you really *meant* to invoke the launcher, how hard you hit
the edge and whether you continued to push the mouse past the edge.

We are still working on those, and patches to improve the heuristics of
launcher revealing on left edge would be welcome.

We are also working on ways to cue the user to the fact that they are
approaching the launcher invocation. X makes a proximity effect
difficult, but we could hint at the launchers presence for folk who just
inadvertently touch the edge before showing it, with a push giving you
quick access to the launcher, for example. Patches and mockups in this
regard would also be welcome.

We could consider a number of changes to the Launcher's behaviour to
address the needs of those who flat out don't want a left edge invoke:

 * we could have an option to reveal the launcher after a top left
corner hit (so the movement returns to being the original
slam-into-top-left-corner, then move to your app icon)
 * we could allow the launcher to move to the bottom of the screen.
However, this would require a patch which took into account all the
related issues, like animations and transitions, and the direction of
various arrows. We would not accept a patch which reduced the quality of
the existing experience for those who like it.

Mark

Em 01-11-2011 09:18, Mark Shuttleworth escreveu:
> We could consider a number of changes to the Launcher's behaviour to
> address the needs of those who flat out don't want a left edge invoke:
>
> * we could have an option to reveal the launcher after a top left
> corner hit (so the movement returns to being the original
> slam-into-top-left-corner, then move to your app icon)
> * we could allow the launcher to move to the bottom of the screen.
> However, this would require a patch which took into account all the
> related issues, like animations and transitions, and the direction of
> various arrows. We would not accept a patch which reduced the quality of
> the existing experience for those who like it.
These are good news!

David Gómez (dabisu) wrote :

Constantine & Mark: Yes, i've tried the top-left corner invocation. It avoids the problem i mentioned before, but... it's slow and i prefer the current left edge invocation. I also prefer to have all the left edge invoke the launcher, and top-left is not intuitive for new users. If it has to be top-left corner invocation, 11.04 original top-left corner movement is better i think.

For left edge invocation, problems like the "back button" one needs to be addressed. I like left edge invocation over top-left, but false positives make it fairly unusable. This particular problem is really annoying for me, but surely other users have hit different false positives. I haven't look Unity code myself and wouldn't know where to start, but if this could be avoided with better heuristics, that would be great.

Magnes (magnesus2) wrote :

There is also much simpler solution (which I use) - never hide the launcher (at least on big screens). No confusion then. (optional ability to hide it temporarily by clicking top left corner would be very helpful in this situation).

@elian
"Any way to get nautilus to show up in an actual window, with a real frame? What if people want to drag and drop files between two windows?"

Nautilus starts maximized by default. Just click the maximize button to make it no longer maximized. Dragging and dropping between Nautilus windows (or between a Nautilus window and the desktop) works the same way as it always has. See http://askubuntu.com/questions/39014/how-do-i-stop-unity-from-starting-windows-maximised for details. See http://www.ubuntugeek.com/list-of-ubuntu-unity-keyboard-shortcuts.html for information about how to quickly use the keyboard to manipulate where and how big application windows are.

"it's a shame that all of those used P-III PC's nobody wants anymore can't still be used for a few more years in schools and non-profits."
http://www.liberiangeek.net/2011/08/return-to-ubuntu-classic-desktop-in-ubuntu-11-10/
Or, better: http://xubuntu.org/
Or, even better: https://wiki.ubuntu.com/Lubuntu

manny (estelar57) wrote :

I agree with Mark that at least this cycle there are more important things that need attention.

for example.

- global menus not ergonomical on large screens.
https://bugs.launchpad.net/unity/+bug/682788

- Reducing upgrading risks.
https://bugs.launchpad.net/null/+bug/876146

- polish and quality.

- accessibility

- making launcher easier to use and smarter when folding (lots of icons) and less prone to false-positives

and other things being discussed currently at the UDS.

Not saying a movable launcher may not be important, but is something that may be better of for another cycle once the vision of unity matures... Remember that the "Windows taskbar" was also not movable till later on.

Moving the launcher to the bottom would be a great feature for monitors that are not widescreen.

My monitor, for example, is a 17" 4:3. I lose precious horizontal space because of that big vertical sidebar.

I'm sure lots of people still use 4:3 monitors. The world is not all about laptops and tablets... not yet.

David Gómez (dabisu) wrote :

manny: I agree that a movable launcher it's not a priority provided that the false positives are fixed. In the long term, although i like the left-edge launcher, a bottom launcher should be make an option.

kfsone (oliver-kfs) wrote :

Unfortunately, the bandwagon is a little overloaded. For many of us here, this is not a power-user issue but a simple matter of spatial arrangement.

The left-side bar is in the wrong place on the wrong screen for me to use at home or at work. On my single-display laptop, I have no problem with where it is.

Unfortunately, I'm *not* a power-user so I'm not going to go looking for something under the hood - such as a different spin or something - to solve such a trivial problem. Windows 7 + Putty + VMware/Virtual Box + Debian headless => problem solved.

It pains me to say this but, thank you Microsoft =/

Tal Liron (emblem-parade) wrote :

I think some of you don't understand what was meant by "won't fix" -- it's
not that this issue is a low priority, it's that the team has no intention
of fixing at all. It has nothing to do with them being too busy for it
right now. If they were too busy, they would have left the bug open until
it would be fixed.

The Unity Launcher is *not* going to be movable, so we all have to get used
to it. Mark has made it 100% that this is his final decision and that he
has moved on.

I can only hope that an alternate solution will be available for people
with multiple monitors and people who use right-to-left languages. However,
I do not know of any plans to accommodate us, and it's indeed hard for me
to even imagine a solution for us within Unity's current vision.

realn (realn-hotmail) wrote :

Bye bye, Ubuntu. So long , and thanks for all the fish.

Maarten Kossen (mpkossen) wrote :

To all the people saying "goodbye": you are a bunch of drama queens. You
say you are going to leave ubuntu because of Unity but take an effort in
reporting it here, which means you obviously don't want to say "goodbye"
or like to make a show of it. Besides that, if you don't like Unity and
switch to Windows or Mac OS X because of it, there's more bothering you
than just Unity. There are plenty of alternatives available that can be
easily installed on Ubuntu, without having the need to switch to a
completely different OS.

I've been following this bug for a while and even though I would
personally prefer a movable launcher, I really understand the reasoning
for not giving that option [out of the box]. I've liked Unity from the
beginning and I use it with pleasure every day.

So, to the Ubuntu Team, the Ayatana Design Team and Mark Shuttleworth:
thank you!

Maarten

On 11/02/2011 08:12 AM, realn wrote:
> Bye bye, Ubuntu. So long , and thanks for all the fish.
>

SRoesgen (s-roesgen) wrote :
Download full text (4.5 KiB)

Now, I am the one, who does not understand the fuss.

I actually thought we went one step further down the right direction. At least in the direction that most of the people here wanted this discussion heading.

 > * we could have an option to reveal the launcher after a top left
> corner hit (so the movement returns to being the original
> slam-into-top-left-corner, then move to your app icon)
> * we could allow the launcher to move to the bottom of the screen.
> However, this would require a patch which took into account all the
> related issues, like animations and transitions, and the direction of
> various arrows. We would not accept a patch which reduced the quality of
> the existing experience for those who like it.
>
> Mark

To me this reads like "Canonical won't pay anybody to program a moveable launcher, but will accept a well written patch which allows the launcher to be placed at the bottom of the screen". So if all design requirements are met the new option for the launcher will be accepted. At least this is how I understood it.

I do not know why anybody would now want to leave the Ubuntu train. Nobody could expect Canonical to invest money into a development when they see other, more pressing, features to be implemented.

I was complaining here, because I thought that "won't fix" means that the also will not accept any patches. But with this new answer I am pretty pleased. I am no programmer, so I am afraid I cannot implement the code for a moveable launcher myself. But still this gives me hope that there is the possibility of a moveable launcher. That is all I wanted. To hear "it could be feasible and we will accept a patch, if it is well written".

@Maarten Kossen:
Don't you think yourself that you sound somewhat exaggerated and hypocritical? Look at the comments of this article:
http://www.omgubuntu.co.uk/2011/11/ubuntu-desktop-designers-clarify-on-configurability/
there are tow main elements that permeat all comments
a) more configurability is great (there are not very many comments stating that they want the number of options stay the way it is)
b) many people state in the comments that Canonical/Ubuntu should learn to do PR work. And I have to agree with this. If this all was already on the agenda for a long time then why did not anybody say so month ago? Much of the fuss about many of the aspects in Unity would have been avoided. I, personally, am annoyed by the unmovable launcher, but I could have lived with it if I had thought that this would be one of the few things that would not be configurable. But instead it all appeared as if there would never be much space for configuration at all. So seemingly I was wrong and there will be a couple of options to configure the system. But many discussions and much of my frustration could have been avoided by some simple statements to the public (or to the community).
You say yourself you would prefer the launcher to be movable. So you cannot be entirely content with the system. I look at my own work and see that there are many things that I can improve. I do not applause myself because I did not make much errors today or yesterday; I simply look for those things I c...

Read more...

SRoesgen (s-roesgen) wrote :

Now, to be a little bit more productive, I stumbled upon this several times now during the last three days:
http://www.webupd8.org/2011/10/how-to-move-unity-launcher-to-bottom-of.html

So, there is currently a rough patch to make the launcher moveable (or rather to move the launcher to the bottom).

As already pointed out (several times), I am not a programmer. But perhaps somebody with programming skill can have a look at this patch and help getting it ready for inclusion into Ubuntu?

Maarten Kossen (mpkossen) wrote :
Download full text (5.9 KiB)

@SRoesgen: You don't seem to be able to understand that a person can
like something a lot, but still sees room for improvement. I like Unity
a lot as it is, but I won't deny something can be improved. There's no
hypocrisy in that. That's normal. I'm thankful for Unity, since it's a
lot better than the classic Gnome interface (in my opinion) and made my
day-to-day work easier. It never hurts to compliment people for work
done, even though there is room for improvement. It gives people the
feeling that they're doing something good, they're on the right road and
maybe it motivates them to move further and improve the product.

This bug is not a motivation, it just highlights that many people are
not satisfied with Unity. There are two options from that point on:

 1. Try and help to make things better
 2. Do what you do and be frustrated

I've seen a lot of 2 and a little of 1.

Rome wasn't built in one day and Unity can't be perfect all at once.
Incidentally, not everybody wants to live in Rome and it's the same
thing that makes people dislike Unity: personal preference.

If everybody hates Unity so much: don't use it! There are plenty of
other options available. It's quite clear by now that Unity may not
become what some expect of it. Stop doing 2 and move on.

Maarten

On 11/02/2011 11:49 AM, SRoesgen wrote:
> Now, I am the one, who does not understand the fuss.
>
> I actually thought we went one step further down the right direction. At
> least in the direction that most of the people here wanted this
> discussion heading.
>
> > * we could have an option to reveal the launcher after a top left
>> corner hit (so the movement returns to being the original
>> slam-into-top-left-corner, then move to your app icon)
>> * we could allow the launcher to move to the bottom of the screen.
>> However, this would require a patch which took into account all the
>> related issues, like animations and transitions, and the direction of
>> various arrows. We would not accept a patch which reduced the quality of
>> the existing experience for those who like it.
>>
>> Mark
> To me this reads like "Canonical won't pay anybody to program a moveable
> launcher, but will accept a well written patch which allows the launcher
> to be placed at the bottom of the screen". So if all design requirements
> are met the new option for the launcher will be accepted. At least this
> is how I understood it.
>
> I do not know why anybody would now want to leave the Ubuntu train.
> Nobody could expect Canonical to invest money into a development when
> they see other, more pressing, features to be implemented.
>
> I was complaining here, because I thought that "won't fix" means that
> the also will not accept any patches. But with this new answer I am
> pretty pleased. I am no programmer, so I am afraid I cannot implement
> the code for a moveable launcher myself. But still this gives me hope
> that there is the possibility of a moveable launcher. That is all I
> wanted. To hear "it could be feasible and we will accept a patch, if it
> is well written".
>
> @Maarten Kossen:
> Don't you think yourself that you sound somewhat exaggerated and hypocritical? Look...

Read more...

Download full text (7.7 KiB)

For everybody that is frustrated with Unity (like me), my suggestion
is to open a terminal and type
sudo apt-get install xubuntu-desktop

If you don't want Unity to get in your way when trying to open the
terminal, I can tell you the following options:
 - hold ctrl + alt + F1
 - hold ctrl + alt + T

Both will bring you a terminal to accomplish that.
After the process finish, you can type
sudo reboot

After your PC return from the reboot, select XFCE as your default
desktop manager.
With this, we can leave Unity developers alone and don't get bored
with their behavior.
As I can see, suggestions are not welcomed and will not be heard.
Let's leave them with their heavy weight, power inefficient,
inflexible desktop manager.
Maybe someday they might change their mind.

On Wed, Nov 2, 2011 at 1:09 PM, Maarten Kossen
<email address hidden> wrote:
> @SRoesgen: You don't seem to be able to understand that a person can
> like something a lot, but still sees room for improvement. I like Unity
> a lot as it is, but I won't deny something can be improved. There's no
> hypocrisy in that. That's normal. I'm thankful for Unity, since it's a
> lot better than the classic Gnome interface (in my opinion) and made my
> day-to-day work easier. It never hurts to compliment people for work
> done, even though there is room for improvement. It gives people the
> feeling that they're doing something good, they're on the right road and
> maybe it motivates them to move further and improve the product.
>
> This bug is not a motivation, it just highlights that many people are
> not satisfied with Unity. There are two options from that point on:
>
>  1. Try and help to make things better
>  2. Do what you do and be frustrated
>
> I've seen a lot of 2 and a little of 1.
>
> Rome wasn't built in one day and Unity can't be perfect all at once.
> Incidentally, not everybody wants to live in Rome and it's the same
> thing that makes people dislike Unity: personal preference.
>
> If everybody hates Unity so much: don't use it! There are plenty of
> other options available. It's quite clear by now that Unity may not
> become what some expect of it. Stop doing 2 and move on.
>
> Maarten
>
>
> On 11/02/2011 11:49 AM, SRoesgen wrote:
>> Now, I am the one, who does not understand the fuss.
>>
>> I actually thought we went one step further down the right direction. At
>> least in the direction that most of the people here wanted this
>> discussion heading.
>>
>>   >  * we could have an option to reveal the launcher after a top left
>>> corner hit (so the movement returns to being the original
>>> slam-into-top-left-corner, then move to your app icon)
>>>   * we could allow the launcher to move to the bottom of the screen.
>>> However, this would require a patch which took into account all the
>>> related issues, like animations and transitions, and the direction of
>>> various arrows. We would not accept a patch which reduced the quality of
>>> the existing experience for those who like it.
>>>
>>> Mark
>> To me this reads like "Canonical won't pay anybody to program a moveable
>> launcher, but will accept a well written patch which allows the launcher
>> to be placed at the ...

Read more...

I couldn't find the source code (only the link to download the compiled
library for 32 bit systems).

Em 02-11-2011 09:13, SRoesgen escreveu:
> Now, to be a little bit more productive, I stumbled upon this several times now during the last three days:
> http://www.webupd8.org/2011/10/how-to-move-unity-launcher-to-bottom-of.html
>
> So, there is currently a rough patch to make the launcher moveable (or
> rather to move the launcher to the bottom).
>
> As already pointed out (several times), I am not a programmer. But
> perhaps somebody with programming skill can have a look at this patch
> and help getting it ready for inclusion into Ubuntu?
>

kfsone (oliver-kfs) wrote :

@Maarten, @SRoesgen:

Unity is a nice interface, on the correct hardware platform it's a pleasure to work with. But I didn't choose Ubuntu for my sub-desktop, I chose it for my work environment, where - out of the box - it was a step up from Microsoft / Apple offerings. Yes, it suffered from options-overdoes thru its use of Gnome. But less so than Windows or even Mac OSX.

But, like many people I know who had started to switch to Ubuntu and many of the people I had recommended Ubuntu to, I don't /need/ Ubuntu. I made the switch because:
a) 10.10 provided me with a better desktop experience **out of the box** than Windows.
b) I frequently need Linux shell access

So, running a Linux-based desktop was simply a convenience.

For me - it's not about the ability to while away my day moving the task bar around the screen, it's about the ability to operating system to my hardware. I mean how come the position of the bar is so critical but the screen resolution isn't? If you can change the screen resolution, you can effect changes on the dimensions and supportability of the bar...

Robin J. Rogge (rojaro) wrote :

I just wonder that the back button issue has been addressed only three times within this discussion. Today I counted how many times the sidebar stepped on my nerves by appearing and blocking the back button of my web browser and the total number so far is 43.

I think, the main problem is just that i am using 11.10 on a Notebook which happens to have a touch pad just like pretty much every notebook out there and these things aren't really precise. And since i am running the 64bit version of Ubuntu, i actually have only 2 choices: live with this situation until it gets properly fixed or use XFCE. And the worst thing about this, i really like Unity a lot, but this sidebar issue completely ruins it for me. This thing constantly pops up and i never wanted it to be there in the first place and i cannot even move it as there is not even a hidden option to move it to the bottom (which is in my opinion the only acceptable place).

Microsoft tried to do the same thing with Longhorn and guess what: they discovered that having a sidebar on either side (left or right) just doesn't work.

@Robin J. Rogge
"And since i am running the 64bit version of Ubuntu, i actually have only 2 choices: live with this situation until it gets properly fixed or use XFCE."

I'm not sure what you're thinking, but in addition to ubuntu-desktop (Unity and Unity 2D), and xubuntu-desktop (Xfce4), gnome-shell (GNOME 3 with the GNOME Shell instead of Unity), gnome-fallback (GNOME 3 Fallback, which looks like the old GNOME 2 interface), lubuntu-desktop (LXDE), and kubuntu-desktop (KDE4 Plasma) all work on both the 64-bit and 32-bit versions of Ubuntu. There are no graphical interfaces packaged for Ubuntu that work just for one or the other architecture.

You might be thinking about there used to be only a 32-bit version of the Lubuntu desktop install CD. Well, (a) there are both 32-bit and 64-bit Lubuntu live CD's now, as of Lubuntu 11.10 (see https://wiki.ubuntu.com/Lubuntu), and (b) it has always been possible (and pretty easy) to install a 64-bit Lubuntu system by installing a minimal command-line only system (either from the alternate install CD or the minimal install CD, see https://help.ubuntu.com/community/Lubuntu/Documentation/AlternateInstall and https://help.ubuntu.com/community/Lubuntu/Documentation/MinimalInstall) and then installing the lubuntu-desktop package. And anyway, if you already have Ubuntu installed, you don't have to reinstall to get a new interface--just install one (or more) of the packages listed above.

If you decide you want to continue using Unity / Unity 2D, then you might consider setting the launcher to *never* hide. Then you'd have less usable screen space, but at least the launcher wouldn't be popping out at you when you don't want it to.

Robin J. Rogge (rojaro) wrote :

See, thats the thing ... as i wrote, i really like Unity, for various reasons, but especially because i've got the most available screen estate for my applications as i run most stuff maximized and since the application menus are merged into the top bar, i actually win about 3% available screen estate.

As i said, the only thing that really bugs me is that the sidebar unintentionally pops up all the time and blocks me from clicking on icons to the far left (like the back button of firefox, all the open/close folder icons in eclipse/gedit/Outlook Web Access etc.) and that happens far too often. It is just a very user unfriendly behavior, which i would like to be able to change and I wouldn't need a user interface for that.

I would be happy forever (in that regard) if there was something like a hidden setting, command line switch, environment variable to be exported or whatever, just so i can move this annoyance to the bottom of the screen.

As for the mentioned alternatives, XFCE is just the only viable alternative for me, as i never liked Gnome at all and KDE is in my opinion the worst of them all (and yes i've tried them all, i even most of them installed right now just so i could see whether things have changed for the better or worse). However, I really prefer Unity to all of them, if just that launcher bar wouldn't interfere so much with me working. It sits at the wrong position.

I mean i totally understand the urge to compete with other companies, platforms, designs and architectures and to provide the best possible user experience, but seriously, *all of them* competitors grant me that little freedom - to move the tool- and launchbars to where I as a user/customer want them to be.

Also, switching back/reinstalling to a 32bit OS just so i can use a hacked sidebar instead? You can't be serious.

And never hiding the sidebar is obviously also not a alternative. I (like millions of other people) am using a notebook and you probably know that you never can have enough screen estate (and as i already said, i get more of that with unity than with any other desktop).

Neil (goofandfroggie) wrote :

Hi All
I am glad that it is not just me that not happy with the bar on the side. yes it a pain that it keep doping out all the time. But I must say I don't like unity very much at all, I guess that is one reason, the other things are harder to find.

I have found though that using Cairo-Dock as well helps to keep it at bay. then it makes for a "good" second bar for less used icons. I started using cario in 11.04. Before that I used awn, not sure if awn will keep it hidden or not.
but it is a help. hopefully Ubuntu will change it soon.
I must admit I am still using 11.04 as my main desk top in classic mode 11.10 is on another HDD. I'm not ready to change over just quite yet.

BUt if installing Cario -Dock help any one thats great.
Neil

Richard Chan (geseeker) wrote :

I just switched to Unity after my upgrade from 11.04, so I don't quite follow most of your arguments. However, for a new Unity user like me, I just cannot understand what's the big deal to move the launcher to the bottom. Sure, there's going to be conflicts with existing configurations but I think those can be easily fixed (After, we built a whole Unity on top of Gnome if I'm correct). Linux is about choices isn't it? If the users don't like it, they should be free to change it. So why couldn't we offer a simple configuration of launcher position to the users?

Magnes (magnesus2) wrote :

Richard, as I see it the programmers behind Unity made a project mistake of not making it configurable at the beginning (probably hardcoding every thing that should be changable parameter) and now it's quite hard to change. That is the main reason they don't want to fix it [IN MY OPINION, based on my observation of this and other discussion on this topic, I might be wrong] - they probably told Mark Shuttleworth that it will take a lot of time (not really wanting to do probably, I don't blame them). He doesn't want it, well because he is paying for this time and there are other important things to do (or fix) and in the same time people are mad because they can't move it even if it's in the center of their monitor setup... It's a mess. I learned quite fast learning programming that the worst thing you could do is a project mistake - it often requires rewriting half the project to fix or even to start from the beginning.

Here's a first solution: http://www.webupd8.org/2011/10/how-to-move-unity-launcher-to-bottom-of.html

Finally Unity feels right, even though there's still room for improvement regarding the dash

Tal Liron (emblem-parade) wrote :

Hi everyone,

I'd encourage you all to take a look at the terrific stuff coming from the Elementary OS folk:

http://www.omgubuntu.co.uk/2011/02/elementarys-slingshot-plank-apps-just-what-are-they-and-why/

It's still not ready, but it seems that Elementary's "Pantheon" will offer a very nice, more modular alternative to Unity. I can't wait!

I guess Ill try elementary OS tomorrow :) Looks good

Robin J. Rogge (rojaro) wrote :

@Alexander (#203) this "solution" doesn't work for 64bit installations and it has been mentioned already a few times in the previous comments.

@Tal (#204) sweet stuff, but totally off-topic here (and albeit it's good looks very alpha quality software).

Tal Liron (emblem-parade) wrote :

@Robin

Unfortunately, mentioning Pantheon *is* on topic. Because this bug won't be fixed, there is a need for alternative solutions, workarounds, plans, and even shreds of hope; and a few good ones were posted here.

As someone else has pointed out, there are two kinds of users commenting on this bug: 1) users who dislike Unity and are using this space as a way to express their dislike; and 2) users who like a lot of things about Unity, and want to use it, but are frustrated because this bug breaks their ability to do so.

There's no easy solution for the first group. Sure, they can easily switch to a different desktop in Ubuntu or even to a different free operating system, but the sad way in which this bug is mishandled makes it hard for them to keep faith in Ubuntu and to advocate it to others. Mark has explicitly asked them, in various ways, to just go away.

There's also no easy solution for the second group. Infuriatingly, the Unity team has consistently ignored multiple requests here and in other places to explain how users of multiple-monitor setups and right-to-left languages are going to be able to use Unity without a movable launcher. There are vague acknowledgements that a problem exists, but no solution is offered, and especially no timeline. As far as anybody who is not an insider can tell, it's likely that 12.04 LTS will be released, again, with a default desktop experience that does not work in multi-monitor setups and for the many, many millions of RTL language users. So, we'll; be seeing millions of desktops running with this major breakage well into the year 2014.

I still have faith (based on no actual knowledge) that this issue will be resolved. Until then, I find it very helpful when people post workarounds or temporary solutions, which keep us mostly within the Unity paradigm but fix some of the breakage. Pantheon may prove such a temporary fix, once it's ready.

Richard Chan (geseeker) wrote :

@Magnes

Actually, even if they hard code the launcher position into Unity, it's still possible to fix (and should, since in fact many people dislike the way it currently is...) Maybe it's going to take a lot of time, but they shouldn't label this bug as "won't fix". Hardcoding launcher position is ugly, and ugly code should be fixed. This is especially true for Unity since it's still a relatively new project. If it's not fixed now, it's only going to get more difficult to fix in the future. The way I see it, this is more of an ideology kind of thing (or marketing, etc)

Tal Liron (emblem-parade) wrote :

This glimpse of multi-monitor support for Pangolin just came in from OMG Ubuntu:

www.omgubuntu.co.uk/2011/11/multi-monitor-support-to-improve-in-ubuntu-12-04-video

I'm not sure what I'm seeing, exactly, but it looks as if the Launcher is being duplicated on *all* monitors. This seems to fly in the fact of Unity's claim to maximize screen real estate: here, we're swallowing screen real estate everywhere. I makes more sense to me to let the user decide which monitor the Launcher should go, and on which screen edge it should appear. But, yeah, "won't fix," I get it.

I realize this is just an early demo, but at the very least it shows that the Unity team is not ignoring multi-monitor support for the future, and Pangolin may deliver ... something.

And I guess OMG Ubuntu is taking the role of community engagement that Ubuntu is not doing itself. Why couldn't Ubuntu folk just told us that they are experimenting with alternative solution, and linked us to a wiki somewhere, instead of the curt "won't fix"? Look at this hundreds of negative comments... So much ill will could have been averted by just being more transparent with us.

@Tal Liron
This kind of silence is exactly the thing which kills off Mandriva... It is pity that so many so good distributions become arrogant. Just like Windows folks.

Neil (goofandfroggie) wrote :

If anyone is interested how is a help to return to classic in 11.10. I have not tried it yet not had the time.
but I will soon

Return to Classic. info

http://www.liberiangeek.net/2011/08/return-to-ubuntu-classic-desktop-in-ubuntu-11-10/'

This one is how to move the launcher but again not tried it yet.

http://www.webupd8.org/2011/10/how-to-move-unity-launcher-to-bottom-of.html

Mark Shuttleworth (sabdfl) wrote :

On 06/11/11 00:12, Marek Paśnikowski wrote:
> This kind of silence is exactly the thing which kills off Mandriva... It is pity that so many so good distributions become arrogant. Just like Windows folks.

Do you consider the fact that multiple engineers, leaders, contributors
and designers have provided thoughts on this bug, 'silence'? Or are you
just using prejudicial language because you are not hearing what you
want to hear? If the latter, do you think that is consistent with the
tone and conduct we expect of participants in Ubuntu?

Mark

Mark Shuttleworth (sabdfl) wrote :

On 05/11/11 19:52, Tal Liron wrote:
> Unfortunately, mentioning Pantheon *is* on topic. Because this bug won't
> be fixed, there is a need for alternative solutions, workarounds, plans,
> and even shreds of hope; and a few good ones were posted here.

Guys, that sort of conversation belongs in the Forums. This is a
bugtracker - it needs to be focused on getting those who actually land
the changes, and those who decide what will land, to a decision.

The more bugs turn into endless discussions, the more difficult it is
for the active Ubuntu community to keep up with the decisions which need
to be made, and turn them into future releases and SRU's.

Please respect the framework of this community. We have different places
for different conversations for a reason. That makes us more effective;
which is way, way more important to your long-term enjoyment of Ubuntu
than any given bug.

Mark

Tal Liron (emblem-parade) wrote :

Sorry, Mark. I did forget that some people can't un-subscribe from this bug.

I've collected some ideas mentioned here and moved them to the forums. I hope we can continue there:

http://ubuntuforums.org/showthread.php?p=11431881

robert shearer (bdaggg) wrote :

When we post to the Ubuntu forums we are told "Ubuntu Devs don't read forum posts. Post to launchpad."
When we post to launchpad we are told "Guys, that sort of conversation belongs in the Forums."

and so.... quod erat demonstrandum
https://bugs.launchpad.net/unity/+bug/882274

I meant here this particular situation. I wanted to issue a warning not to follow in Mandriva's footsteps regarding the community handling. I read at phoronix that the ASPM bug got "solved" with a patch for an entirely different problem... I see the first symptoms of using own power to influence the community against its will. This is hazardous. It is good that you, mr Mark, participate in community discussion. Unfortunately, the community is somehow poisoned. There is a whole group of people who started seeing Ubuntu as a system that is different from other Linux distributions. Can you imagine Canonical, 2 or 3 years back, asking the community how to implement Unity? Imagine the situation, where having developed a vision, it is showed to the community BEFORE a single line of code is written. And a discussion starts. I am sure there would be a strong support for Unity. No poisonous comments about the alpha / beta quality of the code.
Have you ever considered to implement Unity using the KDE frameworks? Look at how fast and efficiently plasma Active was developed. In my opinion, this is the single downside of Unity, from which many of the other problems stem: the shell was developed from scratch. Why were you so "arrogant" to start another project from scratch, when you had all tools ready in hands of another community? This is the arrogance I see. Every other project is made from scratch, when it could have been done with existing, but "competitive" solutions. Sometives I almost cry over this situation. I love Ubuntu, but I love KDE more. So I am torn between openSUSE, Mandriva and Ubuntu. Each of those distributions has something very good which no other has. However, Mandriva will keep its newest powerpack secret until the unknown to the community release date. OpenSUSE lacks the desktop polish. And Ubuntu. Ubuntu is not focused on KDE. I wanted to use KDE PIM software in Unity environment but plasma - unity conflicts emerged. I can't imagine, how Unity managed to steal focus from the KDE applications but it did so. I am close to dedicating a lot of my future time to create the Unity plasma shell once I acquire the development skills. But when I see a "won't fix" like here I start to doubt if my work would be ever thanked for.
And yes - I read you post about workers and talkers. Sometimes an influential talker emerges. Hitler for example. He was a talker. Yet he managed to have something done without moving a finger himself. So it is not right to downplay people who talk just because they do not "work".
I personally, I am getting tired of this leadership - community struggle. KDE manages just fine without strong single-entity leadership. What I see is that still so many organizations try to control something that is not controllable. But I can do nothing as I have no power myself... I can only talk.

@Marek Paśnikowski
As you say, the *shell* was developed from scratch. The Unity interface is a modified GNOME. Why would engineering it as a modified KDE (a desktop environment that it seems far fewer Ubuntu users choose, even though it is fully supported) be less "arrogant" than engineering it as a modified GNOME?

The other interpretation of your question is: Why does Unity not use the libraries present by default in KDE but not GNOME, when doing so might have been useful? The answer is: it does. It made sense for unity-2d to use Qt, so unity-2d is Qt-based.

"KDE manages just fine without strong single-entity leadership."

Perhaps that is because the enormous number of users who don't like KDE don't feel that KDE not being for them means that the KDE project has done something wrong, and instead just use a different desktop environment, rather than objecting.

I am *not* holding those users up as a model for good behavior. Constructive objection and discussion (which, contrary to what some people might say, is I think pretty clearly what most of the posts here consist of, including your posts) may not be the best imaginable way to contribute to a project, but it contributes more than nothing at all and is sometimes the only practical option besides non-contribution and silence.

Trying to change something is generally an indication that it is largely suitable, or at least more suitable than other options--otherwise, you just use something else. I do think Unity should be more configurable in certain specific ways, including and especially with respect to which edge of the screen (and of which screen or screens) has the launcher. But I would be reluctant to accept the idea that KDE is better than Unity just because Unity has certain problems that are not also problems with KDE.

"But I can do nothing as I have no power myself... I can only talk."

You can also use KDE, even in Ubuntu. Either install Kubuntu or, on an existing Ubuntu system, install the package kubuntu-desktop and select "Kubuntu" as your session type on the login screen (the gear menu). You've been talking about KDE as an alternative to Ubuntu, and while it's certainly possible to use KDE in a non-Ubuntu system, KDE is an officially supported choice of desktop environment for Ubuntu and has been for a very, very long time.

David Gómez (dabisu) wrote :

Sorry if this is offtopic, but i was commenting in another bug that was hitting me: https://bugs.launchpad.net/ubuntu/+source/ibus-hangul/+bug/840823
and saw that Unity has problems with nabi too.

No wonder that Unity & Ubuntu would not "conquer" the desktop in asian countries anytime soon. You cannot write with it :(. First you released an Unity in 11.04 without CJK support. A now you release an Unity 11.10 with CJK support, but support for Hangul in ubuntu is broken (see above bug).

I'm not attacking Unity. I like Unity. But because i like it and because is such an important piece of software to Ubuntu, i wonder what good has brought so much haste? Wouldn't have better to wait a couple of releases more to clean all important bugs? Anyway now it's late for this, now it's bug solving time, and there are a lot of bugs to solve before 12.04. But next time you make another big change to Ubuntu please don't forget this.

Curtis Hovey (sinzui) on 2011-11-11
no longer affects: null
Robin J. Rogge (rojaro) wrote :

Just noticed ... "#2 I think the report actually meant that the launcher should be movable to
other edges of the screen. I'm afraid that won't work with our broader
design goals, so we won't implement that. We want the launcher always
close to the Ubuntu button."

The button isn't event there anymore :-/

Eric Appleman (erappleman) wrote :

Since we are playing Occupy 668415, I'll add my 2 cents.

Unity is a joke. The sidebar pops up way to often and the interface is a mess where nothing works well together. Global menus are a nice gesture to free up screen space, but just too wonky.

On the other hand, aside from not shipping MGSE's bottom bar, GNOME Shell is beautiful and more mature.

Seb K (little-sebby) wrote :

There are clearly many people upset by the lack options open to users here. Yes have your design goals but please let users make decisions.

Especially when using multiple monitors the unity bar is currently a major pain!

SRoesgen (s-roesgen) wrote :
Danillo (danillo) wrote :

Is there any chance that the Unity bottom launcher plugin (or rather a refinement of its code to play better with the standard Unity) be included as an option in Precise?

kfsone (oliver-kfs) wrote :

Point of note: Booted fresh Ubuntu 11.10 USB stick on the weekend and, after configuring the monitors, my multi-monitor setup placed the bar at left-most side of the left-most monitor and treats my right-most monitor as the primary display.

While it's an improvement over having the bar between screens, not giving me the ability to tell Unity which would be the most correct edge for it, I now have to mouse across 2.5 screens to go between my primary display and launcher bar. Bring on the RSI! :)

John Lea (johnlea) wrote :

@danillo; no because it introduces far too many bugs in multiple areas of the interface. A lot of the interface has been both designed and built around the concept of a launcher on the left hand side, and supporting multiple launcher locations in a official release would incur a significant extra ongoing cost (both design and development wise), and we are currently focusing our limited resources on stabilisation and some brand new features ;-)

However there is a unofficial patch that moves the Launcher to the bottom, see http://www.webupd8.org/2011/11/install-ubuntu-unity-bottom-launcher.html Generally I think this is the right approach, work to raise the quality bar of the official version of Ubuntu, and features and customisations that some people want but which do not meet this quality bar become available as 3rd party extensions.

flyingfisch (flyingfisch) wrote :

I love the Unity interface as a whole, but I don't understand why we should not have an option for unity launcher at other edges by default. What are the advantages to not allowing users to customize? I see that it might be a good idea to have it placed at the left originally, but doesn't a user have a right to customize it? Also, I use Unity 2D and therefore cannot customize the position of the panel. Is there any real reason to keep users from moving the panel?

Lisa Schmidt (boxnotify) wrote :

Left-handed people are being ignored totally. This is active discrimination. Thank you, Mr Shuttleworth, for demonstrating what an ignorant and arrogant guy you are.

UnityUser (rkncxlby) wrote :

@boxnotify; I agree! I am also a left handed person and like you I am unable to move my mouse pointer any direction other than right. This active discrimination has to end, first Microsoft placed the Start button in the bottom left corner of the screen and and Ubuntu moved their launcher to the left! I don't know who is worse, Bill Gates or Mark Shuttleworth. btw, as you seem to have a similar difficulty to me, I suggest you learn a right to left language, writing Urdu had made my life much easier. خدا حافظ

flyingfisch (flyingfisch) wrote :

@shuttleworth: If you could post all your reasons for not letting user move the launcher themselves in one post, I think it would help a lot.
I have programmed calculators as well as computers and know what it is like to try to make your own GUI. If you say that it would be too hard to implement in the next version, I would completely understand. But, why is this bug tabbed as "Won't Fix"? I can see not implementing it in the next version, but never planning on implementing it at all? We clearly need some answers.
Although I am a left-handed user, I do not use the mouse in left-hand mode because I am so used to it in right-hand mode. However, that is not my problem. My problem is that I want the launcher at the bottom of the screen.

Maarten Kossen (mpkossen) wrote :

@UnityUser: if you cannot move your mouse cursor any other way than
right, there's not much sense in you using a computer at all.

@Lisa Schmidt: this is in no way discrimination, nor ignorance or
arrogance. It's a design vision for a cross-device User Interface aimed
at making Ubuntu available to a larger audience. I know that's hard to
comprehend but that's the way it is.

Now, it's quite clear that the Unity launcher is not going to be
moveable by default (at least for the time being). There are plenty of
solutions out there if you don't like Unity the way it is not (or if you
want to move the launcher). You're not oblidged to use Unity. Nobody's
forcing you.

On 12/19/2011 05:30 PM, UnityUser wrote:
> @boxnotify; I agree! I am also a left handed person and like you I am
> unable to move my mouse pointer any direction other than right. This
> active discrimination has to end, first Microsoft placed the Start
> button in the bottom left corner of the screen and and Ubuntu moved
> their launcher to the left! I don't know who is worse, Bill Gates or
> Mark Shuttleworth. btw, as you seem to have a similar difficulty to me,
> I suggest you learn a right to left language, writing Urdu had made my
> life much easier. خدا حافظ
>

Magnes (magnesus2) wrote :

@Maarten Kossen: that was really rude. :( What would you say as a right handed person if the Unity was on the right? For me it would be a complete disaster, so I understand left-handed people who complain about the placement. Putting on the bottom or on the top is OK for everyone but putting on left or right side causes a lot of problems to people who prefer it the other way.

John Lea (johnlea) wrote :

@flyingfisch; I posted the reasons we are not able to add Launcher movement atm in comment #226. Basically implementing this change so that it works correctly with all the other Unity elements in a bug free manner is *a lot* of work from both a design and development standpoint. Our limited resources are currently best spent elsewhere (quality improvements, feature development). A change like this would introduce a lot of bugs, and this is not something we can do until the backlog of existing bugs is resolved.

For very tech. savy users who don't mind bugs, patches are the way to go in order to preview functionality that has not yet met the quality standard required to land in main Ubuntu. See http://www.webupd8.org/2011/11/install-ubuntu-unity-bottom-launcher.html for a great patch Pavel Golikov has written that moves the Launcher to the bottom.

SRoesgen (s-roesgen) wrote :

@John Lea
I usually accept reasonable arguments given for decisions. And in this case I can accept that once cannot expect the launcher to be movable in the near future.

But: Mark Shuttleworth himself stated that the decision is "won't fix" and will stay "won't fix". And I had the feeling that he wanted to make very clear that we should never expect the launcher to be movable. So I am thankful for your answers and glad to hear that you yourself see a possible future of a Unity which includes a movable launcher. And as far I remember it was you, who said himself once that he wants a movable launcher himself.
Still, you should not raise too much hope. We have now a solution of a movable launcher and it needs some patches but it is there. Still there is not even the debate of including it in the default repositories. Instead one has AGAIN to add ANOTHER ppa. I hate that huge list of ppas that one has to add to Ubuntu to make some simple modifications. There is this great software center and still I have to add dozens of ppas. Why that.

On a different topic: a little bit more of honesty would be nice. (Not by you, but by the design team as a whole and by Mark Shuttleworth). Many of the arguments against a moveable launcher have become invalid during the development of the dash and the launcher itself. The only argument left now is that a moveable launcher would introduce errors.
There are more "design" issues that would be fixed by a movable launcher than there are design advantages that come to mind when thinking of a launcher that is fixed to the left edge of the screen.
So, blatantly speaking, the design decisions which made the launcher stick to the left were all simply errors. They were bad decisions. They make NO sense at all. And the fact that making a launcher movable is not possible because of bugs which would appear, the fact that giving it the flexibility that everybody in this world expects from a launcher (which you could also call a "dock") produces errors and seemingly was never considered to be configurable at all, is to me a real evidence for an absolutely wrong and bad design (decision).
So after people came up with arguments and design decisions against a movable launcher, arguments and design decisions which all have been shown to be invalid, I now really am tempted to say that a little bit of honesty would be nice. Thanks again to you, John Lea, for this honesty. But there were the others, who simply told us crap and brought forward arguments which weren't true at all and who did not even apologize for telling us crap and selling us this crap as the seemingly "true reasons" for a launcher on the left side. Nobody has said anything about the reason that the launcher should be on the same side like the BFB. A reason which obviously is now rendered irrelevant because the BFB is part of the launcher. Where are the Windicators, which were the reason for the movement of the minimize/maximze/close buttons to the left corner of the windows.
For once, I would like to hear an apology or at least an honest explanation of the design decisions which were made.

John Lea (johnlea) wrote :

@s-roesgen; think about this: every alternative configuration that is included in Ubuntu by default has to be both designed and tested with every other possible configuration of every element with which it interacts. So making the Launcher position configurable would be a *very large* amount of work. In addition, a additional maintenance burden would be created that would have to be carried through all future versions of Ubuntu.

Now we only have so much resource, and we have to choose where this resource is spent. To do this we weigh cost versus benefit. In the long list of quality improvements and features we would like to introduce, this change has a low cost/benefit ratio. "Won't fix" is the correct designation for this bug, because there are so many more important items on the list, and honestly we will not be able to get to this item any time soon.

Regarding the placement of the Launcher on the left hand side, we could spend days discussing the trades, exploration and user testing we conducted before settling on the left hand side position, but suffice to say that we feel this was the correct decision to make, including with the benefit of hindsight. Note this is not saying that things are perfect, there are loads of bugs to fix and improvements to make but I am confident we are travelling in the right direction. Remember that although you are not happy with this decision, there is a majority of users who are.

Any design decision that anyone makes will make *someone* unhappy, it is impossible to please all people all of the time. However for technical users there is a solution to this, patch it to make it the way you want! As long as you are happy with the majority of features and functionality, this is how you can close the gap to make the product *exactly* as you personally would wish it to be. Yes it costs time, but having this option is part of the beauty of open source. And if your change becomes sufficiently proven and popular, and the time is right with regards all the other aspects that have a bearing on development, the chances are that it will eventually get included. Just don't expect to snap your fingers and have your wish granted instantly! Rather get involved with development, and the more you contribute to a component, the more influence you will find you have.

Magnes (magnesus2) wrote :

You made a huge design mistake in the beginning by not making it configurable (even if such configuration would be hidden from users it should be there in case you change your mind or your boss changes his mind about where to put it). Now we all see how it ended - people want to move it, you fight because you know you made a mistake and correcting it will cost you a lot of hours, Mark Shuttleworth agrees with you because you said to him how many hours it would cost and he doesn't want to give money for that. Keep that in mind when you are making such decisions in the future. Making everything configurable makes your job harder at the beginning but much, much easier in the end.

Magnes (magnesus2) wrote :

"we could spend days discussing the trades, exploration and user testing we conducted before settling on the left hand side position" - left hand side is quite good default, but everyone is different, there are lefthanded people and poeple who have different preferences than you, your test group or anyone. And you left (no pun intended) them with no choice.

David Gómez (dabisu) wrote :

#235 No, it doesn't suffice. Because i haven't seen yet those "trades, exploration and user testing". Could you please point me to the document with Unity user testing statistics and results?

"A majority of users are happy with this", you say? Please, point me again to the survey on which that affirmation is based. Otherwise, i will consider it spurious.

SRoesgen (s-roesgen) wrote :
Download full text (3.2 KiB)

@Magnes
>left hand side is quite good default, but everyone is different, there are lefthanded people and poeple who have different >preferences than you, your test group or anyone. And you left (no pun intended) them with no choice.

Thanks to point this out. Indeed this is the one really important point, which is often ignored by all those design decisions.

@John Lea
You really do not need to explain. My thanks were honest. You at least appear to be someone who really cares. Instead of just throwing arguments based on "design decisions" at us, you try at least to explain.

But anyway, as Magnes pointed out, the initial design decisions were wrong and bad and (excuse me for that)... they were dumb. My problem is that "we", so the community, pointed out those mistakes when Unity was initially released. We were fed mock explanations and all these explanations were obviously untrue. Your explanation, why the launcher cannot be made movable at the moment, is the only truthful explanation I have heard so far. But it is an explanation which only describes problems that came into being by wrong decisions.
I can understand your explanation. Really. But the explanation also points out that design error have been made. Design errors that could have been avoided in the beginning if people had listened to the users which were complaining. Instead we were ignored and treated with only thinly veiled contempt. Even now, when there are 209 "affects me" voters we are ignored.It is said that there are millions of Ubuntu users and we are only 209. Whoever says so is unbearably ignorant. These 209 voters are a representation, a proxy, for those who really are affected by those issues. Do these (design)-decision-makers really think that only 209 voters want the launcher to be movable?
And "yes", there will be those who would keep it at the left side, even if it were movable. And there are those who want it at the right or at the bottom of the screen. You can indeed not satisfy every single user with the solution of a fixed launcher position which sticks to the left, to the right or to the bottom. Exactly this is the point WHY it should be movable.

And now one last comment. Have a look at this https://docs.google.com/a/canonical.com/document/d/1aHvJ-iIw-59bXTYBmIhQqEx0za2h9jpFE_RhZ2VOvJc/edit?authkey=CJO5wPkH&hl=en_GB

It is one of Canonical's documents (found here http://design.canonical.com/the-toolkit/unity-multi-monitor-interactions/) . It is one of the few (if not the first) which shows at least some design goals. Thank you for that. But now read a quote:
"Locating the Launcher
There is no means to set the location of the Launcher in the Display Preferences panel. Instead, the Launcher is always available on every display."

Really? This is Canonical's great solution? Certainly this will work. But this is NO solution. It is a patch, or worse it is simply a form of jury rigging. Instead of acknowledging that there was some mistake in the basic design the solution is a "quick fix". And this is a LTS version? Well, certainly this solution will not produce any more errors. But do you think that any big company in the word will think this to be a real s...

Read more...

Sorry to ask if this is kinda rude, but how much money/resources do you (Ubuntu devs) need to make this bug report be changed from Won't Fix to at least Wishlist?

I understand that this new interface called Unity wants to be used in tablets, TVs, etc as a global menu and stuff, but never forget that this is, initially, a Desktop UI, and Desktops are well-known for customization in big or small screens.

The Android default dock/launcher is not customizable. I understand why: it's a touch and small interface. This is not the case in Unity, you know that.

Just make it customizable already! And please, not compiz dependant. Unity 2D and 3D are two different softwares, and they should not be like that. Can't you realize that making two "Unities" is just making the work a lot harder?

Compiz is STILL buggy and resources-eater. And Unity 2D is not customizable AT ALL.

I want to understand this, please :/

John Lea (johnlea) wrote :

@magnesus2; this change would cost the same number of hours to make, irrespective of when it is made. If a moveable Launcher had been designed and built right at the start of Unity development, a bunch of other features and fixes that are currently in Unity would have had to be dropped. We are following a MVP strategy of first building out all the areas of required functionality as quickly as possible, and then going back and adding depth. This is the correct path to take, a OS with a over engineered Launcher and under-engineered everything else is not very useful. We need to balance the depth of functionality across all areas of the OS, not over resource one area, and as a result under resource other areas.

@dabisu; no, it is not reasonable to ask for the months of design work, testing, meetings, etc to be summarized for your convenience. The time it would take to do this is much better spent on designing new features, refining already delivered functionality, and supporting developers who are in the middle of building out 12.04, etc... If you come to UDS I will happily spend a lunchtime talking to you about Launcher positioning, and even then there would not be time the discuss the entire picture. But the offer is open, come to UDS and we will talk about it over lunch.

David Gómez (dabisu) wrote :

@johnlea I don't ask anyone to summarize it for me. I ask for any data or documents the Ayatana team have about user testing. Raw data would be fine. But i haven't seen a single link to those data, so maybe i'm not looking in the right place? I'm no more an active developer in the linux community and i'm not going to UDS, so you shouldn't talk with me but with the people actively doing something to improve Unity. For example, with the author of the launcher at bottom patch. Anyway, if you come to Madrid, i'll invite you to a cup of coffee and discuss about Unity.

Magnes (magnesus2) wrote :

"this change would cost the same number of hours to make, irrespective of when it is made" - sorry, but I don't believe it. Even if you could write this in the same time (I think you can't, and I speak from many years of experience) you lost hours of testing. And if you did it then many things that you would need to move now (like the menus for icons on launcher) would have already been movable too. You sound like you lack manpower - if this is the problem then maybe you shouldn't have changed so much and sticked to what was available instead of making something from scratch. (sorry for my English) "a OS with a over engineered Launcher and under-engineered everything else is not very useful" - everything you've done with Unity apart from the launcher is utter crap (I'm talking about dash) confirmed even by your own testing.

John Lea (johnlea) wrote :

@dabisu; a good place to start for documents relating to user testing is http://design.canonical.com/author/charlinepoirier/ Of course we have only had a chance to write up a small portion of the user testing we have done to a publishable standard, so for the last couple of years we have done a series of talks at UDS discussing the user testing that has taken place in the proceeding 6 months and presenting results. Don't worry if you cannot attend UDS in person, it is also possible to remotely participate, see http://uds.ubuntu.com/participate/remote/ There are also articles written by 3rd parties about the user testing we do, for example see http://www.omgubuntu.co.uk/2011/11/user-testing-of-unity-reveals-some-surprising-results/ I hope these links provide some of the insight you are looking for.

@magnesus2; the cost is because adding configurability exponentially increases the number of permutations that need to be designed, user tested, implemented, bug fixed, etc... because everything needs to be designed, built and tested to work in every possible configuration. We are aiming to deliver consumer grade quality, and this is a hard challenge. If we are going to succeed in hitting this target, we have to take a hard line in keeping scope within the bounds of what we can achieve with our given resource and chosen level of quality. There are many other Linux distos that make different trades (and this is a good thing for a healthy open source ecosystem), but with Ubuntu we are working towards an emphasis on quality. However given the last sentence in your previous comment, I don't think you are really going to be happy with anything we do/say so I wish you the best of luck in finding another platform where you will be more happy. In the meantime we are going to stick to our guns and continue working to build out a operating system that has the quality and potential to take the Linux desktop into the mainstream.

Magnes (magnesus2) wrote :

This again. I'm sorry about my comment but the reason for this is simple - everything people ask or beg about gets a response "find another distro" so the nerves of many supporters of Ubuntu are at the edge. Do you want people to use Ubuntu or do you want them to move to other distros? Because I can't recommend Ubuntu to people and I regret recommending it erlier, because once they see Unity and try (for example) to move the launcher they are angry at me for recommending something that doesn't work. I can use Unity and Ubuntu (with dificulties sometimes) but those people with little technical knowledge can't - and they could use erlier Ubuntu version without problems. Also the link you provided http://www.omgubuntu.co.uk/2011/11/user-testing-of-unity-reveals-some-surprising-results/ - shows how your dash is just not working as intended. So you lost more time making it that you could've used to fix things people want fixed.

Magnes (magnesus2) wrote :

We mostly were with Ubuntu from the beginning - at least from 6.06 and now we feel like we are no longer needed and Canonical wants us all to go away and leave because maybe they want larger userbase and we are too little to bother with? Your link - http://www.omgubuntu.co.uk/2011/11/user-testing-of-unity-reveals-some-surprising-results/ - shows that your dash is ill designed by the way.

Magnes (magnesus2) wrote :

Also I recommend comments below that article.

SRoesgen (s-roesgen) wrote :

John Lea wrote:
>the cost is because adding configurability exponentially increases the number of permutations that need to be designed, user >tested, implemented, bug fixed, etc..

If I buy a car, I expect that one can open all of its doors. Certainly the manufacturer would have saved money and avoided errors if he simply had designed the car so that only one of the doors could be opened, while the other doors would just be some form of adornment. Still the fact that I bought a car would make me feel cheated if I bought a car with only one functioning door. And indeed, the manufacturer could tell me to buy a different brand of car from a different manufacturer if I want a car with four functioning doors but what would you answer in this case. You would feel cheated because already the sound of the word "car" forms an imagine in your mind. An image of how a car should work and which basic functions it should have.
If you say "desktop operating system" you also have some ideas in mind, how this should work. If somebody says operating system for mobile phones, computers, cars, TVs, etc... then you would still expect the operating system of the desktop to fulfill some functions which you are already used to by many years of using other operating systems. You cannot break dozens of paradigm which the users are used to. And it is a real impudence to tell all those old Ubuntu users to go away and use another, different operating system or switch dozens of the system defaults.
Even Microsoft has legacy functions built into the (default) desktop [which is the only desktop], so that you will always experience a rather smooth evolution of the system during the individual development cycles.

John Lea (johnlea) wrote :

@magnesus2; my comment about Ubuntu not being the right place for *you* was made directly in response to the last sentence you wrote in comment #243. Read http://www.ubuntu.com/project/about-ubuntu/conduct Ubuntu is a place and a project for people with common values and vision for free computing to work together. Constructive debate is always welcome, but your comments are not currently providing constructive feedback. I have tried my best answer your questions and critiques but you don't seem to be acknowledging the responses, and I doubt anything I say/do will make you happy. I'm signing out of this discussion now and getting back to work. I have a long todo list to get through before Christmas ;-)

Magnes (magnesus2) wrote :

Fixing this bug would make me happy. ;)

John Lea (johnlea) wrote :

@s-roesgen; cars are a great example. When designing a car, different manufacturers aim for different markets, different users, different pricepoints, have different development budgets, different strategies, etc, etc... And these different constraints and objectives produce widely differing results, from cars with no doors to cars with 7+ doors. Designing and building a OS is exactly the same, there are many, many different trades we are choosing as we work to divine what we hope will be an optimal strategy. Remember we are trying to compete with Microsoft and Apple, and for all of Apple's talent and success they have been unable to displace Microsoft from their dominant position in the desktop OS market. And Ubuntu has only a fraction of the developers, apps, etc.. that OSX has. So how are we going to succeed where even Apple has failed? By taking a different strategy, making a whole load of different trades, and executing this strategy as efficiently as possible. Think about Ubuntu as a gorilla fighter, it will never win by playing by the conventional army's rules, to win it has to invent its own rules.

So coming back to your car analogy. The strategy we are taking involves making a different set of trades, and these decisions eventually drill down to result in a car coming out of the factory *today* that has only has only two doors. And is electric, goes 0-60 in 2.5 sec, has a range of less then 200 miles, and takes 10 hours to recharge. But this is only looking at the car coming out of the factory door *now*. In two years the car coming out of the factory door will look very different, and in eight years there is a small but fighting chance that this car company could be the the most successful car company in the world, and in the process of making electric cars mainstream brings massive ecological benefits.

So we are taking a very different strategy, and making a different set of trades, and this results in the product we have today being different. But doing this gives us a chance of winning, and in the process represents a chance for fully open sourced GPLed software to become the dominant force in desktop computing. It might or might not work out, but I am very glad to be part of those trying.

Maarten Kossen (mpkossen) wrote :

@Magnes: as I right handed user I can positively confirm that I can move
my mouse in any direction. I have even asked some left-handed people,
who also happen to be able to move their mouse in any direction. Equally
well to the left as to the right.

As you rightly say, it's a preference. Not an ability or capability. It
may be easier, but it's possible the other way. The big difference is:
if it wouldn't be usable at all it would be a blocking issue to have the
launcher stuck to the left. If it's useable but not the prefered way,
it's not a blocking issue.

@SRoesgen: there is not just one argument left for not having a usable
launcher. Errors/bugs can be fixed. There is at least one major argument
for not moving it: cross-device functionality. It should be able to
works well on a tablet or smartphone exactly as on the desktop. This
means a swipe should trigger the launcher. Swiping up and down is used
for scrolling, so the top and the bottom are out. Usually, you need to
swipe using the right side of the screen, making that a lesser
candidate. The only side that remains left is left. I see the logic in
that. They were not necessarily bad decisions. Maybe for you but not in
general.

@John Lea: thanks for your continueuing responses here. Much appreciated :)

On 12/20/2011 09:41 AM, Magnes wrote:
> @Maarten Kossen: that was really rude. :( What would you say as a right
> handed person if the Unity was on the right? For me it would be a
> complete disaster, so I understand left-handed people who complain about
> the placement. Putting on the bottom or on the top is OK for everyone
> but putting on left or right side causes a lot of problems to people who
> prefer it the other way.
>

SRoesgen (s-roesgen) wrote :

@Maarten KossenThere is at least one major argument
>There is at least one major argument
>for not moving it: cross-device functionality. It should be able to
> works well on a tablet or smartphone exactly as on the desktop

Good. Then make it configurable only on the desktop and not on TVs, smart phones, etc... . I never even tried to configure my TV and would never blame anybody if my TV were not configurable. And I would never blame anybody who coded a smart phone OS which would only allow basic or superficial configurations. I am used to a smart phone to not being very flexible if it comes to configurations. But I can complain about a desktop pc or a laptop which does not offer the flexibility the normal user is used to.

Do not get me wrong. I really, really like Unity. It has some great futures and even if there are many bugs I see a great future for Unity. But the way a couple of bug/feature requests are handled currently really pi**es me off.
As I said John Lea's answers are the only rational answers so far. And the only ones which are somewhat satisfying.
But the main problem is that he talks about future visions and where the development will take us in a couple of years.
As I said before Mark Shuttleworth said more or less directly that some features will never be implemented. And this is crap. I can understand that one says:"we do not have the manpower". I can understand the answer "not now, there is not time for this". or the answer "at the moments there will emerge too many bugs". But there are people here who would help to code patches to make the initial steps possible (and yes, I know, there would be need for somebody who maintains these patches, which would be the next problem). And telling them:"we do not want you and your help and we do not want your patches because Unity will never ever include that feature", that is a behaviour I cannot stand.
Ubuntu became what it is today by and through the community. And telling a part of this community that the ship is now heading down the river into a new direction and that everybody who does want adjustments to the current course has to jump from board and board a different ship, that is not very kind and very grateful to those who have invested much of their private, spare time to help the community to grow. I did never talk about Unity being bad or crap. I like it. I did not talk of changing the course, I only see the need for adjustments, instead of changes. But every time you start to criticize the design decisions you are treated as an enemy to the whole project.

Mark Shuttleworth (sabdfl) wrote :
Download full text (5.1 KiB)

On 21/12/11 14:36, SRoesgen wrote:
> As I said before Mark Shuttleworth said more or less directly that
> some features will never be implemented. And this is crap.

Please. It's free software - you can fork it. We *do* have the right,
and the need, so exercise discretion.

> I can understand that one says:"we do not have the manpower". I can
> understand the answer "not now, there is not time for this". or the
> answer "at the moments there will emerge too many bugs".

Those things are true, too.

> But there are people here who would help to code patches to make the
> initial steps possible (and yes, I know, there would be need for
> somebody who maintains these patches, which would be the next
> problem). And telling them:"we do not want you and your help and we do
> not want your patches because Unity will never ever include that
> feature", that is a behaviour I cannot stand.

That's not what we're saying. There are *hundreds* of patches that come
in exactly as you describe. Please exercise some judgement and recognise
that your claims of ignorance / obstinacy / arrogance / stupidity on my
part don't gel with the facts: many bugs fixed, many opinions debated
and discussed, many patches accepted with kudos and appreciation.
Recognise that it's rude to put your own pet peeve above those of
everybody else. And then please stop being rude.

Any project which is afraid to decline a feature or a patch is doomed.
We're not interested in being doomed :-)

> Ubuntu became what it is today by and through the community.

That's half the story.

Ubuntu became what it is today by being opinionated. Making choices: one
cd, one release cadence, one mail client (at a time ;-)). All of those
choices were unpopular with somebody; but that's how Ubuntu stepped away
from the crowd. Others have followed, but that opinionated leadership is
*essential* to Ubuntu's success.

When you say that every patch should be accepted you are also suggesting
that every package should be included and every option supported. You
are arguing for failure, and your argument will not carry.

Ubuntu also became what it is today because of the incredible commitment
of people at Canonical. The community is a partner, not an owner or a
moral superior. Folk at Canonical are part of the community too, if you
want to think of it like that. Harrassing and dividing us form one
another is not a helpful or appreciated contribution.

> And telling a part of this community that the ship is now heading down
> the river into a new direction and that everybody who does want
> adjustments to the current course has to jump from board and board a
> different ship, that is not very kind and very grateful to those who
> have invested much of their private, spare time to help the community
> to grow.

This ship is heading down this river into a new direction. I hope you'll
stay aboard. It will be fun: we are taking free software where it has
never been before:

 * we introduced design, and built Unity, which has been well copied
elsewhere but continues to lead
 * we will bring free software to the tv, tablet, phone, where you can
enjoy it and share it
 * we invest millions and give the result away, ...

Read more...

realn (realn-hotmail) wrote :

I think that trying to use the same UI on a smartphone/tablet/desktop/laptop is a mistake. Perhaps in 10 years from now it will be the case with all OSes and all devices and users might get used to it maybe. That would simply mean that I will use my phone in the same way as my future extra powerful desktop. That would be a terrible waste: it will kill diversity and everybody will shake their phones in the same way in order to skip to the next track. How will we be skipping to the next track on our future laptops? By shaking them, too ?

kfsone (oliver-kfs) wrote :

@mark

It's also worth noting that some of the facts described at some point within this ticket have actually been addressed by yourselves: As of the current 11.10, I am able to get the launcher bar at the left-edge of the left-most screen, rather than in the middle of my combined display, by using the monitor control panel [caveat: I have made no effort to distinguish this from using the left edge of the secondary display vs the left edge of the left-most monitor, or how it would cope with vertically-stacked monitors].

However you had previously stated 3 reasons for wanting a fixed-location launcher bar:

1. Productizable consistency/supportability (move the mouse to the launcher bar on the left of the screen);
2. Elimination of an option.
3. Aesthetic of conformity with the location of the Unity/Ubuntu button,

1 and 2 combine somewhat, and you used notebooks / tablets as a 3rd-party consumer case for offering a fix-format display, with hardware-button alignment.

#1 would be at odds with any vendor who wants to use a different display form factor: my HTC Trophy, for example, the bar would take 1/3rd of the display if presented vertically vs 1/6th of the display presented horizontally.

#1 is also out of touch with vendor needs. If you want to ship to RTL countries, they last thing you need is the most fundamental component of your UI being so blatantly LTR-centric. Duh.

#2 is at odds with the addition of the auto-hide option, which is often suggested as a compromise to the relocation option ("just turn on auto-hide").

#3 no-longer applies, and only applies in perfect cases: if you have a non-conformant display configuration, the status bar along the top of the screen may not even be present on the same display or to the same extents as the launcher bar.

It strikes me that the problem here is that many of us - perhaps we're old farts too set in our ways, perhaps we're grognards or power users - but many of us like our desktops to be desktopy, while Canonical is aiming to unify the Desktop and Netbook spins, to the ends of making Ubuntu as a whole more accessible. But wouldn't you be better served by a simpler shift: Migrating "Ubuntu" to "Ubuntu Advanced Desktop" and "Ubuntu Netbook" into the default "Ubuntu" spin?

Maarten Kossen (mpkossen) wrote :

@realn: Well, every major OS out there (Windows, Mac OS X, Ubuntu) are
moving to such a situation. See the new launchpad (or whatever it's
called) on Mac OS X that is much like the springboard on iOS and the new
Windows Phone OS (or whatever it's called) and Windows 8 with their
similar setup. It's an inevitable change in a transition from the
traditional desktop situation to one where evetually the browser becomes
the center piece and is all you need.

On 12/21/2011 11:11 PM, realn wrote:
> I think that trying to use the same UI on a
> smartphone/tablet/desktop/laptop is a mistake. Perhaps in 10 years from
> now it will be the case with all OSes and all devices and users might
> get used to it maybe. That would simply mean that I will use my phone
> in the same way as my future extra powerful desktop. That would be a
> terrible waste: it will kill diversity and everybody will shake their
> phones in the same way in order to skip to the next track. How will we
> be skipping to the next track on our future laptops? By shaking them,
> too ?
>

Magnes (magnesus2) wrote :

Tablets, phones and some LCDs with pivot have portrait mode in which launcher on the left takes too much space and is ridiculously high. Tablets especially are often used in this mode. So if you want to make Unity for tablets you need to make it movable anyway. (and on phones it would have to be on the bottom anyway - most new phones are 16:9 and used in portrait with little space for launcher on the left)

Maarten Kossen (mpkossen) wrote :

@Magnes: your arguments are quite invalid when it's a hiding launcher.

On 12/22/2011 08:55 AM, Magnes wrote:
> Tablets, phones and some LCDs with pivot have portrait mode in which
> launcher on the left takes too much space and is ridiculously high.
> Tablets especially are often used in this mode. So if you want to make
> Unity for tablets you need to make it movable anyway. (and on phones it
> would have to be on the bottom anyway - most new phones are 16:9 and
> used in portrait with little space for launcher on the left)
>

Magnes (magnesus2) wrote :

Hiding launcher on a touchscreen? That would be pretty hard to use.

Adam Funk (a-funk) wrote :

realn wrote:

> How will we be skipping to the next track on our future
> laptops? By shaking them, too ?

No, that's for rebooting:

http://dilbert.com/strips/comic/1995-04-03/

Maarten Kossen (mpkossen) wrote :

@Magnes: not if it's on the left of the screen and you swipe
right-to-left to reveal it (just like moving your mouse to the right).
At least, that's what I remember having seen in some plan.

On 12/22/2011 10:22 AM, Magnes wrote:
> Hiding launcher on a touchscreen? That would be pretty hard to use.
>

SRoesgen (s-roesgen) wrote :
Download full text (4.3 KiB)

@Maarten Kossen
Swiping into any direction would be a nice and handy metaphor for turning the pages of a book. But instead of this the swiping will reveal the launcher which people might not even know exists because it is auto-hidden on a touch screen?
Well, nicely done. For me this sound not very logical or intuitive. Especially since many people use tablets as some form of high powered e-reader, e-book, webbrowser and not much more (besides reading e-mails).

@all
The fact that so many people have problems with only one feature and debate it for over one year now, would make me think about the decisions. I think that all of us really like Ubuntu, the idea behind Ubuntu and even Unity. If we didn't care for Unity, we would not start debating a single feature but instead we would criticize the whole Unity Shell (which is exactly what we are not doing at the moment, which is very good.)
The point is, one can see the arguments against a moveable launcher. But many of them are not really valid anymore. And I am sorry, I cannot see any really conclusive and convincing argument against a movable launcher in the far future.

@John Lea (and I am afraid I have to get a little bit academic now)
You didn't get my car metaphor right. I was not talking about blocking future developments and innovation. Innovation is a good thing. I was talking about something that in psychological theories is called the "horizon of expectation".
If you see a product you expect things. If these expectations are not met they break that horizon of expectations and usually are met with criticism and debate. My analogy was about the doors in a car. Not the number of doors, but the doors itself. If you have a car with two, four or eight doors. You will expect all of them to work as doors and not as windows. You create your own horizon of expectation derived by your life experiences, they define your habits and pattern of thinking.
The criticism that emerges when breaking this horizon will inevitably create debate, which in itself is not bad. Breaking the horizon of expectation very often resulted in new innovations. But breaking the horizon several times, on multiple points will automatically result in defamiliarization (or alienation) of those who see their horizon of expectations broken too often by the same event/thing.
Basically the premise under which you developed Unity was good, and well thought. The design is creating familiarities on different points by creating elements you can relate to because they are known, working features in smart phones, desktops of operating systems, netbook interfaces etc...
The problem arises when those points which apparently create familiarities are broken when the recipient (user) experiences moments when those familiar paradigms, which create stability, are not working as expected.
The people here want exactly one feature added. And indeed you can postulate that every single concession made here will result in debates on other places about different topics and different bugs. And thus you might complain that too many user features will result in an unmaintainable Unit. The difference is that there are very very few bugs on l...

Read more...

Maarten Kossen (mpkossen) wrote :
Download full text (4.6 KiB)

@SRoesgen: I think the left border will be the most unlikely place for a
false positive, even when flipping the pages of a book. If it were up to
me, I would require the finger to almost hit the left-most line of
pixels. That would work well, I think.

On 12/22/2011 02:00 PM, SRoesgen wrote:
> @Maarten Kossen
> Swiping into any direction would be a nice and handy metaphor for turning the pages of a book. But instead of this the swiping will reveal the launcher which people might not even know exists because it is auto-hidden on a touch screen?
> Well, nicely done. For me this sound not very logical or intuitive. Especially since many people use tablets as some form of high powered e-reader, e-book, webbrowser and not much more (besides reading e-mails).
>
> @all
> The fact that so many people have problems with only one feature and debate it for over one year now, would make me think about the decisions. I think that all of us really like Ubuntu, the idea behind Ubuntu and even Unity. If we didn't care for Unity, we would not start debating a single feature but instead we would criticize the whole Unity Shell (which is exactly what we are not doing at the moment, which is very good.)
> The point is, one can see the arguments against a moveable launcher. But many of them are not really valid anymore. And I am sorry, I cannot see any really conclusive and convincing argument against a movable launcher in the far future.
>
>
> @John Lea (and I am afraid I have to get a little bit academic now)
> You didn't get my car metaphor right. I was not talking about blocking future developments and innovation. Innovation is a good thing. I was talking about something that in psychological theories is called the "horizon of expectation".
> If you see a product you expect things. If these expectations are not met they break that horizon of expectations and usually are met with criticism and debate. My analogy was about the doors in a car. Not the number of doors, but the doors itself. If you have a car with two, four or eight doors. You will expect all of them to work as doors and not as windows. You create your own horizon of expectation derived by your life experiences, they define your habits and pattern of thinking.
> The criticism that emerges when breaking this horizon will inevitably create debate, which in itself is not bad. Breaking the horizon of expectation very often resulted in new innovations. But breaking the horizon several times, on multiple points will automatically result in defamiliarization (or alienation) of those who see their horizon of expectations broken too often by the same event/thing.
> Basically the premise under which you developed Unity was good, and well thought. The design is creating familiarities on different points by creating elements you can relate to because they are known, working features in smart phones, desktops of operating systems, netbook interfaces etc...
> The problem arises when those points which apparently create familiarities are broken when the recipient (user) experiences moments when those familiar paradigms, which create stability, are not working as expected.
> The people here want exactly one...

Read more...

flyingfisch (flyingfisch) wrote :

JohnLea wrote:
>@flyingfisch; I posted the reasons we are not able to add Launcher movement atm in comment #226. Basically implementing this >change so that it works correctly with all the other Unity elements in a bug free manner is *a lot* of work from both a design and >development standpoint. Our limited resources are currently best spent elsewhere (quality improvements, feature >development). A change like this would introduce a lot of bugs, and this is not something we can do until the backlog of existing >bugs is resolved.

>For very tech. savy users who don't mind bugs, patches are the way to go in order to preview functionality that has not yet met >the quality standard required to land in main Ubuntu. See http://www.webupd8.org/2011/11/install-ubuntu-unity-bottom-launcher.html for a great patch Pavel Golikov has written that moves the Launcher to the bottom.

Thank You for your explanation. Like I said, I understand why it would be difficult, but could the ubuntu dev team consider it in a release? And I don't mean next release necessarily, I just mean, some time in the future.

Here are some reasons to allow movement of the launcher by default:

1. Left-handed Users:
Having the launcher on the right could be ergonomically difficult for left-handed users.

2.Accidental Activation:
It seems easier to activate the launcher accidentally (while watching YouTube videos, playing games, etc.) when it is on the left.

3.User-friendliness:
In my opinion, users should be able to customize most of the interface of an OS out-of-the-box.

Those are just my personal opinions which are subject to debate. ;)

Tal Liron (emblem-parade) wrote :

There are two "elephants in the room" for this bug.

The first is the poor job the Unity team is doing in explaining their position to the community, for which I opened this bug:

https://bugs.launchpad.net/unity/+bug/882274

The second is the inconsistency and implausibility of the explanation. The "broader design goals" Mark mentions all the way up in comment 2, the original stated reason for closing this bug, have not been true since the release of Ubuntu 11.10.

What worries me more is the implausibility.

Some of the people adding their opinion to this bug are casual users. Some are power users. Some are seasoned software developers with quite a bit of experience in delivering working products with human-facing interfaces, as well as working with quality assurance. I'm one of them, and your explanation just does not gel. Yes, extra features add more testing scenarios. Yes, that requires more resources to manage. But ... come on, folk, all of this is totally manageable, even with the most elaborate and ornate testing methodologies. After all, you've managed the ability to change the width of the Launcher, right? Bugs may ensue with a movable Launcher, but they will be solved. It's not like you haven't taken risks with buggy features in the past: in fact, you took a huge risk with making Unity as a whole the default experience when there were plenty of *known* bugs. And bugs have a much better chance of getting solved if you cultivate good will with the community. Let us all remember: Pavel Golikov's patch was rejected. I was actually starting work on a similar patch at about the same time Pavel was, but obviously I have no interest in doing that now.

I'll be frank, with the risk of hitting a nerve: I think the Unity team has climbed up a tree and can't come down. They've been too quick to dismiss this bug, and overly defensive about their initial decision. After making such a defiant stand about the "won't fix", and after (some of) the community has responded with its own defiant stand, it's now impossible to back out without somehow appearing weak and undetermined.

Mark keeps stressing how important it is to make focused decisions in order for Ubuntu to lead, even if they are unpopular. But that's true only as long as the decisions are good. Another sign of successful leadership is listening to criticism, climbing down that tree, and admitting mistakes.

So, let's admit that the community's point of view might be the better one for Ubuntu right now and Ubuntu in the future. Canonical might not have the resources to fix this bug right now, but how about we remove the "won't fix" and plan a way to fix it sometime in the future? (I can't speak for Pavel, but I believe he would be happy to help!)

Better late than never.

Tal Liron (emblem-parade) wrote :

I found some information about planned multi-monitor support in 12.04, and how it would impact the Launcher. The bottom line is that the Unity team is dead serious about not making the Launcher movable. So, how are they going to solve the current bugs? By having the Launcher on all monitors!

The implication is that you would always want auto-hide turned on, otherwise you will be wasting space on all your monitors, not to mention having a very confusing experience seeing multiple Launchers at the same time.

And this bizarre setup, with an increasingly complex auto-hide/edge-detection heuristic, is supposed to involve less work than simply having a single Launcher which the user can place on any edge of any monitor? What do you think?

The document is here:

http://design.canonical.com/the-toolkit/unity-multi-monitor-interactions/

The relevant text from section 2.6:

"The Launcher is now available on all displays. Each Launcher contains the same set of application icons, showing both pinned and running applications. The same unfilled indicator arrow, used to identify applications which have all of their windows on a different workspace, is also used to identify applications which have all of their windows on a different display. Otherwise, filled indicator arrows are used, to show whether the application has one, two, or three-or-more windows on the current display. The behaviour upon clicking Launcher icons remains the same as in 12.04.

"Where the Auto-hide behaviour is specified (this is the default behaviour and can be changed from System Settings-User Interface), the Launcher will be shown whilst it does not obscure any windows, otherwise it is hidden and revealed by targeting the left edge of the display. When targeting a Launcher, the mouse cursor is held briefly at the left-edge of a display (as it passes from right to left across display boundaries), to make it possible to target the Launcher in Auto-hide mode."

Download full text (4.1 KiB)

I think that people unhappy with these new user interfaces, should opt to
try Xubuntu.
I've made this decision after trying Unity and seeing that isn't an user
interface that helps users be productive. It gets in the way of everybody
that tries to use it.
After many complaints, and discussions, I see that we must apart way from
this, and don't lose our efforts to try to change this situation, because
it will never be changed.
For anyone seeking an (another of many that were already published) article
about this situation, I've just read this from Linux Journal:
http://www.linuxjournal.com/content/goodbye-gnome-2-hello-gnome-2?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed%3A+linuxjournalcom+%28Linux+Journal+-+The+Original+Magazine+of+the+Linux+Community%29

Xubuntu gives users an desktop environment that resembles our Gnome 2 that
we were productive and happy.
I'm not against changes, but Unity, actually, don't let me find my working
windows, and the bar on the left always appears when I really don't want
them to appear.
Since we can't customize the desktop, the only solution is to install
another environment.
I don't know why, but Unity everytime makes me remind the slogan "defective
by design", even it being opensource and drm-free.

On Fri, Dec 23, 2011 at 10:35 PM, Tal Liron <email address hidden>wrote:

> I found some information about planned multi-monitor support in 12.04,
> and how it would impact the Launcher. The bottom line is that the Unity
> team is dead serious about not making the Launcher movable. So, how are
> they going to solve the current bugs? By having the Launcher on all
> monitors!
>
> The implication is that you would always want auto-hide turned on,
> otherwise you will be wasting space on all your monitors, not to mention
> having a very confusing experience seeing multiple Launchers at the same
> time.
>
> And this bizarre setup, with an increasingly complex auto-hide/edge-
> detection heuristic, is supposed to involve less work than simply having
> a single Launcher which the user can place on any edge of any monitor?
> What do you think?
>
> The document is here:
>
> http://design.canonical.com/the-toolkit/unity-multi-monitor-
> interactions/
>
> The relevant text from section 2.6:
>
> "The Launcher is now available on all displays. Each Launcher contains
> the same set of application icons, showing both pinned and running
> applications. The same unfilled indicator arrow, used to identify
> applications which have all of their windows on a different workspace,
> is also used to identify applications which have all of their windows on
> a different display. Otherwise, filled indicator arrows are used, to
> show whether the application has one, two, or three-or-more windows on
> the current display. The behaviour upon clicking Launcher icons remains
> the same as in 12.04.
>
> "Where the Auto-hide behaviour is specified (this is the default
> behaviour and can be changed from System Settings-User Interface), the
> Launcher will be shown whilst it does not obscure any windows, otherwise
> it is hidden and revealed by targeting the left edge of the display.
> When targeting a Launcher, the mouse curso...

Read more...

SRoesgen (s-roesgen) wrote :

@Tal Liron
I already mentioned that strange new Multi Monitor concept before. But up to now, there has not been any comment/answer to that.

@Fernando
As I said before I was happy that all of the last comments were not about leaving Unity behind but instead focused on bringing forward valid arguments of why to make the launcher movable.
So please do not start the Unity bashing again. Next people will again start to discuss which desktop environment is the better one. That is not what we need. Running away from a really big problem, by switching from Unity to XFCE will not change anything and will not bring up a solution for the problem.
Most of those people who posted their comments here and discussed the issues (Pros and Cons) of a movable launcher want Unity because it is a good idea and, therefore, I suppose most of them like Unity. If you do not like Unity then this is your choice and it is ok for me as long as you do not start using this bug report as a platform to advertise a different desktop environment (be it xfce, ldx, gnome shell or whatever).

Tal Liron (emblem-parade) wrote :

@SRoesgen

With 269 comments (mine is 270!), *every* aspect of this bug has been mentioned already, at least once. :)

I suggest we all give it a rest. It is very clear that this bug report is not helping one bit. Mark has not budged since comment 2, and in the plans for 12.04 we see that the Unity team is prepared to go to great and bizarre lengths to make sure that the Launcher will not be movable.

All we're doing by "nagging" is fitting in Mark's view of the community, that we are part of a "minority" of users who refuse to accept that their pet bug won't be fixed. This, I insist, is an error in understanding the reason for "nagging:" the community is in fact worried about Unity's usability and potential, and is every bit concerned about future Ubuntu users as he is. We tell our stories here, as anecdotal evidence, and provide our opinions, as longtime computer users.

Come to think of it, he has not *once* come out and thanked us for posting on this bug. He sees this whole bug as a nuisance and distraction from his real work, rather than a valuable source of input from people who use Ubuntu everyday. (He has stated explicitly that he doesn't care about our opinion: he is targeting people who never used computers before, or who have barely used them.)

Locking a huge, important UI element like the Launcher to a specific part of any and all displays will hurt that future. The sheer diversity of computer displays out there -- so many different sizes, resolutions, aspect ratios, viewing angles, multiple display setups, touch vs. non-touch, eInk vs. LCD, including new display technologies that we don't know about yet -- demands that Unity maintain flexibility. And then there's a diversity of users: left-handed, right-handed, speakers of right-to-left languages (like me).

You want to run Unity in a car computer? Well, in your country do you driving on the left or right side of the road? There are just so many aspects to this that it seems like shooting yourself in the foot by not planning for such futures.

The vision of "an operating system for human beings" can only work if it takes into account the diversity of humans and the diversity of their experience. Otherwise, it will be an operating system for a lucky group of human beings who happen to fit a specific mold.

I have no doubt that in a year or two, Unity will have no choice but to make the Launcher movable, introducing considerable breakage and change to a bug-free product. And then all our comments on this bug will remain as archaeological evidence that perhaps the community should have been listened to. :)

Download full text (4.5 KiB)

@SRoesgen
Do you think that Unity movable launcher will ever be solved?
That is why I had proposed another option for those people who can't
install Unity on their production machines because of the launcher.
If you think it is a minor problem for you, I have lots of testimonials
that says that Unity has decreased people's productivity, due to launcher
position and its hide and show behavior. It is very hard to quickly switch
between windows on Unity.
They tried to make something similar to MacOS, but they had made a bad
mistake.
All sorts of arguments have been made here, and people at canonical will
continue to follow their initial design steps.
My suggestion was based on an article from Linux Journal, and I thought it
could be useful for people who are in this thread, discussing this endless
problem.
I don't think that the desktop environment should be a game of hide and
seek or any other sort of weird behavior that it can present, but an tool
to help people manage their open windows and find their applications and
documents.

On Sat, Dec 24, 2011 at 6:57 PM, Tal Liron <email address hidden>wrote:

> @SRoesgen
>
> With 269 comments (mine is 270!), *every* aspect of this bug has been
> mentioned already, at least once. :)
>
> I suggest we all give it a rest. It is very clear that this bug report
> is not helping one bit. Mark has not budged since comment 2, and in the
> plans for 12.04 we see that the Unity team is prepared to go to great
> and bizarre lengths to make sure that the Launcher will not be movable.
>
> All we're doing by "nagging" is fitting in Mark's view of the community,
> that we are part of a "minority" of users who refuse to accept that
> their pet bug won't be fixed. This, I insist, is an error in
> understanding the reason for "nagging:" the community is in fact worried
> about Unity's usability and potential, and is every bit concerned about
> future Ubuntu users as he is. We tell our stories here, as anecdotal
> evidence, and provide our opinions, as longtime computer users.
>
> Come to think of it, he has not *once* come out and thanked us for
> posting on this bug. He sees this whole bug as a nuisance and
> distraction from his real work, rather than a valuable source of input
> from people who use Ubuntu everyday. (He has stated explicitly that he
> doesn't care about our opinion: he is targeting people who never used
> computers before, or who have barely used them.)
>
> Locking a huge, important UI element like the Launcher to a specific
> part of any and all displays will hurt that future. The sheer diversity
> of computer displays out there -- so many different sizes, resolutions,
> aspect ratios, viewing angles, multiple display setups, touch vs. non-
> touch, eInk vs. LCD, including new display technologies that we don't
> know about yet -- demands that Unity maintain flexibility. And then
> there's a diversity of users: left-handed, right-handed, speakers of
> right-to-left languages (like me).
>
> You want to run Unity in a car computer? Well, in your country do you
> driving on the left or right side of the road? There are just so many
> aspects to this that it seems like shooting yourself in the foot...

Read more...

sangmin (fociwm) wrote :

I think my comment could be ignored because many people already said them. But I cannot resist myself to say some complaints.

In the first place, I actually liked Unity showing a launchpad with big icons and Dash Home interface. I still like it. Then I wanted it to be on the bottom. Then,,, huh...? not allowed? And the reason is because of bugs to be introduced? And precious vertical space? I don't see why it would be difficult to implement this feature. And I don't understand other reasons either. I see a few features to be modified like: the place of ballooned name when I put my mouse pointer on top of the icon, and then....... anything else? Well, that's too much simplification (I know programming because I do) but the fact that changing position of the lauchpad would introduce bugs means a very poor initial design. And why did they think that all monitors are on landscape position? I see many people using portrait position. They'll waste a lot of vertical real estate.

Anyway, eye candies are really good in Unity. I like those eye candies. I also liked big icons listed in the Dash Home. Those designs are good. I think my 3-yr daughter might like it more than gnome 2. But I think I won't use it. Gnome 3 fallback mode looks much better and simpler. So... I'll go for Edubuntu which includes forced gnome 3 fallback mode (the reason why pure gnome 3 is not allowed is beyond my understanding though).

The fact that I like those large icons in Dash Home makes me guess that Metro interface of the Microsoft Windows should feel really good.

flyingfisch (flyingfisch) wrote :

Same here. I LOVE those big icons. That's why I am upset when the Ubuntu dev team goes directly against the wishes of the community. I really like unity and I don't want to leave it if I don't have to. Of course its going to introduce more bugs!!! EVERY change one makes to a website, program, or OS is BOUND to introduce bugs! But that is not a problem. Bugs are the way a program grows.

Why is 12.04 being developed? That will introduce new bugs. But its not an issue! Why? Because the community WANTS 12.04. Mark seems to think that he is making the OS for himself, and the only one who should be involved is him.

I think its time for a big paradigm shift.

tags: added: unity
Download full text (3.1 KiB)

Mr Mark Shuttleworth, and those of you, who decided upon the shape of Unity.
I don't care about Ubuntu anymore. The reason I write this last letter to you is because I want you to see how shallow your design decisions were.
You tell continuously about lack of resources. You also want to bring the Linux desktop to a whole new level. Huh? What you developed so far shows only how blind and deaf you are. You want to make a perfect solution based on research and theories of sciences like ergonomy. The problem is, humans are not perfect. You are not perfect, users are not perfect, noone but God himself is perfect. And so those imperfections sum up. The "lazy" users with cosy work flows stumble upon bug in your product which is meant to be perfect, but fails at it. Wake up! Stop thinking like machines! Prototype - evaluate - improve - test - deploy. This a framework to make work easier, not the "holy road to perfection". Most of innovation is a result of an out-of-the-box thinking, not a detailed process. To me, it seems like you decided to a work flow which exactly opposite to innovation. You can not innovate by using rules of improvements. Innovation by definition is an art of creation which is absolutely different than bug hunting.
It absolutely blows my mind, HOW on earth did you decide to create a whole NEW desktop environment, when you knew how few you were in comparison to competition. WHY did you decide to fragment Linux ecosystem even more? Analyzing the feel of every Ubuntu since 7.04, I can tell that Unity idea emerged somewhere in late 2009. It was time of GNOME 2.28(?) and KDE 4.4,5. I expect that a professional team of UX experts would examine each and every available technology before laying down the foundations for the new creation. Since late 2007 the KDE team has made it clear that they were working on technology which would allow rapid creation of flexible environments with minimal effort. How did you not see it? To prove my point: a year ago KDE developers decided to push for mobile devices. I think you know the results. For about six months the interface was debated upon, ideas were collected and paradigms were established. When usability and UX bugs were ironed out, the project entered the next phase. In another half a year the code was written and product is ready for production use. In the meantime the whole new, innovative mechanisms of activities and recommendations were developed and integrated with Plasma Active. And what Canonical did? For example:
1. You wrote Unity with tight GNOME Mutter integration.
2. You rewrote Unity with tight Compiz integration.
3. You rewrote Unity in QTQuick.
4. You rewrote Unity in GTK3.
5. You will write extremely complex behavior of Unity launcher because it is so difficult to implement the movable launcher...
This is an excellent example on HOW TO WASTE AS MUCH WORK FORCE AS POSSIBLE.
Mr Mark, it seems to me that you only excel at charisma and leadership skill.
It looks like I will never again install Ubuntu on any machine I will have contact with. I bask in Gentoo's stability and KDE's innovation. There is little more that I can get from Linux. Farewell Canonical! May I never have to deal...

Read more...

Danillo (danillo) wrote :

I want to thank you John Lea for your attention and your patience in answering questions. It's really appreciated!

People complain about the design team, but more often than not users act almost like bosses to them. Do you think that Unity bashing will make anyone more likely to listen to you if you say you have been using Ubuntu ever since 6.06?

If you want to prove your point, the best way to do this is to do usability tests, and not with the Gnome-2 power users, but with the simple people that Ubuntu is aiming for. Get two Ubuntu computers, one with the default left-launcher and another with the bottom-launcher from Unity plugin rotated, and, with a similar approach to the design team, invite users to use them and share their impressions. This way, you will have factual data to share, collected in a more scientific manner, and you will be able to make arguments based on something other than your own personal opinion and workflow.

I'm someone who likes the launcher on the left but understands that lots of people don't like it, so I voted for this bug. I know it's frustrating that things now are not the way everyone wants, but John's answers are very reasonable. The previous reason for the lack of movement of the launcher was the BFB, but now that reason is gone, there is a lack of humanpower. That's the bottom line, and it's something totally understandable. I'm sure this issue will become a priority when Unity becomes more stable (after 12.04) and the primary focus shifts to the phone and tablet interfaces, as the transition between the landscape and portrait orientations of the devices will become a challenge for the launcher.

Until then, there's a Compiz plugin that anyone can install, and it should really get more technical support from the community, plus an effort to help Pavel Golikov to test and to iron out the plugin would make its possibility of a future acceptance into the Unity main code smoother. Focus should be turned to this.

As to left-handed people, this is an important usability issue, and there already exists a (accidental) work in progress for fixing that: bug #654988 is about mirroring the interface. The fix for Unity 2D was released, and a fix for Unity 3D will be released when it is possible. I'm sure this is not useful for RTL locales only, but would be welcomed by the left-handed people who commented on this bug report too, so it would be nice to vote for and comment on that bug and to ask to be able to use this also in LTR locales.a

SRoesgen (s-roesgen) wrote :
Download full text (4.0 KiB)

>If you want to prove your point, the best way to do this is to do usability tests, and not with the Gnome-2 power users, but with >the simple people that Ubuntu is aiming for. Get two Ubuntu computers, one with the default left-launcher and another with >the bottom-launcher from Unity plugin rotated, and, with a similar approach to the design team, invite users to use them and >share their impressions.
>
I did so twice. I posted what I found here. I tested the usability with basically more people that Canonical did in their usability test with a huge and vast number of 20 test subjects. I did not even get an answer to those posts.

Oh and by the way have a look at this blog posting:
http://marcoceppi.com/2011/12/ask-ubuntu-32k-mile-marker/

Quite interesting that seemingly the most asked question about Unity is simply and straightforward: "How can I configure Unity?" Interesting, isn't it?
As I said before. I could be content with a launcher which is not movable if some people here told me that they can CURRENTLY not implement many options to configure Unity but will do so in the near future (after 12.04). Instead you get the answer "we will not offer such options". This whole bug report is about your freedom to decide how to configure your desktop or at least to offer developers an API to modify Unity. Instead you can write scopes and lenses....

>The previous reason for the lack of movement of the launcher was the BFB, but now that reason is gone, there is a lack of >humanpower.
May I say "we told you so" ? The BFB was the reason to make the launcher not movable and now the reason is gone but the problem stays. The problem here is that some people, me for instance, feel mucked around for being given a reason which in its core was not really true. The "human-power" aspect is to me absolutely invalid because it points out that there are design errors (as some here have pointed out). And many people spoke about the design problems in Unity way before the discussion about this bug here exploded and way before they decided to put the BFB in the launcher.

>As to left-handed people, this is an important usability issue, and there already exists a (accidental) work in progress for fixing >that: bug #654988 is about mirroring the interface. The fix for Unity 2D was released, and a fix for Unity 3D will be released >when it is possible
So only people using RTL languages can be left handed?

>an effort to help Pavel Golikov to test and to iron out the plugin would make its possibility of a future acceptance into the >Unity main code smoother. Focus should be turned to this.
Some said they would like to help Pavel but only if somebody among the development crew said that the improved code (patch) had a chance to be accepted. Currently all they say it is a design decision, we will never accept anything which is not in the scope of our design plans. Among those people is Mark Shuttleworth who said the launcher will NEVER be movable. To me a really prescient notion.
There was already a patch for the minimize/maximize issue with the launcher (bug 733349). The patch was rejected because there were no design plans for a launcher with a configurab...

Read more...

flyingfisch (flyingfisch) wrote :

@Danillo: I get your point. Now that I understand that the current version of unity is more aimed at beginners I think that Unity is pretty good (my mom who is very technologically-challenged loves it). It just lacks some usability features. So maybe there can be a power version of unity that still has cool effects but has much more customization features. This would be for power users who like eyecandy but want to be able to customize extensively.

Tal Liron (emblem-parade) wrote :

In my ongoing quest to find a solution for the brokenness Unity causes in my multimonitor setup -- without throwing *all* of Unity out the window -- I've been exploring LXDE and liking it a whole lot.

For those who would like to try it, I wrote a guide:

http://ubuntuforums.org/showthread.php?p=11592793

It's so lean and mean! A refreshing change from the bloat (XFCE is nice, but it's not as small as you might think).

The remaining option is that I break the walls in my office and staple my desk to the ceiling so that I can make sure that the leftmost monitor is my primary monitor, because that's the only configuration Unity supports. :/

SRoesgen (s-roesgen) wrote :

@Tal Liron
>he remaining option is that I break the walls in my office and staple my desk to the ceiling so that I can make sure that the leftmost monitor is my primary monitor, because that's the only configuration Unity supports. :/

Funny as your comment is, I am afraid that it is not true anymore.

In Precise there seemingly won't be any primary monitor. The launcher will appear on every screen.

Not that I like this solution more than the old one (and I commented on this crap solution before), but one might say that this solves at least the "primary monitor issue".

Tal Liron (emblem-parade) wrote :

@SRoesgen

Sigh. I said it before, but it's worth repeating (isn't this whole bug report about repitition? from both sides?) -- it's astounding that after all the hand-wringing about the lack of manpower available to enable a movable Launcher, the proposed solution for multi-monitor support is an order of magnitude more complicated and bug-prone.

It's just sheer, childish stubborness at this point. All of the reasons provided for the "won't fix" on this bug (and let's remember: those kept changing) turned out to be excuses. They decided not to make the Launcher movable, and they're going to stick to that decision whatever the cost, because they're too proud.

SRoesgen (s-roesgen) wrote :

@Tal Liron
>It's just sheer, childish stubborness at this point. All of the reasons provided for the "won't fix" on this bug (and let's remember: those kept changing) turned out to be excuses. They decided not to make the Launcher movable, and they're going to stick to that decision whatever the cost, because they're too proud.

I fully agree with you. As I said before (and thus I repeat myself now, too): it would be nice to hear at least an official statement that the people who made the design decisions made some very bad decisions concerning the launcher and that the will consider solving the issue by thinking about a movable launcher after Precise.
But saying "we lack manpower" is not an excuse at all if the development team rejects the idea of a movable launcher entirely.

Danillo (danillo) wrote :

I'm sorry, but talking about "sheer, childish stubborness" after a member of the design team took the trouble of answering our questions and giving us the reasons for the current state of the launcher is IMO dishonest and just plain offensive and disrespectful both to the design team as to the users who gave resonable arguments in this report for a movable launcher. We should strive for a harmonic relationship between all the members of this community and refrain from making such accusations. This is not helping this discussion in any way.

Tal Liron (emblem-parade) wrote :

@Danillo

What about respect for us? What about the trouble, time and effort so many members of the community have put into commenting on this bug report? What about the years of effort we put into promoting Ubuntu in our workspaces, and among families and friends? Nobody has come out to thank us. On the contrary, we've been called nags and nuisances.

Wors,t we've been told quite clearly that we just don't count: Ubuntu is designed for future users, and the usability tests are done on non-Ubuntu users. So, yeah, thanks for all the help, community, in getting Ubuntu up and running for the first few years! But, apparently, we're not so welcome anymore.

Furthermore, I have to disagree with your evaluation of the arguments provided for closing this bug as "reasonable". They have been shifty, contradictory, defensive, and - most importantly - opaque.

SRoesgen (s-roesgen) wrote :
Download full text (5.1 KiB)

@Danillo (and @all who want a summary of the whole discussion)

Concerning "sheer, childish stubborness"
1) comment 2# told us already the bug "won't fix" -> there was no explanation besides saying it is a design decision

2) comment #13 stated they will explore an RTL decision (after it was pointed out that the launcher, in the current implementation) could create inconvenience for RTL users
---> nothing has been done about that up to now. It was stated that they are working on it but (to be nasty) they were working on windicators as well
---> even if they come up with an RTL solution in the near future, you can say that this whole issue could haven been avoided if the launcher had been created with (at least) an OPTION to make it movable (this is called BAD design)
---> thus, WE pointed out the design issues very early, but they never did do anything about it
---> now, look at the MultiMonitor solution (which is no solution at all, just utter crap)

3) in comment #17 the statement was simply spoken "go away and fork or use Docky/Awn if you want to change anything, because we do not want the design to be changeable".
---> were was the sentence "it is open source and you can provide a PATCH to solve the issue"
---> instead it was directly stated that they do not want any patches. If you want changes, then FORK it.
---> Where is the inclusion of the community in this statement? I only see exclusion!

4) comment #47 is the first of many more written by different users, where it is said that the number of votes (at that time around 40 votes if I remember correctly) are only representative for the number of people without any access to launchpad. It was stated that there are many more people, known by the posters of the comments here, who also have a problem with a non-movable launcher.
---> This was more or less ignored.

5) Comment #51 referred explicitly to the MultiMonitor issue.
---> there was a chance to rethink the design until the precise release.
---> the comment was about one year before the Precise Release

6) comment #61 is Tal's first involvement with this bug and the confirmation of the MultiMonitor issue (under which I suffer as well, btw.). Furthermore a very understandable question of the validity of the stubborn "won't fix" position
---> one could state that the developer and designer side displayed some "sheer, childish stubborness" before the community side brought this up

7) comment #62 is a comment written by me. I just wanted to point out that one should not mix up Smartphone and TV OS design with that of a PC desktop.
----> Where is the problem of having the options integrated in the code?
----> A TV/Smartphone manufacturer will certainly not ship an OS which offers all the available option of the used OS to drive his devices, but a desktop user, on the other hand, might just want a little bit more comfort

8) what follows are:
---> many discussions about the validity of the usability studies conducted on the design
---> the community feeling disregarded because seemingly legacy behaviour and users of older Ubuntu version were not included in the design concept (despite the fact that these old USERS and CO...

Read more...

Tal Liron (emblem-parade) wrote :

@SRoesgen

Wow. And to think that all this work (on both sides) could have have been spent on: 1) working with Pavel Golikov to get his patch accepted, with it being released on the dev PPA; and 2) testing and reporting real bugs by the community to get the movable Launcher feature to full quality.

Actually, scratch that. I'm confident it would have taken *less* time and effort.

When did Ubuntu become such a bloated, irrational, inefficient corporate machine?

el_gallo_azul (el-gallo-azul) wrote :

Wow that's a long thread.

I would like to support the request to make the Launchpad moveable - I wish to place it at the bottom of the screen. The reason is I was smashed up in a traffic accident over two years ago, and as a result my eyesight and hand coordination don't work like they useta.

The location on the left hand side means that I always make the Launchpad appear when I am trying to hit the 'back' button in my web browser (with subsequent delay), amongst many other things.

I've thought about it and if I could move it to the bottom, it would be out of harm's way.

David Gómez (dabisu) wrote :

@Tal

Yep, too much time discussing (although i won't call discussing when most of the comments are from the stubborn "small group" and not from Canonical), time which could have been spent testing Pavel Golikov patch. Would have been included, i'd be just adding my two cents testing the patch to found possible bugs. Canonical excuses about "bottom launcher would be buggy" is just ridiculous when you look how buggy are some applications included in the standard unity desktop in 11.10 (nautilus, empathy, ibus, if you need names). About manpower... of course, there are more important things like Ubuntu TV... *sigh*

In fact, i'm using Precise with Unity as my desktop, and sending bug reports for all the segmentation faults i found. I just wonder why i care helping to debug Ubuntu, when Ubuntu doesn't care about us.

Tal Liron (emblem-parade) wrote :

@David

I've seen enough free software projects come and go in my day such that 1) I have a good sense of when leadership problems are endemic, as in Unity, and 2) I have an appreciation for the messy diversity of people involved in any given project. The combination of these two contradictory factors means that nothing is truly endemic, and a year later everything might change, either for the better or for the worse.

This gives lots of reasons for hope, and also a general anxiety about free software. I lot of us were hoping that Canonical would lessen some of these anxieties, but in fact Canonical is managing Ubuntu true to the spirit of free software. Compare, for example, with Android, which is free software but managed as proprietary: once in a few months, Google dumps out some source code and that's that. So when Mark talks proudly of his commitment to community, he's entirely right to, from his perspective. My criticism is very specific, about his inability to go the extra mile towards engagement with the *user community*, not just the "insider" developers. The failure is collective for Unity project, and not just his, but he insists always on taking final responsibility, so there it is.

I remain optimistic: Ubuntu is going through a rough patch now, due to its high ambitions and refreshingly bold approach, which presents challenges rarely seen in free software projects. The Unity project, in particular, is not handling these challenges very well, but it might get better. People will come and go, the tone may change, and in a year we might get a decision from the "inside" that Unity should be far more customizable. (I've predicted before that they'll *have* to make that decision.)

So, David, don't think that all Ubuntu doesn't care about you. Many other projects under the Ubuntu umbrella are doing a great job, due to the particular people leading them. I'm going to continue promiting Ubuntu, but I'll also be very clear about Unity's limitations, and promote alternative desktops.

Andy Brown (cerebros-vivos) wrote :

Any chance of this being reopened, please?

I have become very productive over the years using a dock located at the bottom of the screen both in Ubuntu and OSX. With Unity the screen just feels far too heavily 'weighted' towards the left which results in my mouse behaviour feeling 'unnateral' when accessing the menu. Why not add the open to change the launcher position? Would this really be such a bad thing to do?

Tibi (shadow-walk) wrote :

this is wrong mister mark.. if you are so sure that you are a visionaire, let the ppl the option to CHOOSE either your way, or their way..what do you have to loose anyway.. its not like you are not a genius and everybody would choose the layout you try to impose anyway... this is pure arrogance, and i have seen far more inteligent business gone dead due to this..

the unity bar MUST be movable, this is not something that mister mark decides... how about inventing the one-button mouse? this is something new, no os works this way! lets do it!

ps: i cant believe that no sane person observed in the past 2 years the very rapid decline of ubuntu market share.. there must have been some ringed bells out there, someone must have realized that this approach "we do it our way, you dont like it then gtfo and install another distro" is utterly wrong.. well, the community is leaving fast, you may keep your unity bar fixed on the left side :)

Lee (qq510371827) wrote :

I dislike the left sidebar but have to tolerate this because the launcher is unmovable by your initial design. The reason you gave me is:
  1)The integration between the Top Bar, the BFB , the Dash and Launcher.
  2)At the moment it's important that Unity get stabilisation work during the next cycle, and making the main design and code-path solid is the priority. The design team doesn't have time to work on this.

        As for the reason 1, it's your design flaw. The movement of unity is important for us users. There is no reason to fix the location of launcher by design since we can do the movement in OSX and windows. If the movement of launcher will break the integration of BFB,Top Bar,the Dash and other components ,then it must be your design's flaw and you need to improve it. Users just want to partially customize the laucher but the behavior is forbidden since it may break the developer's design,is this something called usability? Who on earth are the real users and on behalf of most of common users? You should to meet with common users' tastes in most cases and do your best to avoid this compromise to break your some other good designs meanwhile. Nevertheless, it's your design's flaws of unmovable unity launcher,don't try to pass the buck to users.

        As for the reason 2, you are right. However,I am willing to wait for your patches in the near future cause i love ubuntu and unity. I'm reluctant to choose other distros or DEs. Unity just needs some improvements rather than radical overhaul for me to live with it.Maybe it will be a proper time to fix the problem after the ubuntu 12.04 LTS released.
Pardon my poor english and humble opinion.

Renato Silva (renatosilva) wrote :

"Won't Fix" a simple positioning setting to fix ridiculous wrong clicks when you try to access application items on the left?

There are usually more clickable items on the left (back button in Firefox, window buttons, first application menu etc) than on the right or bottom. It's just sane to allow the users to have the launcher on a different position, current design is ridiculous.

Maarten Kossen (mpkossen) wrote :

@Renato Silva: what you describe has nothing to do with the movement of
the Unity launcher. What you describe has got to do with launcher
sensitivity, something you will be able to control via System Settings
in 12.04 LTS. Moving the launcher would solve the problem, naturally,
but isn't the cause of it.

On 04/02/2012 09:15 PM, Renato Silva wrote:
> "Won't Fix" a simple positioning setting to fix ridiculous wrong clicks
> when you try to access application items on the left?
>
> There are usually more clickable items on the left (back button in
> Firefox, window buttons, first application menu etc) than on the right
> or bottom. It's just sane to allow the users to have the launcher on a
> different position, current design is ridiculous.
>

Given the 290 comments before me, I realize I won't be adding anything new, but I wanted to share my frustration anyway, just to point out how annoying this is to a lot of people by pure volume of complaints.

I have been using the unity-rotate plugin a while, but it has severe limitations, such as it only works in 3D and doesn't support 12.04.

Why don't you believe in the freedom to choose?

There's so many options with Ubuntu to choose how you want your desktop, E.G using KDE or something completely different. This tiny option, which affect so many peoples experience with Ubuntu as a whole should be configurable.

Who are you to decide that my 90 degrees tilted widescreen obviously must have the launcher at the side?

One size fits all, simply doesn't fit all. Setups differ, hardware differ - what makes sense on your setup, doesn't have to make sense elsewhere.

Why don't you allow Windows users to have a tiny piece of familiar environment in Ubuntu?

Coming from Windows to Ubuntu, or switching back and forth between Windows and Ubuntu (E.G virtualized) comes with a certain set of 'trained'/'built-in' mouse movements, such as 'drag to the lower left' which always hits start menu. In Unity, with the same logic, you close whatever window on top that is maximized when pulling to the upper left corner!

Why mess with peoples heads?

Most people have brains that are wired to read in a horizontal line. This skill is continuously improved while reading text. Getting an overview of running applications if you don't already have a mental image of this (which is the default, when launcher is hidden), you need to move your eyes down the line of the launcher - again inefficient and frustrating.

- FRUSTRATED USER -

David Perkinson (davidp-reed) wrote :

I use my Lenovo tablet computer for teaching and for presentations at conferences. I am left-handed, and especially with the tablet, it is useful to have scroll bars on the left. However, this means that often when reaching for the scroll bar the launcher comes out of hiding, which is quite annoying over time. I have a smallish screen, so I definitely want to to keep the launcher hidden when I can. So yes, an unconfigurable launcher is a form of discrimination against left-handers. Please reconsider.

David Perkinson (davidp-reed) wrote :

Here is something that might help some left-handers: install the CompizConfig settings manager, and set the launch reveal to one of the corners, say the top-left.

If the launcher is not to be moved, I can envision a few other ways of resolving the issue of highly annoying accidental invocations:

1) Go back to using the corner to activate the launcher. Given how a few icons will be on the lower part of the screen, having to travel to the top and then to the bottom is tiresome. So both left corners could be used. Leaving the decision to the user would be best, though. That way some could use the bottom left, some the upper, depending on their particular habits, and optionally conditioned to a click. The click is sometimes desirable because Ubuntu places Windows icons on the left and it's fairly easy to overshoot them. A click would be preferable to any other measure (force, time spent at the corner etc) because it's both less likely to happen accidentaly and faster. Seems much easier to implement than allowing the launcher to be moved.

2) Having a "manual hide" option for the launcher. Here's how it could work: an icon, not much different than that of a regular app, would sit on the launcher. When clicked, the launcher would be completely hidden, except for a little indicator that would sit on the left edge of the screen, placed exactly where the "hiding icon" was in regards to the Y axis, where it would wait for a click to bring back the launcher. Very easily discoverable. And, as the icon itself could be moved, people would be free to place it wherever they found more comfortable.

Tal Liron (emblem-parade) wrote :

So, with Unity 5 officially out with Ubuntu 12.04, I thought I'd test its multi-monitor support.

The good news is that it is no longer totally broken. The ability to put a Launcher on each monitor *is* a solution. The option to have the Launcher only on the primary monitor (called "laptop" mode, for some reason) is also great for people who happen to have their primary monitor on the left, but that option always existed.

There is some bad news, too. This solution is mind-boggingly awkward:

1) Waste of space! Why do I need multiple Launchers when I have one clear primary monitor?

2) Distracting! When I have an alert (wiggle), it appears on *all* Launchers. I never know quite where to look. It's like my whole setup is demanding attention from me at once.

3) Gets in the way! The default is for the mouse pointer to delay a bit on the Launcher, to make it easier for you not to miss it when you need to access it. When the Launcher is on the left side of the screen of your right-most monitor ... this is an exercise in futility. Every time I move the mouse between monitors, it seems to "stick" on that middle Launcher. After trying this for a day (I wanted to give Unity UX developers the benefit of the doubt), I felt like poking a stick in my eye. The whole point of having multiple monitors is for working easily with windows on all of them. But if my mouse pointer keeps sticking in the middle, this is anything but smooth. I quickly entered CCSM and disabled this heurstic (thanks for letting me!).

The final judgment is this: 1) thanks for finally thinking about multi-monitor solutions, but 2) your solution is so unbelievably awkward. It seems like you would go to any bizarre lengths just to not let users decide where the best location for the Launcher in their setup would be.

Lurking behind this is the fact that testing this solution with its heuristic must be incredibly difficult: you have to test both "appears on all monitors" and "laptop (?)" mode. And didn't you say that the whole reason you don't want to support a movable Launcher is that it would involve too many testing scenarios? (Well, after you said that the whole reason is that it doesn't fit your "vision").

It's high time we got some straight answers on this, instead of excuses. It would be even nicer to hear from the UX developers that their approach might have been wrong. But I'm not holding my breath: we live in an a bizarre era in which UX developers are given full executive power, and they're enjoying this ego-fest to the max.

Yury (yury-semikhatsky) wrote :

This is quite annoying when you work on a monitor with a "portrait" orientation.

Kevin Seifert (sevkeifert) wrote :

Perhaps this bug report doesn't describe a technical problem, as much as it points to what politicians might call a "messaging" issue. Some people love the old interface and thought it was perfect. That means it's impossible to change it, because there's no way to improve on perfection.

Two possible remedies:

If the classic "gnome-panel" is still relatively bug free, I wonder if some of the complaints could be avoided if there was a prominent option to install this package for a classic desktop. Like a link to the package in the settings panel, or a popup message that shows clickable pictures of alternate desktop "themes" (even as simple as an HTML page). For at least six months, I was under the impression that the classic destop was gone for good. :) I just noticed it showing up after I tested out gnome 3.

Secondly, perhaps there could be a meta package that installs AWN (or dockey, ) and pre-configures it so it looks like a bottom bar. For the end-user, I do not think there are clear instructions on doing this aside from using Google for a half-hour and accidently stumbling on the information, to even become aware of the option.

After trying out various options, many people who are on the fence or not happy about a change may come to the conclusion that a new interface is easier to use. Though this is not necessarily a wasted communication effort. What is different is how people *feel* about a conclusion -- whether they feel they came to agree with a point of view, or whether they feel they had little choice in a matter. The second route triggers deep rooted hostile instincts in humans. :)

Also I'd suggest another launchpad label beside "won't fix." The word "won't" has very negative connotations, suggesting inflexibilty. Many comments have read this as "won't listen." A better label would convey the thought that it's is deemed costly or breaks other functionality or packages. Like "requesting 3rd party solution," "assigned to open source solution," "assigned to bounty," "requires budget," etc. In other words consider the difference in the two messages: "We aren't going to do this" versus "Sorry, we will need your help in adding this feature. It's currently out of the scope."

Vanderhoth (upsonp) wrote :

Why has this not been resolved yet?

Having the unity launcher on the left is unacceptable in multiple situations and saying "won't fix" without providing a very good clear reason beyond "It doesn't fit in our border design goals" is unacceptable. What design goal could possibly warrant not being able to move the launcher to which ever edge of screen a user requires it on.

Even friggn micorsoft allows users to decided where the taskbar is placed because they understand people have different requirements and needs.

IKT (ikt) wrote :

"Even friggn micorsoft allows" quoting microsoft on user interface design is a no no.

Magnes (magnesus2) wrote :

@IKT - why? they seem to be doing quite a good job in many cases and are popular for a reason. Throwing away opinions because they mention some company you don't like is a no no - in my opinion.

IKT (ikt) wrote :

" they seem to be doing quite a good job in many cases"

They're not, the windows ui is HORRIBLE, take a look a the control panel for that mess, have you ever had to actually support people doing things with it?

"and are popular for a reason."

That's a fallacy, known as argumtum ad populum, by the same standard all high quality restaurants should coat everything in grease and fat and oil because hey, McDonalds is popular therefore it is good thing to do.

http://arstechnica.com/uncategorized/2007/06/product-loyalty-consumers-mistake-familiarity-with-superiority/

This is not a race to the bottom, also what happened to open source, is there really no one out there who has the skills to move the icons from one side of the screen to the other?

Cite from Mark Shuttleworth:

"I think the report actually meant that the launcher should be movable to
other edges of the screen. I'm afraid that won't work with our broader
design goals, so we won't implement that. We want the launcher always
close to the Ubuntu button."

@Mark Shuttleworth

The design goals are fine if you only have ONE single display connceted to youir computer. Than it is absolutely acceptable to nail the launcher to the left side because it doesn't matter much if it is left or right - maybe in most cultures left woul be the best placement.

Anyhow... In multi display setups it is a question of available space and layout of the displays, where the launcher makes sense.

While i can agree that putting it top top or bottom is a bit retro, boring and not really ergonomic, having the ability to putting it to the right side seems to be really useful. Also RTL-Cultures would love it beeing able to move the launcher to the right side - even on a single monitor system.

So i kindly ask you to rethink your standpoint. I cannot see any negative impact to the design goals if users are able to choose whether the launcher is on the left or the right side of the screen.

I hope that canonical can be a bit less dogmatic and a bit more pragmatic. Users demand the ability to move the launcher - so why not making such a small compromise which may give many people a even better feeling using Unity.

Tal Liron (emblem-parade) wrote :

@Axel Napolitano

I think this plea from you is the most succinct summary we've seen of the attitude problem:

"I hope that canonical can be a bit less dogmatic and a bit more pragmatic."

A quick update: Issac Joseph has created a project called "Unity Revamped" which seems to address some of these pragmatic concerns (though it doesn't incorporate the movable-Launcher patch):

https://launchpad.net/~ikarosdev
https://launchpad.net/~ikarosdev/+archive/unity-revamped

As I mentioned before, forks of Unity are not great solutions: the burden is on the dev to keep merging in the mainline code and testing it thoroughly before each release. I find it unfeasible in the long run, unless the Unity team itself incorporates these enhanced versions into their main dev/test process. Mark's comment about celebrating forks is thus a bit glib -- and non-pragammatic.

@Tal Liron

I agree with you. Forking is not really a good solution to address such kind of problems. In this case simply because of the fact, that it is not official canonical software and therefore not part of the canonical maintained packages. Anyhow it was a matter of time until someone decides to do his hown thing to get more flexibility.

And of course i don't understand the standpoint of Mark Shuttleworth - may be because a lack of information: He talks about broader design goals. Well... They are not in general affected if you permit users to move the launcher at least from the left to the right. On the other side celebrating forks seems to be a bit strange in that case: There's a strategy behind Unity and a roadmap too - so why risking that the world say's no the official unity switching to a fork - no matter how good it is? That could have negative impact on the design goals as well as on the Unity strategy at all.

I really like Unity but i would love it, if *i* can decide whether the launcher appears on my screen. So much freedom should be possible and part of any design goal.

Jon Hanna (jonhanna) wrote :

Ironically, my finding the design decision to have the launcher on the left in Ubuntu encouraged me to move the taskbar on my Windows install there too (something I'd tried before with a smaller screened laptop that had 1280*800 as its native resolution, and quickly undid). It works great on a 1600*900 screen at least as far as I'm concerned. I noticed that my 12yo, who also dual-boots Ubuntu and Windows on a 16:9 ratio screen had done the same thing.

If I were a subject, we'd definitely come out as a weighing on the side of the status quo here.

But... of the two OSs mentioned here, why is Ubuntu the one where we'd just better like it, because it's not going to change if we don't?

Rickard (rickard-uk) wrote :

@Mark Shuttleworth

I agree with having it on the left as default. We need a standard somewhere :)
I do not agree that we cannot have it as a user selected option from the Appearance menu (just like the icon re-sizer that you eventually succumbed too but did not appear in the original unity) as an OOTB solution to dock it at the bottom.
As this is a worthy enhancement to the platform (remember some tablets are used in Landscape mode :P).

As we have seen with the "unity-shellrotated" unofficial customization tweak the demand is there. Especially as people are crying since it failed to work from 11.10. There is massive demand for this, real user community demand. And many others like myself do not want to use this or that dock. We love Unity, we want better Unity. Hey I should copyleft that "Better Unity" :P.

But do not take our word for it, lets prove it to you. Why not let us the community sponsor this OTTB enhancement to Ubuntu. Yes cost this change for us and then its up to us to raise the money to accelerate the delivery of this enhancement that could live in the appearance menu as another nice option but not disrupt your overall strategy.

I believe Ubuntu needs this for future proper tablet support (Nexus has the Launcher on the bottom you know :P).
It will show the community has a say and power to even move the mighty Ubuntu team to make much requested changes.
It will show open source pays after all and for changes users want, not draconian Vista implementations that users hate. Apparently "humanity towards others" is something we all aspire too here, lets show we are not Google and have not abandoned our core principals.

Willing to let us prove it to you?
What do you say? Game on?

elian (jestevens-nospam) wrote :
Download full text (3.8 KiB)

My main office PC with an 8X AGP GeForce 5200 can no longer run Ubuntu as
of 12.10. I actually started using 12.04 and used a combination of a Unity
with Autohide turned on and minimum sensitivity + CairoDock GL - when I
wanted the Unity menu I just pressed the "SUPER" key, otherwise I used the
Cairo Dock icons on the bottom of the screen. I actually grew to like
12.04 but 12.10 seemed like a regression to me because it could not support
my ancient video card. I could log on, the desktop would appear but no
menus or panel...and no way to revert to "Classic" or "2D" in 12.10.

I switched to the XFCE version of MINT - the reason I stopped using LINUX
several years ago is that every time a new release of my fav distro came
out some sort of critical functionality that worked well in the previous
release was all of the sudden broken. Iit's been 5 years without worrying
about that feeling with Ubuntu, however 12.10 brought back the
frustration. As far as I know there is no easy workaround other than
buying a new video card and this machine just isn't that fancy..

Thanks for your hard work, Maybe some day I will try Ubuntu on a tablet or
a TV (I am still a mythbuntu user) and it will make sense again.

John

On Thu, Nov 1, 2012 at 6:20 PM, Rickard <email address hidden> wrote:

> @Mark Shuttleworth
>
> I agree with having it on the left as default. We need a standard
> somewhere :)
> I do not agree that we cannot have it as a user selected option from the
> Appearance menu (just like the icon re-sizer that you eventually succumbed
> too but did not appear in the original unity) as an OOTB solution to dock
> it at the bottom.
> As this is a worthy enhancement to the platform (remember some tablets are
> used in Landscape mode :P).
>
> As we have seen with the "unity-shellrotated" unofficial customization
> tweak the demand is there. Especially as people are crying since it
> failed to work from 11.10. There is massive demand for this, real user
> community demand. And many others like myself do not want to use this or
> that dock. We love Unity, we want better Unity. Hey I should copyleft
> that "Better Unity" :P.
>
> But do not take our word for it, lets prove it to you. Why not let us
> the community sponsor this OTTB enhancement to Ubuntu. Yes cost this
> change for us and then its up to us to raise the money to accelerate the
> delivery of this enhancement that could live in the appearance menu as
> another nice option but not disrupt your overall strategy.
>
> I believe Ubuntu needs this for future proper tablet support (Nexus has
> the Launcher on the bottom you know :P).
> It will show the community has a say and power to even move the mighty
> Ubuntu team to make much requested changes.
> It will show open source pays after all and for changes users want, not
> draconian Vista implementations that users hate. Apparently "humanity
> towards others" is something we all aspire too here, lets show we are not
> Google and have not abandoned our core principals.
>
> Willing to let us prove it to you?
> What do you say? Game on?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.la...

Read more...

flyingfisch (flyingfisch) wrote :

@Rickard:

I almost feel it would be better to fork the Ubuntu project and make Unity more customizable than ever. It seems like the Ubuntu team has stopped listening to users.

elian (jestevens-nospam) wrote :

Yes well there's that, but also how the gnome 3 team had also stopped
listening to users -gnome had a perfectly usable desktop - the project
succeeded...I guess they must've got bored..what is Ubuntu to do as a
downstream consumer of the technology? After using Windows 8 I can see why
ubuntu team chose unity - my only real complaint with it is that every time
they come out with a new release I have to hold my breath and see if any of
my hardware support stops working. That is why I am on mint xfce now, I
don't really NEED a compositing window manager in order to do word
processing and answer Email and the first thing I do after installing
ubuntu is install restricted extras anyway.

I am curious to try Enlightenment though, supposedly with new release they
have developed their own compositing engine independent of OpenGL support.

On Mon, Dec 10, 2012 at 3:51 PM, flyingfisch <email address hidden>wrote:

> @Rickard:
>
> I almost feel it would be better to fork the Ubuntu project and make
> Unity more customizable than ever. It seems like the Ubuntu team has
> stopped listening to users.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/668415
>
> Title:
> Movement of Unity launcher
>
> Status in Ayatana Design:
> Won't Fix
> Status in Unity:
> Won't Fix
> Status in Ubuntu:
> Won't Fix
>
> Bug description:
> Please consider this a possible feature request or wishlist.
>
> Now when Unity will be default desktop for 11.04 could you please
> consider to add option to configure Unity launcher placement. Add
> simple option to lock/unlock through right-click menu and drag
> launcher to desired location like left/right and bottom.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ayatana-design/+bug/668415/+subscriptions
>

Eduard Gotwig (gotwig) wrote :

I just want to express how angry I am on you Mark, and your Designers, to just remove these functions, so users can't move it anymore.

Adam Porter (alphapapa) wrote :

Chalk another one up for the Ubuntu Hall of Shame. Absolute power corrupts absolutely. The handwriting is on the wall. Debian keeps chugging along.

Adam Porter (alphapapa) wrote :

And you know what, if I hear one more person talk about "usability studies" or "user testing" or research, I think I will throw up. We all know what Mark Twain said about statistics. Here we are, real people, reporting real problems, but we aren't relevant, because we aren't a statistic. I'd like to see someone do some research into this bug report and compile some statistics on user satisfaction!

No one's even mentioned the presupposition that all these studies and testing and research are valid or accurate or useful! Someone boasted about "unbiased users" in their studies--what a crock. Canonical told the users what tasks to attempt, Canonical asked the questions, Canonical set the time limits, and Canonical chose the users ("off the street"!). How about doing a usability study with experienced users? How about doing a study on these new users after they've used Unity for a week or a month, and then asking them how they feel and what annoys them? How about doing a study on how many new users switch back to Windows?

It's like doing market research on a new restaurant, and watching the customers as they walk in and find a table and look at the menu and order their meal--but ignoring their eating the food, going to the bathroom, paying the bill, and leaving, and not asking them if they want to ever come back. Nevermind all those angry customers who want to speak with the manager--they don't know what they REALLY want in a dining experience. The study shows that they are happy.

And how dare Ubuntu treat its evangelists this way--people who have spent years working hard to promote Ubuntu to their friends, families, and colleagues all over the world. These real people come here and report real problems that they and their "converts" are encountering, and Canonical tells them that they are wrong, that Canonical knows what users really want.

It really seems like the story of so many cults over the years: a leader attracts a great following, and his lieutenants recruit sergeants, and the sergeants recruit privates, and then the leader grows an ego. Then he listens to his ego more than his lieutenants, and the very people who were his most ardent, loyal supporters become disillusioned. His followers, still being loyal, speak their concerns, but they are told to submit and conform to the vision. They continue to stand up for the truth, but they are told to shape up or ship out. Hey, there are plenty more followers to take their place, and plenty more pagans to initiate, right? But the cancer grows and spreads, and eventually the community dies and disperses. The flame, which once burned brightly, consumed itself.

The saddest part is that many of the rejects are so disillusioned that they never join another community again. They give up on the whole idea of progress and community and freedom, and they go back to the rat race, to being a robot who goes through the motions, suffering in silence the dull pains of mediocrity (Bug #1). Meanwhile, the rest of the world continues in relatively blissful ignorance, never knowing what could have been, never reaching their potential.

jim davies (jimdav2002) wrote :

Add me to the many who want this bug fixed.

Putting personal design goals or "vision" over user choice appears childish & counterproductive. Maximizing user choice should always be Job One for ANY computer OS, open-source or otherwise. Concerns over difficulty for left-handed users or wasted screen-space on reorienting tablets alone should make fixing this a no-brainer - this kind of irrational inflexibility is exactly what drives new users away, either back to Mac/Windows or to alternative Linux systems.

WhatTheTech (info-s) wrote :

Hi there,

I'm rather new to Ubuntu, having only installed it two days ago on a Samsung Chromebook. At first, I wasn't sure about it - coming from using macs for many years it felt mildly familiar, but just not quite there. After some customization (moving to the radiance theme, adding a brightness applet to the tool bar) I really started to enjoy the Ubuntu experience. With programs such as Chromium readily available, there was almost no reason to switch back to ChromeOS and I even found myself spending less and less time on my Mac desktop! It only took two days for me to want to move the launcher - I first tried to right click on it (my mac is showing...), to no avail. "No problem," I thought to myself, "I'll just change it in the system settings." Again, there was no option. I couldn't really understand it, so I did some googling. That's how I ended up here. That's how I discovered that the Ubuntu developers seem to be turning away from the demands of hundreds of their users.

This smacks of big business. Not giving users the option reminds me too much of Windows and Mac, and that is far from a good thing in this case.

Add my name to the list, but I think this "small" issue is an indicator of a far greater issue that goes deeper than surface-level aesthetics.

For now, I'll be following this tutorial: http://www.webupd8.org/2011/11/install-ubuntu-unity-bottom-launcher.html

It's a shame that the folks at Canonical have not yet listened to their users. Free OS or not, we are the life-force of your daily toil, and we are fickle by nature. You have been warned many times now, allow me to add mine to the heaping pile of requests from people with one foot out of the door. So I haven't been using Ubuntu for years - I represent one of the most important demographics: new users. Without us, you're toast.

Robin Nilsson (robinnilsson) wrote :

Please fix this! I like Ubuntu but these "decisions" are just as stupid as the answers to why it won't be fixed.

And no, I don't accept the "If you don't like it, don't use it"-answer.

Neil (goofandfroggie) wrote :

After using unity since it's release (Not at first) I have to say I still don't like it, not 1 little bit. The way I have gotten around the "problem" is to make unity launcher small and auto hide and stalled CairoDock.
It keeps it hidden and can still be used when needed, makes a good second launcher for those programs that are less used, keeping cairo for main progams.
Hope this helps out.

And it is not just that the unit launcher can't be moved it is sooo ugly...

outtatime (obligat) wrote :

Dear Mark Shuttleworth!

Launcher is on the bad side.
I mean the window decorations, the dash, the launcher (with ubuntu-logo, with dash-button, in current, but mirrored form) can be horizontal mirrored to the right side without bugs?

In its current form is useless and uncomfortable to work across the screen. I am right-handed (most of people too), the mouse is on the right side of computer, the mouse-pointer is almost somewhere on the right side of screen, the scrollbars too, but the launcher, the dash, and everything is on the left.This is illogical, uncomfortable, slow to use, or useless.

It is one solution for the unity haters just like me :) ) the basic useability and/or proposal to make this thing useful at all, not some useless eyecandy windows-like, or mac-osx-like solution :)
You wanna in the future the launcher close to ubuntu-button? Make a horizontal mirror frome the whole thing, and let the user choose!

Mark Shuttleworth (sabdfl) wrote on 2010-12-11: #17

"[...]the way we think it's going to be
best for folks, and that explicitly precludes trying to fit everything
that everyone wants into it"

Congratulations Sir!

Perhaps more community attitudes please!
Make a question, and READ the answer!
Or read the proposals!
Don't make "I think it sholud be (must be) good to the people" solutions.

sincerely
outtatime

quequotion (quequotion) wrote :

>>I'm afraid that won't work with our broader design goals, so we won't implement that. We want the launcher always
close to the Ubuntu button.

I disagree.

Why couldn't the Ubuntu button be as mobile as the launcher? Is it not part of the launcher?

At the very least Unity needs left and right handed desktops for touch panels.

Being inflexible and ignoring issues like this is costing Ubuntu popularity.

DissidentRage (blasterdrp) wrote :

"I'm afraid that won't work with our broader design goals, so we won't implement that. We want the launcher always close to the Ubuntu button."
- Mark Shuttleworth, 2010-10-30

"We should not inflict bad ideas on our users just because we’re curious or arrogant or stubborn or proud."
- Mark Shuttleworth, 2008-12-22

Mark Shuttleworth (sabdfl) wrote :

You missed one:

"Now it's clear how the launcher being on the left works across phone,
tablet, PC and TV"
 - Mark Shuttleworth, 2013-02-19

;)

Tal Liron (emblem-parade) wrote :
Download full text (4.0 KiB)

"Now it's clear that instead of being transparent the whole time and just telling the community why decisions were being made, we were fed vague explanations that made us feel disrespected and excluded from the process." -- The Community (well, me speaking for it... ;)

Mark, nice of you to chime in, but too bad it's just to oddly pat yourself on the back -- you haven't really vindicated yourself by announcing that it "works" -- and have not answered the many very reasonable questions and comments in this very long bug report. (Yes, there are some shrill comments that deserve ignoring, but not the whole bug.)

I guess we know the answer now: desktop users have had a bad idea inflicted on them because Canonical was aiming for a consistent experience across all devices. I guess it would be confusing if phone users would be able to switch around the use of the different edges. (Looking at the Ubuntu Phone videos, it already seems like it may take some learning to get used to the gestures and edges.) I guess the aim is for anyone to be able to pick up an Ubuntu device and expect the Launcher to be on the left. I guess managing this expectation, which is something of a branding issue as much as a usability issue, is more important than personal customizability. Just as phone users have come to expect that notifications are always at the top (on all OSes), Canonical hopes they will come to expect that the Launcher is on the left.

OK, I kinda get all that, though I expect many phone/tablet users will disagree. (I own a Nexus 10, which has a very elongated aspect ratio. I expect that in portrait modem having the Launcher on the left will just take up too much real estate, and that I would want to -- but won't be able to -- put it on the top or bottom.)

But this bug was opened for the desktop. I won't reiterate the many reasons that it's a bad idea to lock the Launcher to the left on the desktop, it's all in this bug. Community members have taken the time to carefully explain the issue at length.

For me, the real bafflement of this looooong bug is not that it was summarily shut down, but how Mark and the Ubuntu team have responded to it. We were told about vague "broader design goals," but weren't told exactly what Canonical was thinking about in terms phones and tablets. Of course, we know exactly why we weren't told this: desktop users would have *roasted* the Ubuntu team for sacrificing an essential desktop feature on the altar of the Ubuntu brand and managing user expectations on phones. So, I guess Mark was just thinking that he would be roasted either way, and preferred not to provide details. Well, he's earned his roasting fair and square now, and I hope to community will continue to dog him and Canonical on the quality of the desktop experience.

Less baffling and more insulting were the red herrings we were tossed: lame, transparent excuses about having to have the Launcher integrated with the BFB, or complaints about how much work it would take to make the Launcher movable, or after that complaints about how much QA it would take -- after a community member tried to provide a patch that allowed movement. An insulting waste of time for all...

Read more...

Mark Shuttleworth (sabdfl) wrote :

If you look back over the long history of the bug, you'll see that we're
quite open to landing code which implements launcher movement. However,
it needs to:

 * address the hard problems that raises (i.e. it needs to work properly
for everyone, not just in a hacky way for some people)
 * be well written tested code

Nobody, you'll note, has stepped up to do that work.

Rather than insulting those who work on the project, you might want to
consider, if the feature was really that important, someone would have
stepped up to do it *properly*. This is not about feeding you vague
disinformation. This is about knowing clearly what we care about and
devoting precious time and resources to that. It would not be possible
to get ANYTHING done if we weren't disciplined about that. It's not
really possible to have a balanced conversation with anybody who has no
appreciation for that.

Now, it's very straightforward to use any number of docks - Cairo-DL and
others - to achieve the effect you want. Do you think it's socially
acceptable to go around demanding that others take care of your needs,
when you're perfectly capable of achieving it for yourself? Grow up.

Mark

robert shearer (bdaggg) wrote :

"If you look back over the long history of the bug, you'll see that we're
quite open to landing code which implements launcher movement.
Mark"

So post #3 on this thread, (reproduced here below), is "quite open"...???
If multiple 'won't s' is open i would hate to see what closed looks like.

" I think the report actually meant that the launcher should be movable to
other edges of the screen. I'm afraid that won't work with our broader
design goals, so we won't implement that. We want the launcher always
close to the Ubuntu button.

 status wontfix

Mark"

Tal Liron (emblem-parade) wrote :

Pavel Golikov (Paullo) worked hard and created a patch. His code is still available here:

https://code.launchpad.net/~paullo612/unity/unityshell-rotated

As to whether it was not good enough quality to be merged into Unity, well, nothing about that was updated in this bug. There may have been personal communications with Pavel which we were not privy to. The episode definitely dissuaded anybody from doing any further work on it. (I was personally working on a similar patch when Pavel made his public.) Actually, Mark did not call for patches, but suggested that we fork Unity instead.

But that's not really what dissuaded us: as so many have pointed out, whenever Mark intervened in this bug it was to *discourage* us from fixing it. The bottom line seemed to be not quality or manpower (red herrings) but mysterious "design goals." No amount of patching could fix those. :/ An executive decision was set that this simply won't be fixed.

Mark, it's unfortunate that you always seem to take these things personally and think that it is a matter of not appreciating the work being done. In interviews, too, you always imply that we "complainers" just want some pet features fix and "whine" about it while not wanting to do the work. That's a caricature of what's going on. Some of us do indeed whine, but you are picking at these few examples as a straw target and ignoring the core criticisms: 1) the flippant rejection of this feature request, 2) the lack of a transparent explanation for the decision, and 3) the rejection of advice from long-time Ubuntu users and supporters -- critical as an ongoing mass of good will proliferating Ubuntu in the office and at home (and soon, on the go) -- in favor of a set of "newbs" participating in usability testing. It hurts, man. We've supported this project for years, and now we're being called children.

One thing I agree with you strongly: everybody should read through the long history of this bug. It will remain as a monument, and hopefully a lesson to others, for how not engage your community of supporters. It created unfortunate ill will. Mark blames us, but the record is here and anyone can judge for themselves.

It could have been so easy to do things differently: instead of "won't fix", there could have been a call for people to submit patches to test the viability of a fix, even with a long-term timeline. This could have been a wonderful moment for community involvement, bringing more people into the project with enthusiasm and excitement. Anyway, the record is here.

Thank you for your efforts. I and most people posting here deeply appreciate them, whether you believe it or not. You've done great things for free software, and I believe for freedom generally. I sincerely hope that your gamble on manic innovation at the cost of pleasing the long-term community of Ubuntu supporters will pay off in the long run, and will bring truly free software to the masses. That is a goal we all share.

Adam Porter (alphapapa) wrote :

On Wed, Feb 20, 2013 at 12:08 AM, Mark Shuttleworth
<email address hidden> wrote:
> if the feature was really that important, someone would have
> stepped up to do it *properly*.

"Properly" as defined by you. You set the bar wherever you want, and
if someone doesn't jump high enough, it's not good enough.

You want us to use your software, but when we tell you your software
isn't meeting our needs, you tell us to fix it ourselves. But then
when someone does so, you say that he didn't do it "properly." It
isn't hard to read between the lines here. Just be honest and admit
that you don't want the feature implemented.

> This is not about feeding you vague disinformation. This is about knowing clearly what we care about and
> devoting precious time and resources to that.

Indeed, it's "about" whatever you say it's "about," and anyone who
disagrees doesn't know what it's "about." An easy way to dismiss
others' opinions.

> It's not really possible to have a balanced conversation with anybody who has no
> appreciation for that.

So now it's not possible to have a "balanced" conversation with users.
 We couldn't possibly understand what you designers and developers and
testers are doing. Just because we actually use the end result of
your work doesn't mean we know anything about what it's like to use
it.

> Do you think it's socially acceptable to go around demanding that others take care of your needs,
> when you're perfectly capable of achieving it for yourself?

Do you think it's socially acceptable to go around dismissing the
needs--you said it yourself, needs--of your users, and trying to
distract, discourage, and deny their requests and attempts to meet
those needs? How hypocritical to say that the users are perfectly
capable of doing it themselves when you didn't accept the patch.

Make up your mind! Either users are ignorant fools who don't know
what they really need, or they are capable people who should go write
their own software. You can't have it both ways when you speak in
absolutes or generalizations. But if they are the latter, that is all
the more reason to listen to them.

> Grow up.
>
> Mark

I fear that this is the handwriting on the wall. When the SABDFL of
the project tells his passionate, concerned, loyal users to, "Grow
up," it does not bode well.

"First they ignore you, then they ridicule you..."

Mark Shuttleworth (sabdfl) wrote :

On 02/20/2013 04:52 PM, Adam Porter wrote:
> On Wed, Feb 20, 2013 at 12:08 AM, Mark Shuttleworth
> <email address hidden> wrote:
>> if the feature was really that important, someone would have
>> stepped up to do it *properly*.
> "Properly" as defined by you. You set the bar wherever you want, and
> if someone doesn't jump high enough, it's not good enough.
>
> You want us to use your software, but when we tell you your software
> isn't meeting our needs, you tell us to fix it ourselves. But then
> when someone does so, you say that he didn't do it "properly." It
> isn't hard to read between the lines here. Just be honest and admit
> that you don't want the feature implemented.

Just because we disagree is no call to suggest that I'm dishonest.

Here's how I'd frame it. I think it's highly unlikely that you can move
the launcher to the right, top, or bottom of the screen without tripping
over lots of other aspects of Unity. On the tablet, we use the bottom
edge for app controls. Perhaps that won't turn out to be relevant for
the desktop, but I think it's too soon to rule that out. And we use the
right edge for the side stage, which will be on both tablet and desktop,
so that's an awkwardness.

You may have better insights than I. But I've not seen any coherent,
complete articulation of how it would all fit. Just demands from the
perspective of folk who are used to a particular workflow. That's fine -
Ubuntu let's you achieve that with any number of third-party tools.
That's great, use them, and we'll get along fine.

Now, I like to be wrong, because that's when we learn. Show how it would
all fit together, and I'll come around.

Mark

Adam Porter (alphapapa) wrote :
Download full text (4.0 KiB)

On Wed, Feb 20, 2013 at 8:16 PM, Mark Shuttleworth
<email address hidden> wrote:
> On 02/20/2013 04:52 PM, Adam Porter wrote:
>> On Wed, Feb 20, 2013 at 12:08 AM, Mark Shuttleworth
>> <email address hidden> wrote:
>>> if the feature was really that important, someone would have
>>> stepped up to do it *properly*.
>> "Properly" as defined by you. You set the bar wherever you want, and
>> if someone doesn't jump high enough, it's not good enough.
>>
>> You want us to use your software, but when we tell you your software
>> isn't meeting our needs, you tell us to fix it ourselves. But then
>> when someone does so, you say that he didn't do it "properly." It
>> isn't hard to read between the lines here. Just be honest and admit
>> that you don't want the feature implemented.
>
> Just because we disagree is no call to suggest that I'm dishonest.

I felt like you were being dishonest because I felt like you weren't
being forthcoming with your reasoning.

> Here's how I'd frame it. I think it's highly unlikely that you can move
> the launcher to the right, top, or bottom of the screen without tripping
> over lots of other aspects of Unity. On the tablet, we use the bottom
> edge for app controls. Perhaps that won't turn out to be relevant for
> the desktop, but I think it's too soon to rule that out. And we use the
> right edge for the side stage, which will be on both tablet and desktop,
> so that's an awkwardness.

1. You admit that it currently is not relevant for the desktop, but
you insist on NOT ALLOWING users to do this because you MIGHT later
decide to use the edge for something else.

2. You think a potential "awkwardness" is reason to NOT ALLOW users
to customize the UI to fit their needs.

These two points illustrate a fundamental philosophical shift in the
way Unity--and Ubuntu itself--is being developed. Mr. Shuttleworth, I
could switch a few words around, replace Unity with iPhone and Ubuntu
with iOS, and these would sound like Steve Jobs quotes. It should go
without saying that Apple and iOS are by their very nature
antithetical to the FOSS movement and the ideas of user freedom and
users' control over their own systems and software. Yet this is the
direction Unity--and, I fear, Ubuntu--is headed, and it is this
direction which you champion. I am dumbfounded.

> You may have better insights than I. But I've not seen any coherent,
> complete articulation of how it would all fit. Just demands from the
> perspective of folk who are used to a particular workflow. That's fine -
> Ubuntu let's you achieve that with any number of third-party tools.
> That's great, use them, and we'll get along fine.

You're presupposing that "it all" needs to "fit"--whatever that means
to you. You're presupposing that your workflow is superior to that of
these people who *want to use your software*, but find it frustrating
to use because it doesn't fit their needs. And you don't seem to care
that these real people who really have used your software find it
unsuitable for their needs; you're more interested in studies carried
out in artificial environments by researchers--that and your personal
"vision."

> Now, I like to be wrong, beca...

Read more...

Tal Liron (emblem-parade) wrote :

@Adam

You make some strange arguments here.

FOSS philosophy has nothing to do with customization. It's about providing access to the source code. The Unity project is 100% FOSS (GPL/LGPLv3).

Ubuntu's goals might be different from yours. You might want to have a desktop perfectly configured for your needs. The Ubuntu project is trying to make a free operating system for the masses. Mark is clear that in trying to achieve these goals he will 1) be taking bold risks, and 2) he will not meet everybody's needs. Time will tell if he's on the right path.

I personally have many doubts, because when I've introduced Ubuntu and Unity to new people -- and I've done this a lot, in professional and personal contexts -- I've heard a lot of frustrations about its usability, configurability and stability. And so I've stopped recommending the regular Ubuntu, and instead recommend Xubuntu, which is *awesome*. But, maybe we got it all wrong and Mark got it right and Unity will make people flock to Ubuntu. Adam, you make a comparison to Apple: well, the Apple UI has proven itself very popular with the masses. So, maybe Mark (and GNOME) is on to something in trying to emulate their approach.

To the Ubuntu project's *great* credit, it offers support (in terms of computing, bandwidth and other resources, if not personnel) to *several* different flavors. While GNOME 3 seems to have the same general goals as Unity, the others absolutely do not, and will likely better suit your personal needs. Xubuntu is still Ubuntu, with the excellent repositories, PPA, and the entire ecosystem. It is an excellent and free operating system.

My problem, and it is central to this particular bug about making the Launcher movable, is not Unity's philosophy but the fact that it's essentially *broken* for certain setups, such as multimonitor and right-to-left setups. Unity should not be the default desktop, or at least it should have a big disclaimer up front that it is an experimental desktop interface, with an easy path (one click!) to let users install and use something that is proven to work.

Actually, there is a second problem: Mark has made me not want to help the Unity project. He has alienated many long-time Ubuntu supporters by his abrupt closure of bugs like this, with little or misleading communication about the reasons. So, yeah, no way I will contribute my programming skills to it. But I do love Xfce and will do my best to open bugs, submit patches, and spread the love. :)

elian (jestevens-nospam) wrote :
Download full text (5.8 KiB)

I still think that there is a market for a user friendly linux desktop AS
WELL AS a market for a user friendly OS on portable/consumer devices, I
don't blame Canonical for trying to make a profit to stay in business and
trying to position for what it thinks will be the "next big thing". In a
lot of ways Ubuntu desktop is very easy to use, in a lot of ways they were
sort of screwed over when the Gnome team decided to change their whole
paradigm of what a "desktop" should be. Rather than design another "as is"
window manager Ubuntu team apparently decided to take their own stab at a
"friendly" UI.

Personally I believe that the UI for phones and tablets should look very
different from the UI for desktop PC's. I can understand apple and other
vendors wanting to have a one size (and one codebase) fits all solution but
the use for phones, tablets, TV and desktop really are for different
purposes.

There are plenty of other Linux distros out there that are extremely
customizable, I still do point a few of my friends who are looking for a
basic system that "works" and doesn't have to be customizable to Ubuntu
12.04 - as long as I think their hardware can support it. I have been
using Linux since I downloaded boot and root floppies off of a BBS in
1994. Ok well, really using it since slackware was new. I gave up in the
late 90's and early 2000's because every distro release seemed to break new
and different fundamental driver functionality. Then I finally found
Ubuntu - and way back on version 5 I was just amazed at this distro that
not only worked on EVERY machine I threw at it (Including a Pentium II
450Mhz) but also was extremely intuitive to understand back before 3D
compositing started to take ahold of everything. I really was pulling
machines out of recycling or trash piles and giving them new life with
Ubuntu.

Both Canonical and the Ubuntu team have worked very hard and I wish them a
lot of success, but the REASON I evangelized Ubuntu to start with was
because it really WAS the "dream linux" that everyone was hoping for. Easy
to use, wide compatibility. Everyone keeps saying that the PC is dead.
More likely that vendors just can't make a profit off of it any more and
they are looking for next big thing. Mark is right, its just hard for me
to wrap my head around Unity on the desktop. I love Unity on my 7"
netbook, but not so much on the desktop. Actually I really liked netbook
remix on the 7" netbook - I guess Unity is combination of both desktop +
netbook remix..

Anyway, thanks for listening.
John

On Tue, Mar 19, 2013 at 8:09 PM, Tal Liron <email address hidden>wrote:

> @Adam
>
> You make some strange arguments here.
>
> FOSS philosophy has nothing to do with customization. It's about
> providing access to the source code. The Unity project is 100% FOSS
> (GPL/LGPLv3).
>
> Ubuntu's goals might be different from yours. You might want to have a
> desktop perfectly configured for your needs. The Ubuntu project is
> trying to make a free operating system for the masses. Mark is clear
> that in trying to achieve these goals he will 1) be taking bold risks,
> and 2) he will not meet everybody's needs. Time will tell if he's on ...

Read more...

Paulo Fino (finomeno) wrote :

Dear Mark,

Can there be a 180 degree switch? Moving most of what's on the left to the right (launcher, Ubuntu button, window controls) and vice-versa?

Ubuntu and Unity are the result of an amazing effort millions of people have accompanied and contributed to over all these years. My deepest respect for that. Unity does fit very well into the new "touch everything" paradigm, that's taking over devices whether we want it or not. Still, on the desktop, there is one thing about Unity that makes the whole thing feel awkward. It's as if it was designed for left-handed users. I have seen this opinion quite some times online lately, and I can't help to agree. You just want to flip the desktop 180 degrees.
Menus and launchers are not that frequently accessed in between launching and closing applications, and switching between windows. The human (right-handed) brain tends to perceive information on a screen from the top left corner in a Z-shaped path. So that corner, from a purely practical point of view, would be the most useful for a system/notification tray + clock. And keeping start and launcher on the right would feel more natural for right-handed people because they wouldn't need to jerk the cursor far left to switch apps, hitting the laptop/keyboard while doing it.
I hope you would consider an integrated flipping solution to allow a degree of customization which wouldn't break the other wonderful thinks Ubuntu brings people.

Thank you for your continuous effort to promote Linux.

Kind regards,
Psulo Fino

Rickard (rickard-uk) wrote :

@Mark Shuttleworth
As stated before I would fund this change with £££ of allowing a Appearance setting that is optional (so, does not affect default approach) to allow the Launcher bar to be placed at the bottom of the screen or any side in fact.

Please cost this change and we the community shall raise the money.
Thus at this point it is you who is not stepping up!

Mark Shuttleworth (sabdfl) wrote :

Merry solstice, folks! Since we're into festive season spirit I'll take
time again to express what I think is the real challenge: we have built
a converged UI across phone, tablet and desktop. If you're running
Unity7 (i.e. the standard desktop in 14.04) you're running code which
only expresses the desktop piece of that. We're busy adding desktop
capabilities to Unity8 (there is quite a bit of community activity, for
example, to get the Unity8 core apps to work well on desktops in this
cycle).

As a key part of convergence, we assigned some meaning to each edge of
the screen. Doing so in a consistent way enables every user and every
app developer to go much deeper because they know what to expect. In our
case:

 * the left edge is all about apps and app switching
 * the right edge is an alt-tab and workspace switching
 * the top edge is for the system (notifications, settings)
 * the bottom edge is for the app

In this world, it would be extremely difficult to even think about
moving the launcher around. One MIGHT be able to toggle left-and-right
edges, for example, for right-to-left languages like Arabic. But
arbitrary placement of the pieces would not make sense at all.

You COULD go an implement this capability in Unity7, yes. You could also
choose to use Docky or one of the other excellent launchers for the
desktop which exist in free software today; and you can do all of that
on a fully supported Ubuntu system.

Now, looking over this history of comments here, it's easy to predict
that some people will say they don't care about convergence. I
understand that, but I believe that in due course ALL desktop and laptop
screens will have touch, and those same people will then care very much.
So, since we have good free software options for movable-docks today,
but we don't have good free software solutions for convergence of phone
/ tablet / PC, I'm doing what I believe is the right thing by funding
that future. And so far, people who are participating in that community
are having a good time, judging by their comments and contributions.
More welcome!

Again, wishing you all a happy holiday break,
Mark

Tal Liron (emblem-parade) wrote :

Really appreciate your updating us on the vision.

You're mistaken about the modularity of Unity7: it's impossible right now pick and chose components. Unity7 is an either-or affair: if you want to use Launchy, you will have to deal with the Unity Launcher still being on screen, which is of course unfeasible, which in turn is why for many of us posting had to switch, with sadness, to a different, less beautiful, less "ergonomic" desktop environment (Xfce for me). The last version of Unity that supported modularity was Unity2D, for which each component was its own executable launched at startup: thus easy to turn off the Launcher and run something else instead. It was great! I even wrote a guide for how to replace the Launcher. Now, that was a Unity I could use in my everyday work.

(The component I most want to replace is the Dash, actually: I yearn for the simple functionality of Whisker Menu.)

As far as I can tell, Unity 8 is also monolithic. *Unless* you, as SABDFL, decree that there should be a checkbox (even a hidden system setting) that allows individual Unity components to be turned off. To paraphrase Mao Zedong: "Let 100 desktop configurations blossom!"

Also:

I have to disagree about hardcoding user expectations -- I'm left-handed myself (also a right-to-left native language speaker!) -- and appreciate the ability to flip these things around. I hold my phone with my left hand, and things are always a bit more difficult for me than for others. Allowing users to assign any one functionality to any one edge would be best.

I also think hardcoding developer expectations can end up shooting you in the foot -- what if some day you want to expand the Unity experience? Say, Unity running inside Oculus Rift with an entirely different UX? Would developers have to rewrite all apps for the new API? It's best to keep the API as generic *as possible* and not let developers program towards UI expectations, especially for things as ephemeral as screen locations.

I wish you a delightful, troll-free holiday season!

Mark Shuttleworth (sabdfl) wrote :
Download full text (4.3 KiB)

On 23/12/13 16:52, Tal Liron wrote:
> You're mistaken about the modularity of Unity7: it's impossible right
> now pick and chose components. Unity7 is an either-or affair: if you
> want to use Launchy, you will have to deal with the Unity Launcher still
> being on screen, which is of course unfeasible, which in turn is why for
> many of us posting had to switch, with sadness, to a different, less
> beautiful, less "ergonomic" desktop environment (Xfce for me). The last
> version of Unity that supported modularity was Unity2D, for which each
> component was its own executable launched at startup: thus easy to turn
> off the Launcher and run something else instead. It was great! I even
> wrote a guide for how to replace the Launcher. Now, that was a Unity I
> could use in my everyday work.

Would it help if we added simply the ability to turn off the launcher,
so you could use a different component? That would seem to be a
minimally invasive patch. As a hidden option (dconf) it would be fine.

> As far as I can tell, Unity 8 is also monolithic. *Unless* you, as
> SABDFL, decree that there should be a checkbox (even a hidden system
> setting) that allows individual Unity components to be turned off. To
> paraphrase Mao Zedong: "Let 100 desktop configurations blossom!"

Ahem. Allegedly he said that to flush out dissenters, who were then
treated not very well indeed. ;) But I know where you are coming from,
and I think we do support that by supporting so many alternative desktop
environments. I just don't believe we can deliver something amazing if
we don't put it on rails; having spent nearly 20 years working with free
software, I've seen endless shallow efforts that promised infinite
customization, and I want to see what happens if we go deep instead.

> Also:
>
> I have to disagree about hardcoding user expectations -- I'm left-handed
> myself (also a right-to-left native language speaker!) -- and appreciate
> the ability to flip these things around. I hold my phone with my left
> hand, and things are always a bit more difficult for me than for others.

I would support being able to flip the left-right edges for any
language, but I would be opposed to arbitrary edge assignments, because
a lot of the visual effects of transitions are optimal for vertical or
horizontal movement and space. Given that I and others spend many hours
every week on that tweaking and evaluating options, I don't believe we
could do a good job of it if we didn't put ourselves on rails to some
extent, and being on rails means you don't get to go offroading and
snowmobiling unfortunately :)

> Allowing users to assign any one functionality to any one edge would be
> best.

I'll be glad to be proven wrong but I'm not going to invest in that
experiment based on first-hand data :)

> I also think hardcoding developer expectations can end up shooting you
> in the foot -- what if some day you want to expand the Unity experience?
> Say, Unity running inside Oculus Rift with an entirely different UX?

We prototyped and sketched quite a few different form factors, and
having a set of values to start from generally proved useful rather than
a hindrance.

 * would you want to switch...

Read more...

Tal Liron (emblem-parade) wrote :

Thanks, Mark!

Can't speak for everyone else here, but I think being able to use an alternative Launcher would provide a partial workaround for this "bug," allowing for it to be closed as "fixed."

However, I still think it's important to allow the other components to be turned off (Dash and top Panel). I hope you won't be opposed to that.

I see this simple feature (modularity) as a big advantage at very little cost to the Unity project. It will allow other creative developers to create alternative ways to using Unity. And who knows, you might really like some of these alternatives. It's great that you've prototyped various ideas -- but those were just the ideas your team came up with. The big world out there might offer something new and refreshing that none of us can foresee. And it will also allow us to implement a "classic" desktop remix of Unity: something would shut up all us whiners for good. ;)

Remember, it's you that's been touting Ubuntu Phone as a truly open phone. Sure, people might write new "skins" for it to replace Unity, but having Unity itself be open would allow for potentially awesome remixes. Again, at trivial cost to the Unity project. You would be able to continue going "deep" with your vision.

I know I'll be the first in line for a mobile device that I can plug into a big monitor and get a full desktop!

graner (graner) wrote :

I am a new convert to Linux. I love Ubuntu but so far HATE this decision to force the dock to always be on the right side.

This is a tension between logical semantics/convention (which is the argument Mark is making) and emotional preferences of taste.

People simply have non-logical, emotionally driven differences in taste. Case in point - how many of us love lime green cars? Some of us hate that color - but some of us love it.

How many prefer blond hair and blue eyes to brunette with dark eyes? Who here prefers metal to classical?

You cannot argue one is 'better' than another - each individual has their own taste and own preference. Or rather, you can argue but it won't change people's minds and it has a very CS binary interpretation of how humans want their products to work.

In the same way Mark is arguing about the semantic meaning of each side of the screen a metalhead could argue about the superiority of shredding to rhythmic guitar. At the end of the day, though, those logical arguments don't supersede my personal taste. I like what I like. I may understand you logical argument that the left side of the screen is for 'apps' but inside my chest I have this visceral reaction which keeps going 'this feels wrong'.

There should have been a compromise here - on the desktop where there are already established conventions the option should be provided to move the dock to the bottom where many of us prefer it. On smaller devices (and less established conventions) the dock on the left wouldn't feel as incongruous. I am smart enough to figure out that a tablet UI is going to be slightly different from a desktop UI - in fact I demand it. Trying to 'unify' the conventions is a well intentioned mistake IMHO.

Ubuntu is making the same mistake Microsoft did with Metro - they are trying to create a unified user interface for devices which by their nature shouldn't have the same input. Each of these form factors (pocket sized device, TV, tablet, desktop) have their own conventions/use cases/needs and their interfaces should reflect that. Trying to cram what works on one form factor to another is as incorrect as sticking a steering wheel on an airplane.

You can make the logical arguments for a 'unified' interface system as much as you want, inside many of us who don't share your taste and eventually will move to another more expressive interface. It feels like SUCH a missed opportunity.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers